<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * The mform used for the frontpage blocks settings via ajax.
 *
 * @package theme_enlight
 * @copyright 2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author LMSACE Dev Team
 * @license http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
namespace theme_enlight;

/**
 * The mform class for createing enlight frontpage blocks settings.
 */
class blockform extends \moodleform {
    /**
     * The form definition.
     *
     */
    public function definition() : void {
        $mform = $this->_form;

        $mform->setAttributes(['id' => 'enlightblocksetting']);

        $mform->addElement('html', $this->_customdata['adminsettings']);
        $mform->addElement('hidden', 'blockname', $this->_customdata['block']);
        $this->add_action_buttons();
    }
}
