<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Content for enlight demo import.
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author     LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later.
 */

defined('MOODLE_INTERNAL') || die;

$general = array(
    'patternselect' => 'default',
    'header_transparent' => '2',
    'topheader_style' => '2',
    'cmenudisplay' => 'top',
    'topheader_height' => '90px',
    'popularCourse_status'   => '1',
    'PopularCourse_type'    => '1',
    'headerStyle'   => '2',
    'enableheader' => '0',
    'categories_displaytype' => '1',
    'availablecourse_displaytype' => '1',
    'avilablecourseinfo_displaytype' => '1',
    'avilablecourse_teacherinfo' => '1',
    'mycourse_displaytype'  => '1',
    'sitenewsType'  => '1',
    'comboListboxType'  => '1',
    'loginpageType' => '1',
    'courselayout'  => 'layout1',
    'backToTop_status'  => '1',
    'customcss' => '',
    'primarymenu'   => 'Home | #
                    About Us | #
                    Contact Us | http://www.example.com/',
    'cmenushow' => '1',
    'cmenuPosition' => '2',
    'testimonialsbg_type' => '4',
    'footerbg_type' => '4',
    'popularcoursesbg_type' => '3',
    'availablecoursesbg_type' => '4',
    'enrolledcoursesbg_type' => '4',
    'categoriesbg_type' => 'NONE',
    'preloader_status' => '1',
    'preloaderbg_color' => '#3B82F6'
);

$homepageslider = array(

    'slideshow' => array(
        'numberofslides' => '4',
        'slideshowStatus' => '1',
        'autoslideshow' => '1',
        'slideshowpagination' => 'DOTTHUMB',
        'slideinterval' => '3500',
        'slideHeight' => '550',
        'slideOverlay_opacity' => '0.4',
    ),
    'slide_settings' =>
        array(
            'slide2status' => '1',
            'slide2caption' => 'lang:slidecaption1default',
            'slide2desc' => 'lang:slidedesc1default',
            'slide2urltext1' => 'lang:knowmore',
            'slide2url1' => 'http://www.example.com/',
            'slide2urltarget1' => '1',
            'slide2urltext2' => 'lang:readmore',
            'slide2url2' => 'http://www.example.com/',
            'slide2urltarget2' => '1',
            'slide2contFullwidth' => '50',
            'slide2contentStyle' => '4',
            'slide2contentPosition' => 'centerLeft',
            'slide2contentAnimation' => 'fadeInDown',
            'slide2effect' => 'scrollLeft',
            'slide2imagePosition' => 'bottomCenter'
        ), array(
            'slide3status' => '1',
            'slide3caption' => 'lang:slidecaption2default',
            'slide3desc' => 'lang:slidedesc2default',
            'slide3urltext1' => 'lang:knowmore',
            'slide3url1' => 'http://www.example.com/',
            'slide3urltarget1' => '1',
            'slide3urltext2' => 'lang:readmore',
            'slide3url2' => 'http://www.example.com/',
            'slide3urltarget2' => '1',
            'slide3contFullwidth' => '50',
            'slide3contentStyle' => '3',
            'slide3contentPosition' => 'centerLeft',
            'slide3contentAnimation' => 'bounceInLeft',
            'slide3effect' => 'mosaicSpiral',
            'slide3imagePosition' => 'center'
        ), array(
            'slide4status' => '1',
            'slide4caption' => 'lang:slidecaption3default',
            'slide4desc' => 'lang:slidedesc3default',
            'slide4urltext1' => 'lang:knowmore',
            'slide4url1' => 'http://www.example.com/',
            'slide4urltarget1' => '1',
            'slide4urltext2' => 'lang:readmore',
            'slide4url2' => 'http://www.example.com/',
            'slide4urltarget2' => '1',
            'slide4contFullwidth' => '40',
            'slide4contentStyle' => '2',
            'slide4contentPosition' => 'centerRight',
            'slide4contentAnimation' => 'flipInX',
            'slide4effect' => 'scrollRight',
            'slide4imagePosition' => 'topLeft'
        )
);

$marketingspots = array(
    'marketing_spot1' => array('marketingSpot1_status' => '1',
        'mspot1title' => 'lang:marketingabout',
        'mspot1subtitle' => 'lang:mspotsubtitledefault',
        'mspot1desc' => 'lang:aboutusdesc',
    ),
    'marketig_post2' => array(
        'marketingSpot2_status' => '1',
        'mspot2title' => 'lang:learnanytime',
        'mspot2desc' => 'lang:learnanytimedesc',
        'mspot2urltext' => 'lang:viewallcourses',
        'mspot2url' => 'http://www.example.com/',
        'mspot2urltarget' => '1'
    )
);

$testimonials = array(
    'testimonial_general' => array(
        'toggletmonial' => '1',
        'tmonialTraversal_status' => '1',
        'testimonialAutoplay' => '1',
        'numberoftmonials' => '4'
    ),
    'testimonials1' => array(
        'tmonial1uname' => 'Peter Lubbers',
        'tmonial1userposition' => 'Web developer',
        'tmonial1text' => 'We are building this curriculum with Enlight reflects what developers everywhere should know.'
    ),
    'testimonials2' => array(
        'tmonial2uname' => 'SAM FELLIG',
        'tmonial2userposition' => 'Cybersecurity technician',
        'tmonial2text' => 'Im really focused on learning Rails and APIs with the new tracks made on Enlight.'
    ),
    'testimonials3' => array(
        'tmonial3uname' => 'LIZ BEIGLE-BRYANT',
        'tmonial3userposition' => 'Database developer',
        'tmonial3text' => 'Earlier this year I started taking SQL Server courses to complement my SharePoint work.'
    ),
    'testimonials4' => array(
        'tmonial4uname' => 'JOAH GERSTENBERG',
        'tmonial4userposition' => 'Quality assurance (QA) analyst',
        'tmonial4text' => 'I had looked into learning Javascript, but was too intimidated to start. Enlight was perfect.'
    )
);


$ourteam = array(
    'ourteam_general' => array(
        'ourteamStatus' => '1',
        'ourteamTitle' => 'Our Team',
        'ourteamAutoplay' => '1',
        'ourteambg_type' => '3',
        'numberofpersons' => '6'
    ),
    'member_details1' => array(
        'team1pname' => 'Steve Hawk',
        'team1position' => 'Cheif  Executive Officer',
        'team1profileUrl' => 'http://www.profile.com',
        'team1socialIcon1' => 'fa-facebook',
        'team1sIconurl1' => 'http://www.facebook.com',
        'team1socialIcon2' => 'fa-twitter',
        'team1sIconurl2' => 'http://www.twitter.com',
        'team1socialIcon3' => 'fa-google-plus',
        'team1sIconurl3' => 'http://www.googleplus.com',
        'team1socialIcon4' => 'fa-pinterest-p',
        'team1sIconurl4' => 'http://www.pinterest.com'
    ),
    'member_details2' => array(
        'team2pname' => 'John David',
        'team2position' => 'Chief Financial Officer (CFO)',
        'team2profileUrl' => 'http://www.profile.com',
        'team2socialIcon1' => 'fa-facebook',
        'team2sIconurl1' => 'http://www.facebook.com',
        'team2socialIcon2' => 'fa-twitter',
        'team2sIconurl2' => 'http://www.twitter.com',
        'team2socialIcon3' => 'fa-google-plus',
        'team2sIconurl3' => 'http://www.googleplus.com',
        'team2socialIcon4' => 'fa-pinterest-p',
        'team2sIconurl4' => 'http://www.pinterest.com'
    ),
    'member_details3' => array(
        'team3pname' => 'Flora',
        'team3position' => 'Marketing Manager',
        'team3profileUrl' => 'http://www.profile.com',
        'team3socialIcon1' => 'fa-facebook',
        'team3sIconurl1' => 'http://www.facebook.com',
        'team3socialIcon2' => 'fa-twitter',
        'team3sIconurl2' => 'http://www.twitter.com',
        'team3socialIcon3' => 'fa-google-plus',
        'team3sIconurl3' => 'http://www.googleplus.com',
        'team3socialIcon4' => 'fa-pinterest-p',
        'team3sIconurl4' => 'http://www.pinterest.com'
    ),
    'member_details4' => array(
        'team4pname' => 'William',
        'team4position' => 'Coordinator',
        'team4profileUrl' => 'http://www.profile.com',
        'team4socialIcon1' => 'fa-facebook',
        'team4sIconurl1' => 'http://www.facebook.com',
        'team4socialIcon2' => 'fa-twitter',
        'team4sIconurl2' => 'http://www.twitter.com',
        'team4socialIcon3' => 'fa-google-plus',
        'team4Iconurl3' => 'http://www.googleplus.com',
        'team4socialIcon4' => 'fa-pinterest-p',
        'teams4Iconurl4' => 'http://www.pinterest.com',
    ),
    'member_details5' => array(
        'team5pname' => 'Chris John',
        'team5position' => 'Project Manager',
        'team5profileUrl' => 'http://www.example.com',
        'team5socialIcon1' => 'fa-facebook',
        'team5Iconurl1' => 'http://www.facebook.com',
        'team5socialIcon2' => 'fa-twitter',
        'team5Iconurl2' => 'http://www.twitter.com',
        'team5socialIcon3' => 'fa-google-plus',
        'team5Iconurl3' => 'http://www.googleplus.com',
        'team5socialIcon4' => 'fa-pinterest-p',
        'team5Iconurl4' => 'http://www.pinterest.com',
    ),
    'member_details6' => array(
        'team6pname' => 'Harish',
        'team6position' => 'Team Lead & Senior Developer',
        'team6profileUrl' => 'http://www.example.com',
        'team6socialIcon1' => 'fa-facebook',
        'team6Iconurl1' => 'http://www.facebook.com',
        'team6socialIcon2' => 'fa-twitter',
        'team6Iconurl2' => 'http://www.twitter.com',
        'team6socialIcon3' => 'fa-google-plus',
        'team6Iconurl3' => 'http://www.googleplus.com',
        'team6socialIcon4' => 'fa-pinterest-p',
        'team6Iconurl4' => 'http://www.pinterest.com',
    ),

);

$ourpartner = array(

    'ourteam_general' => array(
        'ourPartner_status' => '1',
        'ourPartner_autoplay' => '1',
        'ourpartnerbg_type' => '1',
        'ourPartner_autotime' => '1500',
        'ourPartner_title' => '',
        'ourPartner_desc' => '',
        'ourPartner_number' => '8',
    ),
    'member_details' => array(
        'partner1title' => 'Partner1',
        'partner1link' => 'http://www.example.com',
        'partner2title' => 'Partner2',
        'partner2link' => 'http://www.example.com',
        'partner3title' => 'Partner3',
        'partner3link' => 'http://www.example.com',
        'partner4title' => 'Partner4',
        'partner4link' => 'http://www.example.com',
        'partner5title' => 'Partner5',
        'partner5link' => 'http://www.example.com',
        'partner6title' => 'Partner6',
        'partner6link' => 'http://www.example.com',
        'partner7title' => 'Partner7',
        'partner7link' => 'http://www.example.com',
        'partner8title' => 'Partner8',
        'partner8link' => 'http://www.example.com',
    ),

);


$footerblocks = array(
    'footer_block1' => array(
        'footerbtitle1' => 'lang:aboutustxt',
        'footerdesc1' => '<div> <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit.
            Ut et lobortis diam.&nbsp;</p><p>Duis tellus enim, vestibulum eget varius id, vulputate et mi.
            Nullam feugiat, diam quis interdum varius</p></div><a href="#">
            <span style="color: #fff; font-weight: bold; border-bottom: 1px solid #fff">Start Learning Now</span></a>'
    ),
    'footer_block2' => array(
        'footerbtitle2' => 'lang:community',
        'footerblink2' => 'Future students|http://www.example.com/
        International students |http://www.example.com/
        Researchers|http://www.example.com/
        Teachers & families|http://www.example.com/
        Alumni|http://www.example.com/
        Current students |http://www.example.com/
        Staff|http://www.example.com/'
    ),
    'footer_block3' => array(
        'footerbtitle3' => 'lang:ourorg',
        'footerblink3' => 'Accessibility|http://www.example.com/
                        Contact us|http://www.example.com/
                        Jobs|http://www.example.com/
                        Staff directoy|http://www.example.com/
                        Library|http://www.example.com/
                        Privacy|http://www.example.com/
                        Terms|http://www.example.com/'
    ),
    'footer_block4' => array(
        'footerbtitle4' => 'lang:followuson',
        'footaddress' => '20-A , Nehru Street , Sathyamoorthi Nagar
        Madurai - 625010 , Tamilnadu , India.',
        'footemailid' => 'yourmailid@example.com',
        'footphoneno' => '+123456789',
        'siconenable1' => '1',
        'socialicon1' => 'twitter',
        'siconbgc1' => '#47caf6',
        'siconurl1' => 'https://twitter.com/yourtwittername',
        'siconenable2' => '1',
        'socialicon2' => 'google-plus',
        'siconbgc2' => '#e84c3d',
        'siconurl2' => 'https://www.google.com/+yourgoogleplusid',
        'siconenable3' => '1',
        'socialicon3' => 'pinterest-p',
        'siconbgc3' => '#cd2129',
        'siconurl3' => 'https://in.pinterest.com/yourpinterestname/',
        'siconenable4' => '1',
        'socialicon4' => 'facebook-f',
        'siconbgc4' => '#3598dc',
        'siconurl4' => 'https://www.facebook.com/yourfacebookid'
    ),
    'copyright' => 'lang:copyrightdefault'
);

$frontpage = array(
    's__frontpageloggedin' => array('0' => '6', '1' => '2', '2' => '5', '3' => '0', '4' => 'none', '5' => '7' ),
    's__frontpage' => array('0' => '6', '1' => '2', '2' => '7', '3' => 'none', '4' => '0'),
    's_theme_enlight_frontpage' => array("14", "6", "2", "0", "11", "4", "12", "16", "17", "7", "18", "15", "13"),
    's_theme_enlight_frontpageloggedin' => array("14", "6", "2", "5", "0", "11", "4", "12", "16", "17", "7", "18", "15", "13"),
);

$images = array(

    'general' => array(
        "partner1img" => 'http://res.cloudinary.com/lmsace/image/upload/v1502449582/partner1.png',
        "partner2img" => 'http://res.cloudinary.com/lmsace/image/upload/v1502449289/partner2.png',
        "partner3img" => 'http://res.cloudinary.com/lmsace/image/upload/v1502449288/partner3.png',
        "partner4img" => 'http://res.cloudinary.com/lmsace/image/upload/v1502449286/partner4.png',
        "partner5img" => 'http://res.cloudinary.com/lmsace/image/upload/v1502449286/partner5.png',
        "partner6img" => 'http://res.cloudinary.com/lmsace/image/upload/v1502449285/partner6.png',
        "partner7img" => 'http://res.cloudinary.com/lmsace/image/upload/v1502449285/partner7.png',
        "partner8img" => 'http://res.cloudinary.com/lmsace/image/upload/v1502449284/partner8.png',
        "team1img" => 'http://res.cloudinary.com/lmsace/image/upload/v1490162848/our-team-1_o2kd50.jpg',
        "team2img" => 'http://res.cloudinary.com/lmsace/image/upload/v1490162852/our-team-6_en99op.jpg',
        "team3img" => 'http://res.cloudinary.com/lmsace/image/upload/v1490162852/our-team-3_qeddud.jpg',
        "team4img" => 'http://res.cloudinary.com/lmsace/image/upload/v1490162846/our-team-4_ao39co.jpg',
        "team5img" => 'http://res.cloudinary.com/lmsace/image/upload/v1490162854/our-team-5_pslkcn.jpg',
        "team6img" => 'http://res.cloudinary.com/lmsace/image/upload/v1490162851/our-team-2_csxyr2.jpg',
        "tmonial1img" => 'http://res.cloudinary.com/lmsace/image/upload/v1490163146/testimonial_1_quzdww.jpg',
        "tmonial2img" => 'http://res.cloudinary.com/lmsace/image/upload/v1490163144/testimonial_2_kdftpg.jpg',
        "tmonial3img" => 'http://res.cloudinary.com/lmsace/image/upload/v1490163148/testimonial_3_phtyw7.jpg',
        "tmonial4img" => 'http://res.cloudinary.com/lmsace/image/upload/v1490163147/testimonial_4_gkjra5.jpg',
        'slide1image' => 'https://res.cloudinary.com/lmsace/image/upload/v1665569967/enlight_slide_first.jpg',
        'slide2image' => 'http://res.cloudinary.com/lmsace/image/upload/v1490969522/enlight_slide2.jpg',
        'slide3image' => 'http://res.cloudinary.com/lmsace/image/upload/v1490969519/enlight_slide3.jpg',
        'slide4image' => 'http://res.cloudinary.com/lmsace/image/upload/v1490969519/enlight_slide4.jpg',
        "sitefblock1image" => "https://res.cloudinary.com/lmsace/image/upload/v1665570313/enlight_site_feature1.png",
        "sitefblock2image" => "https://res.cloudinary.com/lmsace/image/upload/v1665570313/enlight_site_feature2.png",
        "sitefblock3image" => "https://res.cloudinary.com/lmsace/image/upload/v1665570313/enlight_site_feature3.png",
        "sitefblock4image" => "https://res.cloudinary.com/lmsace/image/upload/v1665570313/enlight_site_feature4.png",
        "sitefblock5image" => "https://res.cloudinary.com/lmsace/image/upload/v1665570313/enlight_site_feature5.png",
        "sitefblock6image" => "https://res.cloudinary.com/lmsace/image/upload/v1665570313/enlight_site_feature6.png",
    ),
    'sitenews' => array(
        'sitenews1' => 'http://res.cloudinary.com/lmsace/image/upload/v1490969519/enlight_slide3.jpg',
        'sitenews2' => 'http://res.cloudinary.com/lmsace/image/upload/v1490969522/enlight_slide1.jpg',
        'sitenews3' => 'http://res.cloudinary.com/lmsace/image/upload/v1490969522/enlight_slide2.jpg',
    ),
    'category' => array(
        "categoryimg0" => "http://res.cloudinary.com/lmsace/image/upload/v1490163224/web-development_lamjol.jpg",
        "categoryimg1" => "http://res.cloudinary.com/lmsace/image/upload/v1490163226/software-engineering_szjnse.jpg",
        "categoryimg2" => "http://res.cloudinary.com/lmsace/image/upload/v1490163219/ios1_xvekfe.jpg",
        "categoryimg3" => "http://res.cloudinary.com/lmsace/image/upload/v1490163219/digital-marketing_nd2of5.jpg",
        "categoryimg4" => "http://res.cloudinary.com/lmsace/image/upload/v1490163218/business-management_jgskas.jpg",
        "categoryimg5" => "http://res.cloudinary.com/lmsace/image/upload/v1490163218/and1_w9hucl.jpg",
        "categoryimg6" => "http://res.cloudinary.com/lmsace/image/upload/v1490163220/it_ys4tga.jpg",
        "categoryimg7" => "http://res.cloudinary.com/lmsace/image/upload/v1490163220/it_security_q2enql.jpg",
    ),
    "local" => array(
        "logo" => "https://res.cloudinary.com/lmsace/image/upload/v1665569287/logo_white_enlight.png",
        "popularcoursebg" => "http://res.cloudinary.com/lmsace/image/upload/v1490163220/enlight_popularcoursebg.jpg",
        "testimonialsbg" => "https://res.cloudinary.com/lmsace/image/upload/v1665580244/testimonial-bg_cegnif.png",
        "footbg" => "http://res.cloudinary.com/lmsace/image/upload/v1490163220/enlight_footbgimg.jpg",
        "loginbg" => "http://res.cloudinary.com/lmsace/image/upload/v1490163220/enlight_loginbg.jpg",
        "preloader" => "http://res.cloudinary.com/lmsace/image/upload/v1490163220/enlight_loader.svg",
        "mspot1media" => "https://res.cloudinary.com/lmsace/image/upload/v1665576433/millennials-college-education_eor1pc.jpg"
    )
);


$sitefeature = array(

        "sitefeature_general" => array(
            "togglesitefeatures" => "1",
            "sitefblocktitle" => "lang:sitefeature_tabhead",
            "sitefblocksubtitle" => "lang:sitefblockdesc_tabhead",
            "sitefblockdesc" => "lang:description",
            "numberofsitef" => "6"
        ),
        "site_feature_block" => array(
            "sitefblock1status" => "1",
            "sitefblock1title" => "lang:sb1_default_title",
            "sitefblock1content" => "lang:sb1_default_cnt",
            "sitefblock1link" => "http:\/\/www.example.com",
            "sitefblock2status" => "1",
            "sitefblock2title" => "lang:sb2_default_title",
            "sitefblock2content" => "lang:sb2_default_cnt",
            "sitefblock2link" => "http:\/\/www.example.com",
            "sitefblock3status" => "1",
            "sitefblock3title" => "lang:sb3_default_title",
            "sitefblock3content" => "lang:sb3_default_cnt",
            "sitefblock3link" => "http:\/\/www.example.com",
            "sitefblock4status" => "1",
            "sitefblock4title" => "lang:sb4_default_title",
            "sitefblock4content" => "lang:sb4_default_cnt",
            "sitefblock4link" => "http:\/\/www.example.com",
            "sitefblock5status" => "1",
            "sitefblock5title" => "lang:sb5_default_title",
            "sitefblock5content" => "lang:sb5_default_cnt",
            "sitefblock5link" => "http:\/\/www.example.com",
            "sitefblock6status" => "1",
            "sitefblock6title" => "lang:sb6_default_title",
            "sitefblock6content" => "lang:sb6_default_cnt",
            "sitefblock6link" => "http:\/\/www.example.com"
        )
);


$settings = array(
    'general' => $general,
    "homepage_slider" => $homepageslider,
    "marketing_spots" => $marketingspots,
    "testimonials" => $testimonials,
    "ourpartner" => $ourpartner,
    "ourteam" => $ourteam,
    "footer_blocks" => $footerblocks,
    "frontpage" => $frontpage,
    "images" => $images,
    "site_feature" => $sitefeature,
);

array_walk_recursive($settings, 'html_encode');

/**
 * Html encode.
 * @param array $item
 * @param string $key
 */
function html_encode(&$item, $key) {
    $item = htmlentities($item);
}
$set = json_encode($settings);
echo file_put_contents('enlight_data.json', $set);
