<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Overriden course remuiformat format renderer.
 *
 * @package    theme_enlight
 * @copyright  2017 Willian Mano - http://conecti.me
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

require_once($CFG->dirroot . '/course/format/remuiformat/renderer.php');

/**
 * Renderer the remui course format.
 */
class theme_enlight_format_remuiformat_renderer extends format_remuiformat_renderer {

    /**
     * Renders the list all sections page with all activities.
     * @param \format_remuiformat\output\format_remuiformat_list_all_sections $section Object of the Section renderable.
     */
    public function render_list_all_sections(
        \format_remuiformat\output\format_remuiformat_list_all_sections $section) {
        $templatecontext = $section->export_for_template($this);

        if (isset($templatecontext->error)) {
            throw new moodle_exception($templatecontext->error);
        } else {
            echo $this->render_from_template('theme_enlight/course_format/list_all_sections', $templatecontext);
        }
    }

}
