<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Config install.
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

/**
 * Theme_enlight install function.
 *
 * @return void
 */
function xmldb_theme_enlight_install() {
    global $CFG;

    if (method_exists('core_plugin_manager', 'reset_caches')) {
        core_plugin_manager::reset_caches();
    }
    // Set the default background.
    $fs = get_file_storage();

    // Mspot1bg.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'mspot1bg';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'site-info-bg.jpg';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/site-info-bg.jpg');

    // About us.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'mspot1media';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'millennials-college-education.jpg';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/millennials-college-education.jpg');

    // Site feature.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'sitefeaturesbg';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'featured-bg.jpg';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/featured-bg.jpg');

    // Available course.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'availablecoursesbg';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'available-bg.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/available-bg.png');

    // Available course.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'enrolledcoursesbg';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'enrol-bg.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/enrol-bg.png');

    // Logo.
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'logo';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'logo.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/logo.png');

    // Login bg.
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'loginbg';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'loginbg.jpg';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/loginbg.jpg');

    // Site newsbg.
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'sitenewsbg';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'site-news.jpg';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/site-news.jpg');

    // Slider images.
    $i = 1;
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'slide1image';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'college-student.jpg';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/college-student.jpg');

    // Footer background Image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'footbgimg';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'footer-bg.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/footer-bg.png');

    // Footer logo.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'footerlogo';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'logo.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/logo.png');

    $filerecord = new stdClass();
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->component = 'theme_enlight';
    $filerecord->userid    = get_admin()->id;
    $filerecord->itemid    = 0;
    $filerecord->filepath  = '/';

    $filerecord->filearea  = 'testimonialsbg';
    $filerecord->filename  = 'testimonial-bg.jpg';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/testimonial-bg.jpg');

    $filerecord->filearea  = 'popularcoursesbg';
    $filerecord->filename  = 'popularcoursesbg.jpg';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/popularcoursesbg.jpg');

    // Site features.
    for ($k = 1; $k < 7; $k++) {

        $filerecord = new stdClass();
        $filerecord->component = 'theme_enlight';
        $filerecord->contextid = context_system::instance()->id;
        $filerecord->userid    = get_admin()->id;
        $filerecord->filearea  = 'sitefblock'.$k.'image';
        $filerecord->filepath  = '/';
        $filerecord->itemid    = 0;
        $filerecord->filename  = 'site-'.$k;
        $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/site-'.$k.'.png');
    }

    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_enlight';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'searchcoursesbg';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'bg-image.jpg';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/enlight/pix/home/bg-image.jpg');

}
