// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */



$(function() {
    img = $("#header").find('.avatars').find('img[src$="/u/f2"]');
    src = img.attr('src');
    img.attr('src',src+'_white');
    msg = $("header#header").find('#nav-message-popover-container .nav-link').find("img[src$='t/message']");
    msgsrc = msg.attr('src');
    msg.attr('src', msgsrc+"_white");
    note = $("header#header").find('#nav-notification-popover-container .nav-link').find("img[src$='i/notifications']");
    notesrc = note.attr('src');
    note.attr('src', notesrc+"_white");

    // **** Import Select alert for confirmation ****//
    $('input[name=s_theme_enlight_importDemo]').change(function() {
        $this = $(this);
        if ($(this).prop('checked') == true) {
            $msg = 'Importing demo content will override the current settings of the enlight theme and moodle frontpage items.';

            require(['core/notification'], function(notification) {
                notification.confirm('Please confirm', $msg, 'Continue', 'cancel', function() {

                }, function() {
                    $this.prop('checked', false);
                });
            });

        }

    });
    $(window).on('load', function() {
        var loader = document.getElementById('theme_loader');
        if (loader) {
            var style = window.getComputedStyle(loader);
            if (style.display != 'none') {
                loader.style.visibility = "hidden";
            }
        }
    });

    $(".login-action .login-content").click(function(e){
        e.preventDefault();
        $(".login-action .popup-login").toggle();
    });
    // // show the dropdown when hover the content.
    $('.dropdown, .dropdown-submenu').on('mouseenter', function(e) {
        if ($(e.target).attr('class') != 'dropdown-menu') {
            let headermenu = $(e.target).parent().parent();
            console.log(headermenu.attr('class'));
            if (headermenu.attr('class') != 'header-menu-items' && headermenu.attr('class') != 'login-block') {
                if ( $(window).width() >= 992 ) {
                    $('.dropdown').not($(this)).removeClass('show');
                    $(this).find('.dropdown-menu:eq(0)').stop(true, true).delay(100).addClass('show');
                    $(this).addClass('show');
                }
            }
        }
    }).on('mouseleave', function(e) {
        if ($(e.target).attr('class') != 'dropdown-menu') {
            let headermenu = $(e.target).parent().parent();
            console.log(headermenu.attr('class'));
            if (headermenu.attr('class') != 'header-menu-items' && headermenu.attr('class') != 'login-block') {
                if ( $(window).width() >= 992 ) {
                    if (!$(this).hasClass('active')) {
                        $(this).find('.dropdown-menu:eq(0)').stop(true, true).delay(100).removeClass('show');
                        $(this).removeClass('show');
                    }
                }
            }
        }
    });

    $('.dropdown, .dropdown-submenu').click(function(e) {
        if ( $(window).width() <= 992 ) {
            $('.dropdown').not($(this)).removeClass('show');
            if (!$(this).hasClass('show')) {
                $(this).find('.dropdown-menu:eq(0)').stop(true, true).delay(100).fadeIn(200);
                $(this).addClass('show');
            } else {
                $(this).find('.dropdown-menu').stop(true, true).delay(100).fadeOut(200);
                $(this).removeClass('show');
                $(this).find('.dropdown-menu, .dropdown-submenu').removeClass('show');
            }
        }
    });


    /*$( "table" ).wrap(function(){
        var ctab_obj = $(this);
        if(ctab_obj.parent('div').hasClass('no-overflow'))
        {

        }else{
            return "<div class='no-overflow'></div>";
        }

    });*/

    // Settings For Scroll to top button.
    $(window).on('scroll', function(){
        if ($(this).scrollTop() > 150) {
            $('#backToTop').fadeIn('slow');
            $('#custom_save').fadeIn('slow');
        } else {
            $('#backToTop').fadeOut('slow');
        }
        if($(this).scrollTop() >= $(window).height) {
           $('#backToTop').fadOut('slow');

        }
    });

    $('#backToTop').click(function(){
        $("html, body").animate({ scrollTop: 0 }, 'slow');
        return false;
    });

    /*------- Check navbar button status -------- */
    if ($("#header .navbar-nav button").attr('aria-expanded') === "true") {
        $("#header .navbar-nav").find('button').addClass('is-active');
    }
    /*------ Event for change the drawer navbar style  ------*/
    $("#header .navbar-nav button").click(function(){
        $this = $(this);
        setTimeout(function() {
            nav = $("#nav-drawer");
            if ( !nav.hasClass('closed')) {
                $("#header .navbar-nav").find('button').addClass('is-active');
            } else {
                $("#header .navbar-nav").find('button').removeClass('is-active');
            }
        }, 200);
    });

    // Add class name with the frontpage enrolled courses block for the reference.
    $("#mycourses").parent('div#frontpage-course-list').addClass("frontpage-mycourse-list");

    /*----------------- Site news block allignment changes start here ----------- */
    $("#site-news-forum .forumpost").each(function() {
        $this = $(this);
        $href = $(this).find('.row.side .commands').find('a:first').attr('href');
        img = $this.find('.attachedimages img');
        if (img.length != ""){
            img.wrap('<a href="'+$href+'" />');
        }
        $this.find('.topic .subject').contents().wrap('<a href="'+$href+'" /> ');
    })
    //$("#site-news-forum article:gt(0)").wrapAll('<div class="site-block"></div>');
    $img = $("#site-news-forum .forumpost:first").find('.attachedimages');
    //alert($img);
    if ($img.length == "") {
        $('#site-news-forum .forumpost:first').find(".maincontent .posting").prepend("<div class='attachedimages'></div>");
    }

    $("#site-news-forum").append("<div class='clearfix'></div>");

    /*----------------- Site news block allignment changes end here ----------- */

    // Enable/Disable the popular course id field in admin settings page on PAGE LOADING.
    $val = $("#id_s_theme_enlight_popularCourse_type").val();
    if ($val == 1) {
        $("#admin-popularCourse_id").find('input[type=text]').attr('disabled','disabled');
    }

    // Enable/ Disable popular course id on the values based on popular course type.
     $("#id_s_theme_enlight_popularCourse_type").on('change', function() {
        $this = $(this);
        val = $this.val();
        if (val=='1') {
            $("#admin-popularCourse_id").find('input[type=text]').attr('disabled','disabled');
        } else {
            $("#admin-popularCourse_id").find('input[type=text]').removeAttr('disabled');
        }
    });

    // Select pattern color dispaly image.
    $(".thumbnail").hide();
    var value;
    $('#id_s_theme_enlight_patternselect').change(function(){
        $(".thumbnail").hide();
            var pval =  $("#patterncolor-" + $(this).val());
            pval.show();
    });

    var id = document.getElementById("id_s_theme_enlight_patternselect");
    if (id) {
    var presult = id.options[id.selectedIndex].value;
    $("#patterncolor-"+presult).show();

    }

    // enable / Disable the primary and secondary color picker if the custom color select in the patterselect.
    var patternval = $('#id_s_theme_enlight_patternselect').val();
    patterncheck(patternval);
    $("#id_s_theme_enlight_patternselect").change(function() {
        patterncheck($(this).val());
    });
    function patterncheck(patternval){
        if (patternval == 5) {
            $("#admin-primarycolor").show();
            $("#admin-secondarycolor").show();
        } else {
            $("#admin-primarycolor").hide();
            $("#admin-secondarycolor").hide();
        }
    }

    /*----- Create the accordion for the custom blocks or tabs in settings page */
    var toggelSection = ['#theme_enlight_general', '#theme_enlight_slideshow', '#theme_enlight_sitefeatures', '#theme_enlight_tmonialhead', '#theme_enlight_ourTeam', '#theme_enlight_counter', '#theme_enlight_marketingspot', '#theme_enlight_ourPartners', '#theme_enlight_footer','#theme_enlight_frontpage'];
    $.each(toggelSection, function(key, value) {
        h3 = $(value).find('h3.main');
        block = value.split("_")[2]; // Get the settings heading name from the given id's.
        h3.each(function(key) {
            $this = $(this);
            var childid = block+"_toggle_"+key;
            hidden = "true";
            var toggleChild = '<div class="child-toggle '+childid+'" id="child_'+childid+'" data-hidden="'+hidden+'" />';
            $(this).nextUntil('h3.main').wrapAll(toggleChild);
            var toggleHead = '<div class="enlight-toggle-head" id="'+childid+'">';
            $this.wrap(toggleHead);
            iconclass = (hidden == "false") ? 'fa-minus-square' : 'fa-plus-square';
            var toggleIcon = '<div class="toggle-icon" style="display:inline;" > <i class="fa '+iconclass+'"> </i></div>';
            $this.append(toggleIcon);
        })
    })

    /******** Event for accordion clicked  *********/
    $(".enlight-toggle-head").click(function(){
        $this= $(this);
        parentid = $this.parent('fieldset').parent('div.tab-pane').attr('id');
        if(parentid.length != "") {
            parent = $("#"+parentid);
        } else {
            parent = $(".tab-pane.active[aria-expanded=true]");
        }
        headid = $this.attr('id');
        childid = "child_"+headid;
        child = $("#"+childid);
        var dataHidden = $("#"+childid).attr('data-hidden');
        if(dataHidden == "false"){
            child.slideUp('slow');
            child.attr('data-hidden', 'true');
        } else {
            child.slideDown('slow');
            child.attr('data-hidden', 'false');
        }
        parent.find('.child-toggle').not(child).slideUp('slow').attr('data-hidden', 'true');
        toggleicon2(parentid);
    })

    /******** Set the icon for all accortions under the active parent tab *********/
    function toggleicon2(parentid) {
        // alert(parentid);
        if(parentid.length != "") {
            parent = $("#"+parentid);
        } else {
            parent = $(".tab-pane.active[aria-expanded=true]");
        }
        parent.find('.enlight-toggle-head').each(function() {
            $this = $(this);
            childid = $(this).attr('id');
            // alert(childid)
            dataHidden = parent.find('#child_'+childid).attr('data-hidden');
            if(dataHidden == "false") {
                $this.find('h3 .toggle-icon i').addClass('fa-minus-square').removeClass('fa-plus-square');
            } else {
                $this.find('h3 .toggle-icon i').addClass('fa-plus-square').removeClass('fa-minus-square');
            }
        });
    }

    $(".child-toggle[data-hidden=true]").hide();

    /*============== Course Mega menu ===============*/
    if ($('body').hasClass('dir-rtl')) {

        var w =  $(".header-main #sgkk").width();
        var win = $(window).width();
        if(win >= 980)
            {
                var ul_w =  $(".header-main #site-user-menu ul").width();
                var le = ( w-ul_w );
                $('#cr_menu').css({"width":w+'px' , "right": '-'+le+'px' });
        }
        $(window).resize(function(){
            var w =  $(".header-main #sgkk").width();
            var win = $(window).width();
            if(win>=980)
            {
                var ul_w =  $(".header-main #site-user-menu ul").width();
                var le = ( w-ul_w );
                $('#cr_menu').css({"width":w+'px' , "right": '-'+le+'px' });
            }
        });

    } else { // RTL Check And RTL BASED Function;

        var w =  $(".header-main #sgkk").width();
        var win = $(window).width();
        if(win>=980)
        {
            var ul_w =  $(".header-main #site-user-menu ul").width();
            var le = ( w-ul_w );
            $('#cr_menu').css({"width":w+'px' , "left": '-'+le+'px' });
        }

        $(window).resize(function(){
            var w =  $(".header-main #sgkk").width();
            var win = $(window).width();
            if(win>=980)
            {
                var ul_w =  $(".header-main #site-user-menu ul").width();
                var le = ( w-ul_w );
                $('#cr_menu').css({"width":w+'px' , "left": '-'+le+'px' });
            }
        });
    }

    $("#cr_link").mouseenter(function() {
        $("#cr_link").addClass("active");
        // $('#cr_menu').stop(true, true).show(400);
        $('#cr_menu').show();
    });

    $("#cr_link").mouseleave(function() {
        $("#cr_link").removeClass("active");
        // $('#cr_menu').stop(true, true).hide(400);
        $('#cr_menu').hide();
    });

    $('div.popular_courses').find('.info').addClass('info-content');

    //select headerstyle dispaly option
    $(".colors").hide();
    var value;
    $('#id_s_theme_enlight_headerStyle').change(function(){
        $(".colors").hide();
            var val =  $("#styletype-" + $(this).val());
            val.show();
    });
    var e = document.getElementById("id_s_theme_enlight_headerStyle");

    if (e) {

    var result = e.options[e.selectedIndex].value;
    $("#styletype-"+result).show();

    }
    $("#nav-drawer ul.childrens-node").hide();
    // Navbar sections and mycourses accordion event hadler.
    $("[data-key=mycourses]").click(function(e) {
        var hidden = $(this).attr('data-hidden');
        var child = $(this).parent("li").find("ul.childrens-node");
        if (hidden == 1) {
            child.hide('200');
            $(this).attr('data-hidden', 0);
        } else {
            child.show('200');
            $(this).attr('data-hidden', 1);
        }
    })

    // Check header is top position else changes the header to sticky header.
    $(window).on('scroll', function() {
        if ( $(window).scrollTop() > 75) {

            $('body').addClass('sticky-header');
        } else {
            $('body').removeClass('sticky-header');
        }
    });

    // settings page header toggle.
    /* var enlightSettings = document.querySelectorAll('body#page-admin-setting-themesettingenlight')[0];
    if (enlightSettings) {
        var enableHeader = document.querySelector('#admin-enableheader #id_s_theme_enlight_enableheader');
        if (enableHeader.checked) {
            toggle_secondary_header(true);
        } else {
            toggle_secondary_header(false);
        }

        enableHeader.addEventListener('change', function(event) {
            if (event.target.checked) {
                toggle_secondary_header(true);
            } else {
                toggle_secondary_header(false);
            }
        });
    }

    function toggle_secondary_header(displayHeader) {

        if (displayHeader) {
            $('#admin-enableheader').nextAll().css("display", "flex");
        } else {
            $('#admin-enableheader').nextAll().css("display", "none");
        }
    } */

 /*    var bodyClass = document.querySelectorAll('body')[0];
    if (!bodyClass.classList.contains("secondary-header")) {
        if (bodyClass.classList.contains("drawer-open-left") ) {
            document.querySelector("nav .navbar-brand").style.display = "none";
        } else {
            document.querySelector("#nav-drawer .navbar-brand").style.display = "none";
        }

        document.querySelector("button.navbar-toggler").addEventListener("click", function() {
            if (bodyClass.classList.contains("drawer-open-left") ) {
                document.querySelector("nav .navbar-brand").style.display = "flex";
                document.querySelector("#nav-drawer .navbar-brand").style.display = "none";
            } else {
                document.querySelector("#nav-drawer .navbar-brand").style.display = "flex";
                document.querySelector("nav .navbar-brand").style.display = "none";
            }
        });
    } */

    $.fn.inView = function(elem) {
        var
          $elem = elem,
          $window = $(window),
          docViewTop = $window.scrollTop(),
          docViewBottom = docViewTop + $window.height(),
          elemTop = $elem.offset().top,
          elemBottom = elemTop + $elem.height();
        return ((elemBottom <= docViewBottom) && (elemTop >= docViewTop));
    }

    $("nav#header .header-menu-action").click(function(){
        if ($("nav#header .top-header-menu").hasClass("d-none")) {
            $("nav#header .top-header-menu").removeClass("d-none");
        } else {
            $("nav#header .top-header-menu").addClass("d-none");
        }
    });

    $("nav#header .top-header-menu .close-menu").click(function() {
        if (!$("nav#header .top-header-menu").hasClass("d-none")) {
            $("nav#header .top-header-menu").addClass("d-none");
        }
    });
});
