<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * A three column layout for the enlight theme.
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$templatecontext = \theme_enlight\output\layout::headerdata();
\theme_enlight\output\layout::footerdata($templatecontext);
$templatecontext['category_menu'] = theme_enlight_category_menu();
$clayout = get_config('theme_enlight', 'courselayout');
if ($clayout == 'layout1') {
    $PAGE->requires->js_call_amd('theme_enlight/categorylisting', 'init');
}
$coursecat = (!empty($clayout) && $clayout != 'default') ? 'columns3-'.$clayout : 'columns2';
echo $OUTPUT->render_from_template('theme_enlight/'.$coursecat, $templatecontext);

