<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Frontpage layout.
 *
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();
$templatecontext = \theme_enlight\output\layout::headerdata();
\theme_enlight\output\layout::footerdata($templatecontext);
$OUTPUT->doctype();
$templatecontext['homeslider'] = (new theme_enlight\homeslider())->get_slider();
$PAGE->requires->css(new moodle_url('/theme/enlight/style/slick.css'));
$PAGE->requires->js_call_amd('theme_enlight/frontpage', 'init', ['contextid' => context_system::instance()->id]);
echo $OUTPUT->render_from_template('theme_enlight/frontpage', $templatecontext);
