<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Footer content.
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
defined('MOODLE_INTERNAL') || die();

$footerenable = theme_enlight_get_setting('footerenable');
$footerb1order = theme_enlight_get_setting('footerb1_order');
$footerb2order = theme_enlight_get_setting('footerb2_order');
$footerb3order = theme_enlight_get_setting('footerb3_order');
$footerb4order = theme_enlight_get_setting('footerb4_order');

$footerb1status = ($footerb1order != 'none') ? 1 : 0;
$footerb2status = ($footerb2order != 'none') ? 1 : 0;
$footerb3status = ($footerb3order != 'none') ? 1 : 0;
$footerb4status = ($footerb4order != 'none') ? 1 : 0;
$totalenable = $footerb1status + $footerb2status + $footerb3status + $footerb4status;
$footermain = 1;
switch($totalenable) {
    case 4 :
        $colclass = 'col-lg-3 col-sm-6';
    break;

    case 3:
        $colclass = 'col-lg-4 col-sm-6';
    break;

    case 2:
        $colclass = 'col-lg-6 col-sm-6';
    break;

    case 1:
        $colclass = 'col-lg-12';
    break;

    case 0:
        $footermain = 0;
        $colclass = "col-lg-0";
    break;

    default:
        $colclass = 'col-lg-3 col-sm-6';
}

$copyright = theme_enlight_get_setting('copyright');
$copyright = theme_enlight_lang($copyright);
$fb1title = theme_enlight_get_setting('footerbtitle1' );
$fb1title = theme_enlight_lang($fb1title);
$fb2title = theme_enlight_get_setting('footerbtitle2');
$fb2title = theme_enlight_lang($fb2title);
$fb3title = theme_enlight_get_setting('footerbtitle3');
$fb3title = theme_enlight_lang($fb3title);
$fb4title = theme_enlight_get_setting('footerbtitle4');
$fb4title = theme_enlight_lang($fb4title);
$footerblink1 = theme_enlight_get_setting('footerdesc1', 'format_html');
$footerblink1 = theme_enlight_lang($footerblink1);
$backtotopstatus = theme_enlight_get_setting('backToTop_status');
$sociallinks = theme_enlight_social_links();
$footerblink3 = theme_enlight_generate_links('footerblink3');
$footerblink2 = theme_enlight_generate_links('footerblink2');
$footerb4iconclass = theme_enlight_footer_address('true');
$footericonclass = ($footerb4iconclass == "true") ? "footer-small-socials" : "";
$footeraddress = theme_enlight_footer_address();
$classes = theme_enlight_block_backgroundclass('footerbg_type');

$templatecontext = [

          'output' => $OUTPUT,
       "copyright" => $copyright,
        "footer" => $footerenable,
        "fb1title" => $fb1title,
        "fb2title" => $fb2title,
        "fb3title" => $fb3title,
        "fb4title" => $fb4title,
    "social_links" => $sociallinks,
    "footerblink3" => $footerblink3,
    "footerblink2" => $footerblink2,
    "footerblink1" => $footerblink1,
        "colClass" => $colclass,
      "footermain" => $footermain,
   "footerAddress" => $footeraddress,
 'footericonclass' => $footericonclass,
       "backToTop" => $backtotopstatus,
         "classes" => $classes,
         "wwwroot" => $CFG->wwwroot
];

