<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Dashboard layout.
 *
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();
global $PAGE, $USER;
$templatecontext = \theme_enlight\output\layout::headerdata();
\theme_enlight\output\layout::dashboarddata($templatecontext);
\theme_enlight\output\layout::footerdata($templatecontext);

$enabledashboardreports = theme_enlight_get_setting('enabledashboardreports');
$dashboardclass = ($enabledashboardreports == true) ? "report-element" : "";

$OUTPUT->doctype();
$PAGE->requires->js_call_amd('theme_enlight/dashboard', 'init');
$templatecontext['username'] = $USER->username;
$courseindex = new moodle_url('/course/index.php');
$templatecontext['courseindexurl'] = $courseindex->out(false);
$templatecontext['coureseprogress'] = theme_enlight_dashboard_course_progress();
$templatecontext['extraclassdashborad'] = $dashboardclass;

echo $OUTPUT->render_from_template('theme_enlight/dashboard', $templatecontext);
