<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * User key auth method. Modified version for auth_userkey by 2016 Dmitrii Metelkin (dmitriim@catalyst-au.net)
 *
 * @package    auth_lmsace_connect
 * @copyright  LMSACE Connect.
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once('../../config.php');
require_once($CFG->dirroot.'/auth/lmsace_connect/auth.php');

$redirect = optional_param('wpredirect', null, PARAM_TEXT);

$auth = get_auth_plugin('lmsace_connect');
$auth->user_login_key();

if ($redirect != null) {
    redirect($redirect);
}
