<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Login block
 *
 * @package   block_login
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

class block_lmsace_reports extends block_base {

    function init() {
        $this->title = get_string('pluginname', 'block_lmsace_reports');
    }

    function specialization() {
        $this->title = isset($this->config->title) ? $this->config->title : get_string('newlmsacereportblock', 'block_lmsace_reports');
    }

    function applicable_formats() {
        return array('all' => true, 'tag' => false);
    }

    function get_content() {
        global $USER, $CFG, $PAGE;
        require_once($CFG->dirroot. "/report/lmsace_reports/lib.php");
        if ($this->content !== NULL) {
            return $this->content;
        }
        $this->content = new stdClass();
        list($content, $footer) = report_lmsace_get_block_report();
        $this->content->text = $content;
        $this->content->footer = $footer;
        return $this->content;
    }

    function instance_allow_multiple() {
        return true;
    }
}
