<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component levels course format.
 *
 * @package   format_levels
 * @copyright 2022 bdecent gmbh <https://bdecent.de>
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['pluginname'] = 'Levels format';
$string['section0name'] = 'General';

$string['addsections'] = 'Add level';
$string['currentsection'] = 'This level';
$string['editsection'] = 'Edit level';
$string['editsectionname'] = 'Edit level name';
$string['deletesection'] = 'Delete level';
$string['newsectionname'] = 'New name for level {$a}';
$string['sectionname'] = 'Level';

$string['page-course-view-topics'] = 'Any course main page in levels format';
$string['page-course-view-topics-x'] = 'Any course page in levels format';
$string['hidefromothers'] = 'Hide topic';
$string['showfromothers'] = 'Show topic';
$string['privacy:metadata'] = 'The Levels format plugin does not store any personal data.';

$string['popupactivities'] = 'Display activities in popups';
$string['popupactivities_help'] = 'Display the resources in popup, if enabled some type of resources will display in the popup.';
$string['popupactivitiesnotinstalled'] = 'Popup format must be installed in order to display the activities in popup.';

$string['hideeverywhere'] = 'Hide everywhere';
$string['hideoncourses'] = 'Hide on course pages';
$string['coursebgimage'] = 'Course background image';


$string['availablelevel:title']   = 'Available state background image';
$string['unavailablelevel:title'] = 'Unavailable state background image';
$string['completedlevel:title']   = 'Completed state background image';
$string['coursepreview:title']    = 'Thumbnail for course homepage';
$string['levelmapsize']     = 'Level map size';
$string['levelmapsize_desc']     = '';
$string['originalsize']     = 'Original size';
$string['fitheight']        = 'Fit height';
$string['fitwidth']         = 'Fit width';
$string['initialposition']  = 'Initial Position';
$string['initialposition_desc']  = '';
$string['lefttop']          = 'Left Top';
$string['leftcenter']       = 'Left Center';
$string['leftbottom']       = 'Left Bottom';
$string['righttop']         = 'Right Top';
$string['rightbottom']      = 'Right Bottom';
$string['rightcenter']      = 'Right Center';
$string['centerbottom']     = 'Center Bottom';
$string['centertop']        = 'Center Top';
$string['centercenter']     = 'Center Center';

$string['image:available'] = 'Available image';
$string['image:nextavailable'] = 'Next available image';
$string['image:unavailable'] = 'Unavailable image';
$string['image:completed'] = 'Completed image';
$string['image:activestate'] = 'Active state image';
$string['activitydesign'] = 'Design';
$string['xposition'] = 'X Position';
$string['yposition'] = 'Y Position';
$string['useactivityimages'] = "Use activity images";
$string['useactivityimages_desc'] = "";
$string['configtitle'] = 'Levels options';
$string['defaults'] = "Defaults";
$string[''] = "";
$string['settingstab'] = "Settings";
$string['activityimgsize'] = "Max file size for activity images";
$string['activityimgsize_desc'] = "";
$string['sectionimgsize'] = "Max file size for section images";
$string['sectionimgsize_desc'] = "";
$string['courseimgsize'] = "Max file size for course images";
$string['courseimgsize_desc'] = "";
$string['courseindex_help'] = 'Manage the visibility of the course index menu';
$string['courseindex'] = 'Course index visibility';
$string['courseindex_desc'] = '';
$string['popupactivities_desc'] = '';
$string['fallbackimg'] = "Fallback images";

$string['courselevelbg'] = "Course background image fallback";
$string['courselevelbg_desc'] = "";
$string['sectionavailablelevelbg'] = "Available section image fallback";
$string['sectionavailablelevelbg_desc'] = "";
$string['modavailablelevelbg'] = "Available activity image fallback";
$string['modavailablelevelbg_desc'] = "";
$string['modnextavailablelevelbg'] = "Next available activity image fallback";
$string['modnextavailablelevelbg_desc'] = "";
$string['sectionunavailablelevelbg'] = "Unavailable (greyed out) section image fallback";
$string['sectionunavailablelevelbg_desc'] = "";
$string['modunavailablelevelbg'] = "Unavailable (greyed out) activity image fallback";
$string['modunavailablelevelbg_desc'] = "";
$string['sectioncompletelevelbg'] = "Completed section image fallback";
$string['sectioncompletelevelbg_desc'] = "";
$string['modcompletelevelbg'] = "Completed activity image fallback";
$string['modcompletelevelbg_desc'] = "";
$string['modactivebg'] = "Active activity image";
$string['modactivebg_desc'] = "";
$string['sectionpreviewlevelbg'] = "Preview section image";
$string['sectionpreviewlevelbg_desc'] = "";
$string['backtocourse'] = 'Back to {$a}';
$string['exploresection'] = 'Explore section';
$string['enablesetup'] = 'Setup Positions';
$string['disablesetup'] = 'Disable setup';
$string['format/levels:studentview'] = 'Access levels student view';
$string['format/levels:togglestudentview'] = 'Toggle student view';
$string['format/levels:managelevels'] = 'Manage levels';
$string['levels:studentview'] = 'Access levels student view';
$string['levels:togglestudentview'] = 'Toggle student view';
$string['levels:managelevels'] = 'Manage levels';

$string['modimgwidth'] = 'Activity image width';
$string['modimgheight'] = 'Activity image height';
$string['thumbimgheight'] = 'Thumbnail image height';
$string['thumbimgwidth'] = 'Thumbnail image width';
$string['backgroundwidth'] = 'Background width';
$string['backgroundheight'] = 'Background height';

$string['imgwidth'] = 'Thumbnail and activity image width';
$string['imgwidth_desc'] = 'Enter the number to set the activity and section thumbnail image width';
$string['imgheight'] = 'Thumbnail and activity image height';
$string['imgheight_desc'] = 'Enter the number to set the activity and section thumbnail image height';
$string['backgroundwidth_desc'] = 'Enter the default width for section background image. Usefull for svg images';
$string['backgroundheight_desc'] = 'Enter the default height for section background image. Usefull for svg images';
$string['objectposition'] = 'Object position';
$string['objectposition_help'] = 'Used when the screen size will decreased image height and width will be decreased in selected side';
$string['objecttop'] = 'Top';
$string['objectbottom'] = 'Bottom';
$string['objectleft'] = 'Left';
$string['objectright'] = 'Right';
