@format @format_levels @levels_section_settings @_file_upload @javascript
Feature: Check other workflow section actions in levels format
  In I need to check workflow actions in levels format
  Background:
    Given the following "users" exist:
      | username | firstname | lastname | email            |
      | teacher1 | Teacher   | 1        | teacher1@example.com |
      | student1 | Student   | First    | student1@example.com |
      | student2 | Student   | Second   | student2@example.com |
    And the following "courses" exist:
      | fullname | shortname | format | numsections | enablecompletion    |
      | Course 1 | C1        | levels | 5           | 1                   |
    And the following "activities" exist:
      | activity | name           | intro                   | course | idnumber | completion| section |
      | page     | Page1          | Page 1 description      | C1     | page1    |  1        | 1       |
      | page     | Page2          | Page 2 description      | C1     | pagei1   |  1        | 1       |
    And the following "course enrolments" exist:
      | user     | course | role                  |
      | teacher1 | C1     | editingteacher        |
      | student1 | C1     | student               |
      | student2 | C1     | student               |
    Given I log in as "admin"
    And I am on "Course 1" course homepage with editing mode on
    And I edit the section "1"
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/sectionavailablebg.jpg" file to "Available state background image" filemanager
    Then I set the field "Level map size" to "Original size"
    And I click on "Save changes" "button"
    Then I log out

  Scenario: Check the section levels background.
    Given I log in as "admin"
    And I am on "Course 1" course homepage with editing mode on
    And I edit the section "1"
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/sectioncompletebg.jpg" file to "Completed state background image" filemanager
    And I click on "Save changes" "button"
    And I edit the section "1"
    Then I follow "Expand all"
    Then I set the field "Use activity images" to "Disable"
    And I upload "course/format/levels/tests/behat/assets/sectionpreview.png" file to "Thumbnail for course homepage" filemanager
    And I click on "Save changes" "button"
    And I am on "Course 1" course homepage with editing mode on
    When I open "Page1" actions menu
    And I click on "Edit settings" "link" in the "Page1" activity
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/modavailable.svg" file to "Available image" filemanager
    And I set the following fields to these values:
      | X Position | 5  |
      | Y Position | 5  |
    And I click on "Save and return to course" "button"
    When I open "Page2" actions menu
    And I click on "Edit settings" "link" in the "Page2" activity
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/modnextavailable.png" file to "Available image" filemanager
    And I set the following fields to these values:
      | X Position | 50  |
      | Y Position | 50  |
    And I click on "Save and return to course" "button"
    Then I log out
    Then I log in as "student1"
    And I am on "Course 1" course homepage
    Then the image at ".student-view #section-1 .section-image img" "css_element" should be identical to "course/format/levels/tests/behat/assets/sectionpreview.png"
    And I follow "Level 1"
    Then I sectionbg "#page" "C1" "sectionavailablebg.jpg" "availablelevel"

    And the manual completion button of "Page1" is displayed as "Mark as done"
    When I toggle the manual completion state of "Page1"
    Then the manual completion button of "Page1" is displayed as "Done"
    And the manual completion button of "Page2" is displayed as "Mark as done"
    When I toggle the manual completion state of "Page2"
    Then the manual completion button of "Page2" is displayed as "Done"
    And I reload the page
    Then I sectionbg "#page" "C1" "sectioncompletebg.jpg" "completedlevel"

  Scenario: Check the section level map size.
    Given I log in as "student1"
    And I am on "Course 1" course homepage
    Then I follow "Level 1"
    Then "body.mapsize-fitheight" "css_element" should not exist
    Then "body.mapsize-fitwidth" "css_element" should not exist
    Then "body.mapsize-original" "css_element" should exist
    And I follow "Log out" in the user menu
    Then I log in as "teacher1"
    And I am on "Course 1" course homepage with editing mode on
    And I edit the section "1"
    Then I follow "Expand all"
    Then I set the field "Level map size" to "Fit height"
    And I click on "Save changes" "button"
    And I follow "Log out" in the user menu
    Then I log in as "student1"
    And I am on "Course 1" course homepage
    Then I follow "Level 1"
    Then "body.mapsize-fitheight" "css_element" should exist
    Then "body.mapsize-fitwidth" "css_element" should not exist
    Then "body.mapsize-original" "css_element" should not exist
    And I follow "Log out" in the user menu
    Then I log in as "teacher1"
    And I am on "Course 1" course homepage with editing mode on
    And I edit the section "1"
    Then I follow "Expand all"
    Then I set the field "Level map size" to "Fit width"
    And I click on "Save changes" "button"
    And I follow "Log out" in the user menu
    Then I log in as "student1"
    And I am on "Course 1" course homepage
    Then I follow "Level 1"
    Then "body.mapsize-fitheight" "css_element" should not exist
    Then "body.mapsize-fitwidth" "css_element" should exist
    Then "body.mapsize-original" "css_element" should not exist
    And I follow "Log out" in the user menu

  Scenario: Check the levels use activity images.
    Given I log in as "student1"
    And I am on "Course 1" course homepage
    And I follow "Level 1"
    Then I sectionbg "#page" "C1" "sectionavailablebg.jpg" "availablelevel"
    Then ".section .activity:nth-child(1) .activitylevelimage" "css_element" should not exist
    And I follow "Log out" in the user menu
    Then I log in as "teacher1"
    And I am on "Course 1" course homepage with editing mode on
    And I edit the section "1"
    Then I follow "Expand all"
    Then I set the field "Use activity images" to "Enable"
    And I press "Save changes"
    When I open "Page1" actions menu
    And I click on "Edit settings" "link" in the "Page1" activity
    Then I follow "Expand all"
    And I upload "course/format/levels/tests/behat/assets/modavailable.svg" file to "Available image" filemanager
    And I press "Save and display"
    And I follow "Log out" in the user menu
    Then I log in as "student1"
    And I am on "Course 1" course homepage
    And I follow "Level 1"
    Then ".section .activity:nth-child(1) .activitylevelimage" "css_element" should exist
