<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Program enrolment plugin language file.
 *
 * @package    enrol_programs
 * @copyright  2023 Open LMS (https://www.openlms.net/)
 * @author     Chris Tranel
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addprogram'] = 'เพิ่มโปรแกรม';
$string['addset'] = 'เพิ่มชุดใหม่';
$string['allocationend'] = 'สิ้นสุดการจัดสรร';
$string['allocationend_help'] = 'ความหมายของวันที่สิ้นสุดการจัดสรรขึ้นอยู่กับแหล่งที่มาการจัดสรรที่เปิดใข้งาน โดยทั่วไปการจัดสรรใหม่จะเป็นไปไม่ได้หลังจากวันที่นี้หากมีการระบุ';
$string['allocation'] = 'การจัดสรร';
$string['allocations'] = 'การจัดสรร';
$string['programallocations'] = 'การจัดสรรโปรแกรม';
$string['allocationdate'] = 'วันที่การจัดสรร';
$string['allocationsources'] = 'แหล่งที่มาการจัดสรร';
$string['allocationstart'] = 'เริ่มต้นการจัดสรร';
$string['allocationstart_help'] = 'ความหมายของวันที่เริ่มต้นการจัดสรรขึ้นอยู่กับแหล่งที่มาการจัดสรรที่เปิดใข้งาน โดยทั่วไปการจัดสรรใหม่จะเป็นไปได้หลังจากวันที่นี้เท่านั้นหากมีการระบุ';
$string['allprograms'] = 'โปรแกรมทั้งหมด';
$string['appenditem'] = 'ผนวกรายการ';
$string['appendinto'] = 'ผนวกลงในรายการ';
$string['archived'] = 'เก็บถาวร';
$string['catalogue'] = 'แคตตาล็อกโปรแกรม';
$string['catalogue_dofilter'] = 'ค้นหา';
$string['catalogue_resetfilter'] = 'ล้าง';
$string['catalogue_searchtext'] = 'ค้นหาข้อความ';
$string['catalogue_tag'] = 'กรองตามแท็ก';
$string['certificatetemplatechoose'] = 'เลือกเทมเพลต...';
$string['cohorts'] = 'ปรากฏแก่กลุ่ม';
$string['cohorts_help'] = 'ทำโปรแกรมที่ไม่ใช่สาธารณะให้ปรากฏแก่สมาชิกกลุ่มที่ระบุได้

สถานะการปรากฏไม่ส่งผลกระทบต่อโปรแกรมที่จัดสรรแล้ว';
$string['completiondate'] = 'วันที่เสร็จสมบูรณ์';
$string['creategroups'] = 'กลุ่มรายวิชา';
$string['creategroups_help'] = 'หากเปิดใช้งาน กลุ่มจะถูกสร้างในแต่ละรายวิชาที่เพิ่มลงในโปรแกรม และผู้ใช้ที่จัดสรรทั้งหมดจะถูกเพิ่มเป็นสมาชิกกลุ่ม';
$string['deleteallocation'] = 'ลบการจัดสรรโปรแกรม';
$string['deletecourse'] = 'ลบรายวิชาออก';
$string['deleteprogram'] = 'ลบโปรแกรม';
$string['deleteset'] = 'ลบชุด';
$string['documentation'] = 'โปรแกรมสำหรับเอกสารประกอบ Moodle';
$string['duedate'] = 'กำหนดส่งงาน';
$string['enrolrole'] = 'บทบาทของรายวิชา';
$string['enrolrole_desc'] = 'เลือกบทบาทที่โปรแกรมจะใช้สำหรับการลงทะเบียนรายวิชา';
$string['errorcontentproblem'] = 'ตรวจพบปัญหาในโครงสร้างเนื้อหาโปรแกรม ความสำเร็จของโปรแกรมจะไม่ถูกติดตามอย่างถูกต้อง!';
$string['errordifferenttenant'] = 'ไม่สามารถเข้าถึงโปรแกรมจากผู้ใช้งานอื่น';
$string['errornoallocations'] = 'ไม่พบการจัดสรรผู้ใช้งาน';
$string['errornoallocation'] = 'โปรแกรมไม่ได้รับการจัดสรร';
$string['errornomyprograms'] = 'คุณไม่ได้รับการจัดสรรลงในโปรแกรมใด';
$string['errornoprograms'] = 'ไม่พบโปรแกรม';
$string['errornorequests'] = 'ไม่พบคำขอโปรแกรม';
$string['errornotenabled'] = 'ปลั๊กอินโปรแกรมไม่ได้เปิดใช้งาน';
$string['event_program_completed'] = 'โปรแกรมเสร็จสมบูรณ์แล้ว';
$string['event_program_created'] = 'สร้างโปรแกรมแล้ว';
$string['event_program_deleted'] = 'ลบโปรแกรมแล้ว';
$string['event_program_updated'] = 'อัปเดตโปรแกรมแล้ว';
$string['event_program_viewed'] = 'ดูโปรแกรมแล้ว';
$string['event_user_allocated'] = 'จัดสรรผู้ใช้งานไปยังโปรแกรมแล้ว';
$string['event_user_deallocated'] = 'ยกเลิกจัดสรรผู้ใช้งานไปยังโปรแกรมแล้ว';
$string['evidence'] = 'หลักฐานอื่น';
$string['evidence_details'] = 'รายละเอียด';
$string['fixeddate'] = 'ในวันที่กำหนด';
$string['item'] = 'ชิ้น';
$string['itemcompletion'] = 'การเสร็จสมบูรณ์ของรายการโปรแกรม';
$string['management'] = 'การจัดการโปรแกรม';
$string['messageprovider:allocation_notification'] = 'การแจ้งเตือนการจัดสรรโปรแกรม';
$string['messageprovider:approval_request_notification'] = 'การแจ้งเตือนคำขอการอนุมัติโปรแกรม';
$string['messageprovider:approval_reject_notification'] = 'การแจ้งเตือนการปฏิเสธคำขอโปรแกรม';
$string['messageprovider:completion_notification'] = 'การแจ้งเตือนโปรแกรมเสร็จสมบูรณ์';
$string['messageprovider:deallocation_notification'] = 'การแจ้งเตือนยกเลิกการจัดสรรโปรแกรม';
$string['messageprovider:duesoon_notification'] = 'การแจ้งเตือนวันที่ครบกำหนดโปรแกรมในไม่ช้า';
$string['messageprovider:due_notification'] = 'การแจ้งเตือนโปรแกรมเกินกำหนด';
$string['messageprovider:endsoon_notification'] = 'การแจ้งเตือนวันที่สิ้นสุดโปรแกรมในไม่ช้า';
$string['messageprovider:endcompleted_notification'] = 'การแจ้งเตือนการสิ้นสุดโปรแกรมที่เสร็จสมบูรณ์';
$string['messageprovider:endfailed_notification'] = 'การแจ้งเตือนการสิ้นสุดโปรแกรมที่ล้มเหลว';
$string['messageprovider:start_notification'] = 'การแจ้งเตือนโปรแกรมเริ่มต้น';
$string['moveitem'] = 'ย้ายรายการ';
$string['moveitemcancel'] = 'ยกเลิกการย้าย';
$string['moveafter'] = 'ย้าย "{$a->item}" หลัง "{$a->target}"';
$string['movebefore'] = 'ย้าย "{$a->item}" ก่อน "{$a->target}"';
$string['moveinto'] = 'ย้าย "{$a->item}" ไปยัง "{$a->target}"';
$string['myprograms'] = 'โปรแกรมของฉัน';
$string['notification_allocation'] = 'จัดสรรผู้ใช้งานแล้ว';
$string['notification_completion'] = 'โปรแกรมเสร็จสมบูรณ์แล้ว';
$string['notification_completion_subject'] = 'โปรแกรมเสร็จสมบูรณ์แล้ว';
$string['notification_completion_body'] = 'สวัสดี {$a->user_fullname},

คุณได้ทำโปรแกรม "{$a->program_fullname}” เสร็จสมบูรณ์แล้ว
';
$string['notification_deallocation'] = 'เลิกจัดสรรผู้ใช้งานแล้ว';
$string['notification_duesoon'] = 'วันที่ครบกำหนดโปรแกรมในไม่ช้า';
$string['notification_duesoon_subject'] = 'โปรแกรมใกล้เสร็จสมบูรณ์แล้ว';
$string['notification_duesoon_body'] = 'สวัสดี {$a->user_fullname},

โปรแกรม "{$a->program_fullname}" คาดว่าจะเสร็จสมบูรณ์ในวันที่ {$a->program_duedate}
';
$string['notification_due'] = 'โปรแกรมเกินกำหนด';
$string['notification_due_subject'] = 'โปรแกรมใกล้เสร็จสมบูรณ์แล้ว';
$string['notification_due_body'] = 'สวัสดี {$a->user_fullname},

โปรแกรม "{$a->program_fullname}" คาดว่าจะเสร็จสมบูรณ์ก่อนวันที่ {$a->program_duedate}
';
$string['notification_endsoon'] = 'วันที่สิ้นสุดโปรแกรมในไม่ช้า';
$string['notification_endsoon_subject'] = 'โปรแกรมสิ้นสุดในไม่ช้า';
$string['notification_endsoon_body'] = 'สวัสดี {$a->user_fullname},

โปรแกรม "{$a->program_fullname}" จะสิ้นสุดในวันที่ {$a->program_enddate}
';
$string['notification_endcompleted'] = 'การสิ้นสุดโปรแกรมที่เสร็จสมบูรณ์';
$string['notification_endcompleted_subject'] = 'การสิ้นสุดโปรแกรมที่เสร็จสมบูรณ์';
$string['notification_endcompleted_body'] = 'สวัสดี {$a->user_fullname},

โปรแกรม "{$a->program_fullname}" สิ้นสุดแล้ว คุณได้ทำเสร็จสมบูรณ์เร็วกว่ากำหนด
';
$string['notification_endfailed'] = 'การสิ้นสุดโปรแกรมที่ล้มเหลว';
$string['notification_endfailed_subject'] = 'การสิ้นสุดโปรแกรมที่ล้มเหลว';
$string['notification_endfailed_body'] = 'สวัสดี {$a->user_fullname},

โปรแกรม "{$a->program_fullname}" สิ้นสุดแล้ว คุณทำไม่เสร็จสมบูรณ์
';
$string['notification_start'] = 'โปรแกรมเริ่มต้น';
$string['notification_start_subject'] = 'โปรแกรมเริ่มต้น';
$string['notification_start_body'] = 'สวัสดี {$a->user_fullname},

โปรแกรม "{$a->program_fullname}" เริ่มต้นแล้ว
';
$string['notificationdates'] = 'วันที่การแจ้งเตือน';
$string['notset'] = 'ไม่ได้ตั้งค่า';
$string['plugindisabled'] = 'ปลั๊กอินการลงทะเบียนโปรแกรมถูกปิดใช้งาน โปรแกรมจะไม่ทำงาน

[Enable plugin now]({$a->url})';
$string['pluginname'] = 'โปรแกรม';
$string['pluginname_desc'] = 'โปรแกรมได้รับการออกแบบให้อนุญาตการสร้างชุดรายวิชา';
$string['privacy:metadata:field:programid'] = 'ID โปรแกรม';
$string['privacy:metadata:field:userid'] = 'ID ผู้ใช้งาน';
$string['privacy:metadata:field:allocationid'] = 'ID การจัดสรรโปรแกรม';
$string['privacy:metadata:field:sourceid'] = 'แหล่งที่มาของการจัดสรร';
$string['privacy:metadata:field:itemid'] = 'รหัสรายการ';
$string['privacy:metadata:field:timecreated'] = 'วันที่สร้าง';
$string['privacy:metadata:field:timecompleted'] = 'วันที่เสร็จสมบูรณ์';

$string['privacy:metadata:table:enrol_programs_allocations'] = 'ข้อมูลเกี่ยวกับการจัดสรรโปรแกรม';
$string['privacy:metadata:field:archived'] = 'บันทึกถูกเก็บถาวรหรือไม่';
$string['privacy:metadata:field:sourcedatajson'] = 'ข้อมูลเกี่ยวกับแหล่งที่มาของการจัดสรร';
$string['privacy:metadata:field:timeallocated'] = 'วันที่การจัดสรรโปรแกรม';
$string['privacy:metadata:field:timestart'] = 'วันที่เริ่มต้น';
$string['privacy:metadata:field:timedue'] = 'กำหนดส่งงาน';
$string['privacy:metadata:field:timeend'] = 'วันที่สิ้นสุด';

$string['privacy:metadata:table:enrol_programs_certs_issues'] = 'ออกใบรับรองการจัดสรรโปรแกรม';
$string['privacy:metadata:field:issueid'] = 'ID การออก';

$string['privacy:metadata:table:enrol_programs_completions'] = 'การเสร็จสมบูรณ์การจัดสรรโปรแกรม';

$string['privacy:metadata:table:enrol_programs_evidences'] = 'ข้อมูลเกี่ยวกับหลักฐานการเสร็จสมบูรณ์อื่น ๆ';
$string['privacy:metadata:field:evidencejson'] = 'ข้อมูลเกี่ยวกับหลักฐานการเสร็จสมบูรณ์';
$string['privacy:metadata:field:createdby'] = 'สร้างหลักฐานโดย';

$string['privacy:metadata:table:enrol_programs_requests'] = 'ข้อมูลเกี่ยวกับคำขอการจัดสรร';
$string['privacy:metadata:field:datajson'] = 'ข้อมูลเกี่ยวกับคำขอ';
$string['privacy:metadata:field:timerequested'] = 'วันที่ที่ขอ';
$string['privacy:metadata:field:timerejected'] = 'วันที่ที่ปฏิเสธ';
$string['privacy:metadata:field:rejectedby'] = 'ปฏิเสธคำขอโดย';


$string['privacy:metadata:table:enrol_programs_usr_snapshots'] = 'สแนปช็อตการจัดสรรโปรแกรม';
$string['privacy:metadata:field:reason'] = 'สาเหตุ';
$string['privacy:metadata:field:timesnapshot'] = 'วันที่สแนปช็อต';
$string['privacy:metadata:field:snapshotby'] = 'สแนปช็อตโดย';
$string['privacy:metadata:field:explanation'] = 'คำอธิบาย';
$string['privacy:metadata:field:completionsjson'] = 'ข้อมูลเกี่ยวกับการเสร็จสมบูรณ์';
$string['privacy:metadata:field:evidencesjson'] = 'ข้อมูลเกี่ยวกับหลักฐานการเสร็จสมบูรณ์';

$string['program'] = 'โปรแกรม';
$string['programautofix'] = 'เกี่ยวกับโปรแกรมซ่อมแซม';
$string['programdue'] = 'ครบกำหนดโปรแกรม';
$string['programdue_help'] = 'วันที่ครบกำหนดโปรแกรมระบุเวลาที่ผู้ใช้งานคาดว่าจะทำโปรแกรมเสร็จสมบูรณ์';
$string['programdue_delay'] = 'ครบกำหนดหลังจากเริ่มต้น';
$string['programdue_date'] = 'กำหนดส่งงาน';
$string['programend'] = 'สิ้นสุดโปรแกรม';
$string['programend_help'] = 'ผู้ใช้งานไม่สามารถป้อนรายวิชาโปรแกรมหลังจากสิ้นสุดโปรแกรม';
$string['programend_delay'] = 'สิ้นสุดหลังจากเริ่มต้น';
$string['programend_date'] = 'วันที่สิ้นสุดโปรแกรม';
$string['programcompletion'] = 'วันที่โปรแกรมเสร็จสมบูรณ์';
$string['programidnumber'] = 'หมายเลข ID โปรแกรม';
$string['programimage'] = 'รูปภาพโปรแกรม';
$string['programname'] = 'ชื่อโปรแกรม';
$string['programurl'] = 'URL โปรแกรม';
$string['programs'] = 'โปรแกรม';
$string['programsactive'] = 'ใช้งานอยู่';
$string['programsarchived'] = 'เก็บถาวร';
$string['programsarchived_help'] = 'โปรแกรมที่เก็บถาวรจะถูกซ่อนจากผู้ใช้งานและความคืบหน้าจะถูกล็อก';
$string['programstart'] = 'เริ่มต้นโปรแกรม';
$string['programstart_help'] = 'ผู้ใช้งานไม่สามารถป้อนรายวิชาโปรแกรมก่อนเริ่มต้นโปรแกรม';
$string['programstart_allocation'] = 'เริ่มต้นทันทีหลังการจัดสรร';
$string['programstart_delay'] = 'หน่วงเวลาเริ่มต้นหลังการจัดสรร';
$string['programstart_date'] = 'วันที่เริ่มต้นโปรแกรม';
$string['programstatus'] = 'สถานะโปรแกรม';
$string['programstatus_completed'] = 'เสร็จสมบูรณ์';
$string['programstatus_any'] = 'ทุกสถานะโปรแกรม';
$string['programstatus_archived'] = 'เก็บถาวร';
$string['programstatus_archivedcompleted'] = 'เก็บถาวรเสร็จสมบูรณ์';
$string['programstatus_overdue'] = 'เกินกำหนด';
$string['programstatus_open'] = 'เปิด';
$string['programstatus_future'] = 'ยังไม่เปิด';
$string['programstatus_failed'] = 'ล้มเหลว';
$string['programs:addcourse'] = 'เพิ่มรายวิชาลงในโปรแกรม';
$string['programs:allocate'] = 'จัดสรรผู้เรียนลงในโปรแกรม';
$string['programs:delete'] = 'ลบโปรแกรม';
$string['programs:edit'] = 'เพิ่มและอัปเดตโปรแกรม';
$string['programs:admin'] = 'การจัดการโปรแกรมขั้นสูง';
$string['programs:manageevidence'] = 'จัดการหลักฐานการเสร็จสมบูรณ์อื่น';
$string['programs:view'] = 'ดูการจัดการโปรแกรม';
$string['programs:viewcatalogue'] = 'เข้าถึงแคตตาล็อกโปรแกรม';
$string['public'] = 'สาธารณะ';
$string['public_help'] = 'โปรแกรมสาธารณะจะปรากฏแก่ผู้ใช้งานทั้งหมด

สถานะการปรากฏไม่ส่งผลกระทบต่อโปรแกรมที่จัดสรรแล้ว';
$string['sequencetype'] = 'ประเภทการเสร็จสมบูรณ์';
$string['sequencetype_allinorder'] = 'ทั้งหมดตามลำดับ';
$string['sequencetype_allinanyorder'] = 'ทั้งหมดตามลำดับใดก็ได้';
$string['sequencetype_atleast'] = 'อย่างน้อย {$a->min}';
$string['selectcategory'] = 'เลือกประเภท';
$string['source'] = 'แหล่งที่มา';
$string['source_approval'] = 'คำขอที่มีการอนุมัติ';
$string['source_approval_allownew'] = 'อนุญาตการอนุมัติ';
$string['source_approval_allownew_desc'] = 'อนุญาตการเพิ่ม new _requests ที่มี approval_ sources ลงในโปรแกรม';
$string['source_approval_allowrequest'] = 'อนุญาตคำขอใหม่';
$string['source_approval_confirm'] = 'โปรดยืนยันว่าคุณต้องการดำเนินการขอการจัดสรรลงในโปรแกรม';
$string['source_approval_daterequested'] = 'วันที่ขอ';
$string['source_approval_daterejected'] = 'วันที่ที่ปฏิเสธ';
$string['source_approval_makerequest'] = 'ขอการเข้าถึง';
$string['source_approval_notification_allocation_subject'] = 'การแจ้งเตือนการอนุมัติโปรแกรม';
$string['source_approval_notification_allocation_body'] = 'สวัสดี {$a->user_fullname},

การสมัครโปรแกรม "{$a->program_fullname}” ของคุณได้รับอนุมัติแล้ว วันที่เริ่มต้นคือ {$a->program_startdate}
';
$string['source_approval_notification_approval_request_subject'] = 'การแจ้งเตือนคำขอโปรแกรม';
$string['source_approval_notification_approval_request_body'] = '
ผู้ใช้งาน {$a->user_fullname} ส่งคำขอการเข้าถึงโปรแกรม "{$a->program_fullname}"
';
$string['source_approval_notification_approval_reject_subject'] = 'การแจ้งเตือนการปฏิเสธคำขอโปรแกรม';
$string['source_approval_notification_approval_reject_body'] = 'สวัสดี {$a->user_fullname},

คำขอเข้าถึงโปรแกรม "{$a->program_fullname}” ถูกปฏิเสธ

{$a->reason}
';
$string['source_approval_requestallowed'] = 'คำขอได้รับอนุญาต';
$string['source_approval_requestnotallowed'] = 'คำขอไม่ได้รับอนุญาต';
$string['source_approval_requests'] = 'คำขอ';
$string['source_approval_requestpending'] = 'คำขอการเข้าถึงรอการยืนยัน';
$string['source_approval_requestrejected'] = 'คำขอการเข้าถึงถูกปฏิเสธ';
$string['source_approval_requestapprove'] = 'อนุมัติคำขอ';
$string['source_approval_requestreject'] = 'ปฏิเสธคำขอ';
$string['source_approval_requestdelete'] = 'ลบคำขอ';
$string['source_approval_rejectionreason'] = 'เหตุผลของการปฏิเสธ';
$string['notification_allocation_subject'] = 'การแจ้งเตือนการจัดสรรโปรแกรม';
$string['notification_allocation_body'] = 'สวัสดี {$a->user_fullname},

คุณได้รับการจัดสรรลงในโปรแกรม "{$a->program_fullname}” วันที่เริ่มต้นคือ {$a->program_startdate}
';
$string['notification_deallocation_subject'] = 'การแจ้งเตือนยกเลิกการจัดสรรโปรแกรม';
$string['notification_deallocation_body'] = 'สวัสดี {$a->user_fullname},

คุณถูกเลิกการจัดสรรจากโปรแกรม "{$a->program_fullname}"
';
$string['source_cohort'] = 'การจัดสรรกลุ่มอัตโนมัติ';
$string['source_cohort_allownew'] = 'อนุญาตการจัดสรรกลุ่ม';
$string['source_cohort_allownew_desc'] = 'อนุญาตการเพิ่ม new _cohort อัตโนมัติ allocation_ sources ลงในโปรแกรม';
$string['source_manual'] = 'การจัดสรรด้วยตนเอง';
$string['source_manual_allocateusers'] = 'จัดสรรผู้ใช้งาน';
$string['source_manual_csvfile'] = 'ไฟล์ CSV';
$string['source_manual_hasheaders'] = 'บรรทัดแรกคือหัวเรื่อง';
$string['source_manual_potusersmatching'] = 'การจับคู่การจัดสรรผู้สมัคร';
$string['source_manual_potusers'] = 'การจัดสรรผู้สมัคร';
$string['source_manual_result_assigned'] = '{$a} ผู้ใช้งานได้รับการจัดสรรลงในโปรแกรม';
$string['source_manual_result_errors'] = 'ตรวจพบ {$a} ข้อผิดพลาดเมื่อจัดสรรโปรแกรม';
$string['source_manual_result_skipped'] = '{$a} ผู้ใช้งานได้รับการจัดสรรลงในโปรแกรมอยู่แล้ว';
$string['source_manual_uploadusers'] = 'อัปโหลดการจัดสรร';
$string['source_manual_usercolumn'] = 'คอลัมน์การระบุตัวตนผู้ใช้งาน';
$string['source_manual_usermapping'] = 'แมปผู้ใช้งานผ่าน';
$string['source_manual_userupload_allocated'] = 'จัดสรรลงใน \'{$a}\'';
$string['source_manual_userupload_alreadyallocated'] = 'จัดสรรลงใน \'{$a}\’ อยู่แล้ว';
$string['source_manual_userupload_invalidprogram'] = 'ไม่สามารถจัดสรรลงใน \'{$a}\'';
$string['source_selfallocation'] = 'การจัดสรรด้วยตนเอง';
$string['source_selfallocation_allocate'] = 'สมัคร';
$string['source_selfallocation_allownew'] = 'อนุญาตการจัดสรรตนเอง';
$string['source_selfallocation_allownew_desc'] = 'อนุญาตการเพิ่ม new _self allocation_ sources ลงในโปรแกรม';
$string['source_selfallocation_allowsignup'] = 'อนุญาตการสมัครใหม่';
$string['source_selfallocation_confirm'] = 'โปรดยืนยันว่าคุณต้องการการจัดสรรลงในโปรแกรม';
$string['source_selfallocation_enable'] = 'เปิดใช้งานการจัดสรรตนเอง';
$string['source_selfallocation_key'] = 'คีย์การสมัคร';
$string['source_selfallocation_keyrequired'] = 'ต้องใช้คีย์การสมัคร';
$string['source_selfallocation_maxusers'] = 'ผู้ใช้งานสูงสุด';
$string['source_selfallocation_maxusersreached'] = 'ครบจำนวนผู้ใช้งานสูงสุดที่จัดสรรตนเองแล้ว';
$string['source_selfallocation_maxusers_status'] = 'ผู้ใช้งาน {$a->count}/{$a->max}';
$string['source_selfallocation_notification_allocation_subject'] = 'การแจ้งเตือนการจัดสรรโปรแกรม';
$string['source_selfallocation_notification_allocation_body'] = 'สวัสดี {$a->user_fullname},

คุณได้สมัครโปรแกรม "{$a->program_fullname}” วันที่เริ่มต้นคือ {$a->program_startdate}
';
$string['source_selfallocation_signupallowed'] = 'อนุญาตให้สมัคร';
$string['source_selfallocation_signupnotallowed'] = 'ไม่อนุญาตให้สมัคร';
$string['set'] = 'ชุดรายวิชา';
$string['settings'] = 'การตั้งค่าโปรแกรม';
$string['scheduling'] = 'การกำหนดเวลา';
$string['taballocation'] = 'การตั้งค่าการจัดสรร';
$string['tabcontent'] = 'เนื้อหา';
$string['tabgeneral'] = 'ทั่วไป';
$string['tabusers'] = 'ผู้ใช้งาน';
$string['tabvisibility'] = 'การตั้งค่าการปรากฏ';
$string['tagarea_program'] = 'โปรแกรม';
$string['taskcertificate'] = 'Cron การออกใบรับรองโปรแกรม';
$string['taskcron'] = 'Cron ปลั๊กอินโปรแกรม';
$string['unlinkeditems'] = 'รายการที่ยกเลิกการเชื่อมโยง';
$string['updateprogram'] = 'อัปเดตโปรแกรม';
$string['updateallocation'] = 'อัปเดตการจัดสรร';
$string['updateallocations'] = 'อัปเดตการจัดสรร';
$string['updateset'] = 'อัปเดตชุด';
$string['updatescheduling'] = 'อัปเดตกำหนดการ';
$string['updatesource'] = 'อัปเดต {$a}';
