<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for plugin 'reminders', language 'en'
 *
 * @package    local_reminder
 * @author     LMSACE Dev Team
 * @copyright  2015 onwards lmsace.com
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['pluginname'] = 'Email reminder';
$string['strreminder'] = 'Reminder';
$string['generalsettings'] = 'Reminder settings';
$string['configtitle'] = "Reminder for email";

$string['notifinotlogin'] = 'Notification for those who have not logged in.';
$string['notifinotlogindesc'] = '{$a->placeholders}';
$string['notifinotlogin_subject'] = '{$a->sitename} - Reminder for Account Status - We Notice You Haven\'t Logged In Recently';
$string['notifinotlogin_body'] = 'Dear {$a->firstname} {$a->lastname},
<br><br>

We noticed that you haven\'t logged in to your account at {$a->sitename} recently, and we wanted to reach out and see how you\'re doing. We value our users and want to make sure that you\'re still getting value from our site.
<br><br>
We understand that life can get busy, but we wanted to remind you of the benefits of using {$a->sitename}.
<br><br>
If you\'ve forgotten your login credentials or need any assistance accessing your account, please don\'t hesitate to contact our support team. We\'re always here to help.
<br><br>
We hope to see you soon at {$a->sitename} and wish you all the best.
<br><br>
Best regards,
<br>
{$a->sitename}';

$string['notifinotaccess'] = 'Notification for those who have not yet started an e-learning course';
$string['notifinotaccessdesc'] = '{$a->placeholders}';
$string['notifinotaccess_subject'] = '{$a->sitename} - Reminder to Doesn\'t Start Your E-Learning Course';
$string['notifinotaccess_body'] = '
Dear {$a->firstname} {$a->lastname},
<br><br>
We wanted to remind you that you have registered for the {$a->course} e-learning course on {$a->sitename} and it\'s time to get started!
<br><br>
We understand that life can get busy, and it\'s easy to forget about commitments that we\'ve made. That\'s why we wanted to send you this reminder to help you get back on track.
<br><br>
Please login to your account and begin the course as soon as possible. If you have any questions or need any assistance, don\'t hesitate to reach out to our support team.
<br><br>
Thank you for choosing {$a->sitename} for your e-learning needs, and we wish you all the best in your learning journey!
<br><br>
Best regards,
<br>
{$a->sitename}
';

$string['notifienrol'] = 'Notification for those who started their e-learning course';
$string['notifienroldesc'] = '{$a->placeholders}';
$string['notifienrol_subject'] = '{$a->sitename} - Reminder to Start Your E-Learning Course';
$string['notifienrol_body'] = '
Dear {$a->firstname} {$a->lastname},
<br><br>
We wanted to remind you that you have registered for the {$a->course} e-learning course on {$a->sitename} and it\'s time to get started!
<br><br>
We understand that life can get busy, and it\'s easy to forget about commitments that we\'ve made. That\'s  why we wanted to send you this reminder to help you get back on track.
<br><br>
Please login to your account and begin the course as soon as possible. If you have any questions or need any assistance, don\'t hesitate to reach out to our support team.
<br><br>
Thank you for choosing {$a->sitename} for your e-learning needs, and we wish you all the best in your learning journey!
<br><br>
Best regards,
<br>
{$a->sitename}
';

$string['notifinotlogininterval'] = "Notification duration for those who have not logged in";
$string['notifinotloginintervaldesc'] = "";

$string['notifinotaccessinterval'] = "Notification duration for those who have not yet begun an e-learning course";
$string['notifinotaccessintervaldesc'] = "";
$string['notifienrolinterval'] = "Notification duration for enrol new users";
$string['notifienrolintervaldesc'] = "";
$string['notificationinterval'] = "Recurring notifications";
$string['notificationintervaldesc'] = "Set the number of times the notification should be sent to users.";
$string['notifinotloginheader'] = "Notification for those who have not logged in.";
$string['stremailtemplate'] = "Email Template";
$string['strduration'] = "Duration";
$string['generalnotifsettings'] = "General notification settings";
$string['strenablenotification'] = "Enable Notification";