<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for plugin 'reminders', language 'en'
 *
 * @package    local_reminder
 * @author     LMSACE Dev Team
 * @copyright  2015 onwards lmsace.com
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */


defined('MOODLE_INTERNAL') || die;

if ($hassiteconfig) {
    require_once($CFG->dirroot.'/local/reminder/lib/vars.php');
    $page = new admin_settingpage('local_reminder', get_string('strreminder', 'local_reminder'));

    // Email placeholders.
    $vars = \ReminderEmailVars::vars();
    $placeholders = "<div class='form-group row  fitem'>
        <div class='col-md-9'><div class='emailvars '>";
    $optioncount = 0;
    foreach ($vars as $option) {
        $placeholders .= "<a href='#' data-text='$option' class='reminder-clickforword'><span>$option</span></a>";
        $optioncount++;
    }
    $placeholders .= "</div></div></div>";

    $name = 'local_reminder/notifigeneral';
    $title = get_string('generalnotifsettings', 'local_reminder');
    $setting = new admin_setting_heading($name, $title, "");
    $page->add($setting);


    $name = 'local_reminder/notificationinterval';
    $title = get_string('notificationinterval', 'local_reminder');
    $description = get_string('notificationintervaldesc', 'local_reminder');
    $setting = new admin_setting_configselect($name, $title, $description, 0, array_combine(range(1, 10), range(1, 10)));
    $page->add($setting);


    $name = 'local_reminder/notifinotloginheader';
    $title = get_string('notifinotloginheader', 'local_reminder');
    $setting = new admin_setting_heading($name, $title, "");
    $page->add($setting);


    // Notlogin user.
    $name = 'local_reminder/statusnotifinotlogin';
    $title = get_string('strenablenotification', 'local_reminder');
    $setting = new admin_setting_configcheckbox($name, $title, "", 0);
    $page->add($setting);

    $name = 'local_reminder/notifinotlogininterval';
    $title = get_string('strduration', 'local_reminder');
    $description = get_string('notifinotloginintervaldesc', 'local_reminder');
    $setting = new admin_setting_configduration($name, $title, $description, 7 * DAYSECS);
    $page->add($setting);


    $name = 'local_reminder/notifinotlogin';
    $title = get_string('stremailtemplate', 'local_reminder');
    $description = get_string('notifinotlogindesc', 'local_reminder', ['placeholders' => $placeholders]);
    $setting = new admin_setting_confightmleditor($name, $title, $description, '');
    $page->add($setting);

    $name = 'local_reminder/notifinotaccessheader';
    $title = get_string('notifinotaccess', 'local_reminder');
    $setting = new admin_setting_heading($name, $title, "");
    $page->add($setting);

    // Notlogin user.

    $name = 'local_reminder/statusnotifinotaccess';
    $title = get_string('strenablenotification', 'local_reminder');
    $setting = new admin_setting_configcheckbox($name, $title, "", 0);
    $page->add($setting);

    $name = 'local_reminder/notifinotaccessinterval';
    $title = get_string('strduration', 'local_reminder');
    $description = get_string('notifinotaccessintervaldesc', 'local_reminder');
    $setting = new admin_setting_configduration($name, $title, $description,  7 * DAYSECS);
    $page->add($setting);


    $name = 'local_reminder/notifinotaccess';
    $title = get_string('stremailtemplate', 'local_reminder');
    $description = get_string('notifinotaccessdesc', 'local_reminder', ['placeholders' => $placeholders]);
    $setting = new admin_setting_confightmleditor($name, $title, $description, '');
    $page->add($setting);

    $name = 'local_reminder/notifienrolheader';
    $title = get_string('notifienrol', 'local_reminder');
    $setting = new admin_setting_heading($name, $title, "");
    $page->add($setting);

    // Notlogin user.
    $name = 'local_reminder/statusnotifienrol';
    $title = get_string('strenablenotification', 'local_reminder');
    $setting = new admin_setting_configcheckbox($name, $title, "", 0);
    $page->add($setting);

    $name = 'local_reminder/notifienrol';
    $title = get_string('stremailtemplate', 'local_reminder');
    $description = get_string('notifienroldesc', 'local_reminder', ['placeholders' => $placeholders]);
    $setting = new admin_setting_confightmleditor($name, $title, $description, '');
    $page->add($setting);

    // Email tempalte placholders.
    $PAGE->requires->js_call_amd('local_reminder/emailvars', 'init');
    $ADMIN->add('localplugins', $page);

    }