<?php

namespace message_webpush;

/**
 * Manage user.
 */
class manageuser {

    public $log;

    public function __construct() {

        $this->log = new logs();
    }

    public static function get() {
        return new self();
    }

    public function manage_subscription($userid, $subscription) {
        global $DB;

        // End point.
        $endpoint = json_decode($subscription)->endpoint;

        $like = $DB->sql_like('endpoint', ':endpoint'); // End point.

        $sql = "SELECT * FROM {message_webpush_subs} WHERE userid = :userid AND {$like} ";
        if ($record = $DB->get_record_sql($sql, array('userid' => $userid, 'endpoint' => $endpoint))) {
            $record->subscriptionjson = $subscription;
            $record->endpoint = $endpoint;
            $record->timecreated = time();
            $DB->update_record('message_webpush_subs', $record);
        } else {
            $DB->insert_record('message_webpush_subs', array(
                'userid' => $userid,
                'subscriptionjson' => $subscription,
                'endpoint' => $endpoint,
                'timecreated' => time()
            ));
        }

        return true;
    }

    /**
     * Removes user subscription if its failed.
     *
     * @param  mixed $endpoint
     * @return void
     */
    public function remove_subscription(string $endpoint) {
        global $DB;

        $like = $DB->sql_like('endpoint', ':endpoint');
        $sql = "SELECT * FROM {message_webpush_subs} WHERE {$like} "; // Message webpush subscription.

        if ($record = $DB->get_record_sql($sql, array('endpoint' => $endpoint))) {
            $DB->delete_records('message_webpush_subs', ['id' => $record->id]);
            // $this->log->remove_subscription($this->get_subscription_byendpoint($endpoint));
        }
    }

    /**
     * Get the user subscriptions.
     */
    public function get_user_subscriptions(int $userid) {
        global $DB;

        return $DB->get_records('message_webpush_subs', array('userid' => $userid));
    }

    /**
     * Get subscription by endpoint.
     */
    public function get_subscription_byendpoint($endpoint) {
        global $DB;

        // End point.
        $like = $DB->sql_like('endpoint', ':endpoint');

        // Get the subscription for the endpoint.
        $sql = "SELECT * FROM {message_webpush_subs} WHERE {$like} ";
        if ($record = $DB->get_record_sql($sql, array('endpoint' => $endpoint))) {
            return $record;
        }

        return [];

    }
}