<?php


// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Contains the definiton of the email message processors (sends messages to users via email)
 *
 * @package   message_email
 * @copyright 2008 Luis Rodrigues and Martin Dougiamas
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */


function xmldb_message_webpush_upgrade($oldversion) {
    global $DB;

	if ($oldversion < 2020102700.00) {
        $processor = new stdClass();
        $processor->name  = 'webpush';
        if (!$DB->record_exists('message_processors', array('name' => $processor->name))) {
            $DB->insert_record('message_processors', $processor);
        }
        // My message processor save point reached.
        upgrade_plugin_savepoint(true, 2020102700.00, 'message', 'webpush');
    }
    return true;
}