<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'Content designer', language 'en', branch 'MOODLE_20_STABLE'
 *
 * @package    mod_contentdesigner
 * @copyright  1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['abovecolorbg'] = "Background color/gradient (above)";
$string['abovecolorbg_help'] = 'Apply a gradient as the background for the element. You can create a smooth transition between two or more colors. Use either linear or radial gradients and specify the colors and direction for the gradient.<br>
<b>Gradient Example:</b>linear-gradient(#ff5733, #f1c40f) (This will create a gradient from red to yellow).<br>
<b>Color Example:</b> #ff5733 (This will set the background color of the element to a shade of red).';
$string['actiontstatus'] = 'Call to action';
$string['actiontstatus_help'] = 'This setting enables a Call to Action button that dynamically guides users based on their progress:<br>
<b>Start</b> Now directs to the first chapter if no chapters are completed.<br>
<b>Resume</b> appears if some chapters are complete, linking to the next incomplete chapter.<br>
<b>Review</b> shows once all chapters are complete, linking back to the first chapter for a recap."';
$string['addelement'] = 'Insert Element';
$string['alwayslatest'] = 'Always latest';
$string['animationheading'] = "Entrance animation";
$string['animationtitle'] = 'Entrance Animation';
$string['auto'] = 'Automatic';

$string['backbehindelement'] = "Background behind element";
$string['backgroundtitle'] = "Background";
$string['belowcolorbg'] = "Background color/gradient (below)";
$string['belowcolorbg_help'] = 'Set the background color or gradient for the element. You can choose a single color or a gradient that smoothly transitions between two or more colors. The background color or gradient will be applied below the content area of the element.<br>
<b>Gradient Example:</b>linear-gradient(#ff5733, #f1c40f) (This will create a gradient from red to yellow).<br>
<b>Color Example:</b> #ff5733 (This will set the background color of the element to a shade of red).';

$string['chapterdone'] = 'Done';
$string['chaptertitle'] = "Chapter Title";
$string['chooseaction'] = 'Choose an action ...';
$string['chooseoption'] = 'Choose: {$a}';
$string['completedtime'] = 'Completed time';
$string['completeprevelement'] = 'Complete the element above to continue.';
$string['completionby'] = 'Completed BY';
$string['completioncta'] = 'Complete chapter';
$string['completiondetail:mandatory'] = 'Complete all mandatory elements';
$string['completiondetail:reachend'] = 'Reach the end of the contents to complete';
$string['completionendreach'] = 'Completed when user finish the content';
$string['completionendreach_help'] = 'User should reach the end of content to finish this activity.';
$string['completionmandatory'] = 'Complete mandatory elements';
$string['completionmandatory_help'] = 'To complete this activity, the user must finish all mandatory elements.';
$string['completionmode'] = "Completion mode";
$string['completionmode_help'] = '<b>Completion Mode:</b> This setting determines how chapters are marked as complete in the Content designer module.<br><b>Manual:</b> Students must actively click the "Mark as Complete" button to indicate they have finished the chapter.<br>
<b>Automatic:</b> Chapters will be marked as complete automatically when the student scrolls past them. As soon as the following chapter becomes visible, the previous chapter will be marked as complete.';
$string['confirmdeleteinstance'] = 'Are you sure you want to delete the user data for this Content Designer instance?';
$string['content'] = "Content";
$string['content_help'] = 'Enter the main text for this element. This content will be displayed as body text, ideal for providing details, descriptions, or supporting information within your content layout.';
$string['contentdesigner:addinstance'] = 'Add a new content designer';
$string['contentdesigner:view'] = 'View content designer activity';
$string['contentdesigner:viewcontenteditor'] = 'Access the content editor options';
$string['contenteditor'] = "Content editor";
$string['createchapter'] = "Create chapter";
$string['creategeneral'] = 'Create general';
$string['createnewelement'] = 'Create new element - Content Designer';

$string['datadeleted'] = 'User data deleted successfully';
$string['decimalplacesdesc'] = 'The default number of digits that should be shown after the decimal point when displaying grades in embedded questions.';
$string['deletechecktype'] = 'Are you sure that you want to delete this {$a->element} element?';
$string['deselectalloption'] = 'Deselect all "{$a}"';
$string['displayalways'] = 'Displayed always';
$string['displaysubmitafter'] = 'Displayed after their own rating';

$string['element:creategeneral'] = "Create a general element";
$string['element:viewgeneral'] = "View the general element";
$string['elementbgimage'] = "Background image";
$string['elementbgimage_help'] = 'Set a background image for the element. You can upload an image or provide a URL to an image. The image will be displayed behind the content of the element.';
$string['elementcreate'] = "Create element";
$string['elementsettings'] = '{$a} element settings';
$string['elementtitle'] = "Title";
$string['elementtitle_help'] = 'Enter the title for the element. This title will only be displayed on the content editor page to help organize and identify the element within the editor. It will not appear on the final content page.';
$string['elementupdate'] = "Update element";
$string['enablesavestate'] = 'Save state';
$string['enablesavestate_help'] = 'Automatically save the user\'s current state. The user can return later and resume where they left off.';

$string['fadein'] = "Fade in";
$string['fallbackmessage'] = 'You don\'t have access to view this content';
$string['finish'] = 'Finish';
$string['free'] = 'Free';

$string['generalfeedbackdesc'] = 'Whether the general feedback should be shown by default in embedded questions.';
$string['generaltitle'] = "General settings";
$string['gerneralsettings'] = "General settings";

$string['headingtext'] = "Heading text";
$string['headingtext_help'] = 'Enter the main text for your heading. This will be prominently displayed to guide users through the content or section.';
$string['headingurl'] = "Heading URL";
$string['headingurl_help'] = 'Enter a URL if you want to make the heading clickable. When users click on the heading, they will be redirected to the specified link. Leave blank if no link is needed.';
$string['hidden'] = "Hidden";
$string["hiddenonmobile"] = 'Hidden on mobile';
$string['hideondesktop'] = "Hide on desktop";
$string['hideondesktop_help'] = "Hide this element when viewed on a desktop screen.";
$string['hideonmobile'] = "Hide on mobile";
$string['hideonmobile_help'] = "Hide this element when viewed on a mobile screen.";
$string['hideontablet'] = "Hide on tablet";
$string['hideontablet_help'] = "Hide this element when viewed on a tablet screen.";
$string['horizontalalign'] = "Horizontal Alignment";
$string['horizontalalign_help'] = 'Choose the horizontal position for the text within the element:<br>
<b>Left:</b> Aligns the text to the left side.<br>
<b>Center:</b> Centers the text within the element.<br>
<b>Right:</b> Aligns the text to the right side.<br>
Selecting the alignment helps control the visual layout of your content.';
$string['howquestionbehaves'] = 'How the question behaves';
$string['howquestionbehavesdesc'] = 'The default behaviour to use for questions element inside the content designer.';

$string['introtext'] = "Intro text";
$string['introtext_help'] = 'This text is an introduction to the Table of Contents, giving users an overview of what’s covered in this activity.<br><b>Example:</b>Welcome to this content designer module! Below is a breakdown of the chapters we’ll cover, organized for easy navigation. Use this Table of Contents to quickly access each chapter and keep track of your progress as you go';
$string['invaildelement'] = "Invalid content designer element";
$string['invaildrecord'] = "Invaild record";

$string['limita'] = 'Limit: {$a}';

$string['mainheading'] = "Main heading (h2)";
$string['mandatory'] = "Mandatory";
$string['mandatory_help'] = 'Specify whether completing this element is required to unlock the next one:<br>
<b>Yes:</b> The user must complete this element before the next one is displayed.<br>
<b>No:</b> The next element is available regardless of whether this one is completed.<br>
This setting is useful for creating a sequential flow, guiding users through the content step-by-step.';
$string['manual'] = 'Manual';
$string['margin'] = "Margin";
$string['margin_help'] = 'Margin controls the space outside the element, creating distance between it and other elements. Set a single value to apply the same margin on all sides of the element.<br> <b>Example:</b> 10px (This will apply a 10px margin on all four sides: top, right, bottom, and left).';
$string['modulename'] = 'Content Designer';
$string['modulenameplural'] = "Content Designers";

$string['navigation'] = 'Navigation Method';
$string['navigation_help'] = '<b>Sequential (default):</b> Users must complete each element in the defined order, and they cannot skip over any mandatory elements.<br><b>Free:</b> Users can navigate through all elements freely and skip mandatory elements.';
$string['navigationhead'] = 'Navigation';
$string['noresponseyet'] = 'The poll is currently active, but no users have participated yet.';
$string['notanswered'] = 'Not answered yet';
$string['numberofuser'] = 'Number of responses';

$string['optionno'] = 'Option {no}';
$string['options'] = "Options";
$string['outro:btnbacktocourse'] = 'Back to course';
$string['outro:btnbacktosection'] = 'Back to section';
$string['outro:btncustom'] = 'Custom';
$string['outro:btnnext'] = 'Next';

$string['padding'] = "Padding";
$string['padding_help'] = 'Padding controls the space inside the element, between the content and its borders. Set a single value to apply the same padding on all sides of the element.<br><b>Example:</b> 10px (This will apply a 10px padding on all four sides: top, right, bottom, and left).';
$string['pluginadministration'] = 'Content designer administration';
$string['pluginname'] = 'Content Designer';
$string['polloptions'] = 'Poll options';
$string['polloptions_help'] = 'Here is where you specify the options that participants have to choose from.';
$string['primarybutton'] = 'Primary button';
$string['primarybutton_help'] = '<b>Primary Button</b><br>
<b>Disabled:</b> The primary button is hidden by default.<br>
<b>Custom:</b> Displays a primary button where you can enter custom text and a URL.<br>
<b>Next:</b> Displays a "Next" button that links to the next activity in the course sequence.<br>
<b>Back to Course:</b> Displays a button that redirects to the course overview page.<br>
<b>Back to Section:</b> Displays a button that links back to the current activity\'s section within the course.';
$string['primarybuttontext'] = "primary button text";
$string['primarybuttontext_help'] = "Enter the text that will appear on the primary button. This button typically represents the main action, such as 'Continue', 'Next', or 'Submit'.";
$string['primarybuttonurl'] = "primary button URL";
$string['primarybuttonurl_help'] = 'Enter the URL the primary button will link to when clicked. This can be a link to another page, an external website, or another section within the content.';
$string['privacy:completion'] = 'Completions';
$string['privacy:metadata:completion:completion'] = 'Status of the user completion by self';
$string['privacy:metadata:completion:contentdesignerid'] = 'Content designer instance';
$string['privacy:metadata:completion:timecreated'] = 'Time of completion';
$string['privacy:metadata:completion:userid'] = 'ID of the user';
$string['privacy:metadata:contentdesignercompletion'] = 'Information about the user\'s completion of the content designer activity';
$string['progress'] = 'Progress';

$string['questioncontent'] = "Question";
$string['questioncontent_help'] = 'Enter the main question or topic for the poll. This will be displayed to students above the options for selection.';
$string['questionnumber'] = 'Q{$a}';

$string['reportsfilename'] = 'Contentdesigner reports - {$a->name}';
$string['requiresgrading'] = 'Requires grading';
$string['responsehistorydesc'] = 'Whether the response history table should be shown by default for embedded questions.';
$string['responses'] = 'Responses';
$string['responsiveheading'] = "Responsive";
$string['responsivetitle'] = 'Responsive settings';
$string['resulttype'] = 'Results';
$string['resulttype_help'] = '<b>Results Visibility:</b> Control when and how poll results are displayed to students. Choose from the following options:<br>
<b>Hidden: </b> Students will not see the aggregated results at any time. (Default)<br>
<b>Displayed Always: </b> Results are visible to all students immediately after submitting their poll.<br>
<b>Displayed After Their Own Rating: </b> Students will only see the results after they submit their own responses.*';
$string['resume'] = 'Resume';
$string['review'] = 'Review';
$string['richtext'] = "Rich Text Content";
$string['richtext_help'] = "Use the rich text editor to add and format content with full styling options, including text formatting, lists, links, and media. This editor supports file uploads, so you can include images, videos, and other media to enhance your content.";
$string['rightanswerdesc'] = 'Whether the automatically generated display of the right answer is shown by default for embedded questions. We recommend that you do not used this, but instead encoruage question authors to explain the right answer in the general feedback.';

$string['savestatefreq'] = 'Save state frequency';
$string['savestatefreq_help'] = 'How often (in seconds) that the user\'s current state is saved.';
$string['scrolleffectsheading'] = "Scrolling effects (horizontal)";
$string['scrollingeffectstitle'] = 'Scrolling Effects';
$string['scrollup'] = "Enabled when scrolling up";
$string['secondarybutton'] = 'Secondary button';
$string['secondarybutton_help'] = '<b>Secondary Button</b><br>
<b>Disabled:</b> The secondary button is hidden by default.<br>
<b>Custom:</b> Displays a secondary button where you can enter custom text and a URL.<br>
<b>Next:</b> Displays a "Next" button that links to the next activity in the course sequence.<br>
<b>Back to Course:</b> Displays a button that redirects to the course overview page.<br>
<b>Back to Section:</b> Displays a button that links back to the current activity\'s section within the course.';
$string['secondarybuttontext'] = "Secondary button text";
$string['secondarybuttontext_help'] = "Enter the text for the secondary button. This button is typically used for alternative actions, such as 'Cancel', 'Back', or 'Skip'. Choose a label that clearly indicates the secondary action.";
$string['secondarybuttonurl'] = "Secondary button URL";
$string['secondarybuttonurl_help'] = 'Enter the URL the secondary button will link to when clicked. This could direct users to an alternative action or page.';
$string['selectalloption'] = 'Select all "{$a}"';
$string['selectoptioncount'] = 'Number of selectable options';
$string['selectoptioncount_help'] = '<b>Number of Selectable Options:</b><br> Use a number input that allows teachers to set the number of options students can select.<br>
Set to <b>0</b> for unlimited options (i.e., students can select all options).<br>
If set to <b>1-n</b>, only the configured number of options can be selected.';
$string['selfenroltoaccess'] = 'Enroll in to the course to access this video';
$string['sequential'] = 'Sequential';
$string['showmarksdesc'] = 'Whether numerical mark information should be shown by default in embedded questions.';
$string['slidefromleft'] = "Slide in from left";
$string['slidefromright'] = "Slide in from right";
$string['specificfeedbackdesc'] = 'Whether the feedback specific to the student\'s response should be shown by default in embedded questions.';
$string['speed'] = "Speed";
$string['speed_help'] = 'Set the speed of the scrolling effect. This controls how fast or slow the element will move as the user scrolls the page.<br>Example: Set 1 for a slower scroll';
$string['startnow'] = 'Start now';
$string['starttime'] = 'Start time';
$string['sticky:chaptervisible'] = 'Chapter titles in sticky state';
$string['sticky:chaptervisible_help'] = 'These settings control the visibility of chapter titles when the Table of Contents (TOC) is in a sticky state.<br><b>Visible (default)</b>Chapter titles are always displayed in a sticky state.<br><b>Hidden</b>Chapter titles are never displayed in the sticky state.<br><b>Hidden on Mobile</b>Chapter titles are hidden in the sticky state on mobile devices but will be shown on larger screens.';
$string['sticky:modtitlevisible'] = 'Activity title in sticky state';
$string['sticky:modtitlevisible_help'] = 'These settings control the visibility of the activity title when the Table of Contents (TOC) is in a sticky state.<br><b>Visible (default)</b>The activity title is always displayed in a sticky state.<br><b>Hidden</b>The activity title is never displayed in the sticky state.<br><b>Hidden on Mobile</b>The activity title is hidden in the sticky state on mobile devices but will be displayed on larger screens.';
$string['stickytype'] = 'Sticky table of contents';
$string['stickytype_help'] = 'This setting makes the Table of Contents (TOC) stick to the top of the page as users scroll, improving navigation. You can choose:<br><b>Disabled</b> to keep the TOC in its original place,<br><b>Enabled</b> to make it sticky below the navbar as you scroll down,<br><b>Enabled When Scrolling Up</b> to make it sticky only when you scroll up after it has moved out of view.';
$string['stranimation'] = "Animation";
$string['stranimation_help'] = "Choose an entrance animation for the element. This animation will play when the element first appears on the screen as the user scrolls into view or interacts with the content.<br>Select <b>None</b> if you don't want any animation effect for the element";
$string['strblank'] = "Open a new window";
$string['strbottom'] = "Bottom";
$string['strcenter'] = "Center";
$string['strdelay'] = "Delay";
$string['strdelay_help'] = 'Set a delay before the entrance animation begins. This setting defines how much time should pass before the animation starts after the element comes into view.<br>Example: Set 2 (2 seconds delay).';
$string['strdirection'] = "Direction";
$string['strdirection_help'] = 'Apply scrolling effects to your element, making it move as the user scrolls through the page. These effects can help create dynamic interactions and draw attention to key content.<br><b>None: </b>No scrolling effect applied. The element will remain stationary as the user scrolls.<br><b>To Left: </b>The element will move from right to left as the user scrolls down the page.<br><b>To Right: </b>The element will move from left to right as the user scrolls down the page.';
$string['strduration'] = "Duration";
$string['strduration_help'] = 'Choose the speed at which the entrance animation will occur. This setting determines how quickly or slowly the animation will play, adding different levels of emphasis and pacing.';
$string['strfast'] = "Fast";
$string['strheading'] = "Heading";
$string['strheading_help'] = 'Choose the type of heading to display. You have two options:<br>
<b>Main Heading (H2):</b> A larger, prominent heading typically used for main sections or titles.<br>
<b>Sub Heading (H3):</b> A slightly smaller heading used for subsections or supporting information within a main section.
Selecting the right heading type helps organize content and improves readability."';
$string['strimage'] = "Image";
$string['strimage_help'] = 'Upload an image to display in the outro section. This image will appear at the end of the content, adding a visual element to enhance the closing message or theme.';
$string['strleft'] = "Left";
$string['strmiddle'] = "Middle";
$string['strnormal'] = "Normal";
$string['strright'] = "Right";
$string['strself'] = "Open a same window";
$string['strslow'] = "Slow";
$string['strtop'] = "Top";
$string['subheading'] = "Sub heading (h3)";
$string['submissionmessage'] = 'After submission message';
$string['submissionmessage_help'] = 'Provide a custom message that will be displayed to students after they submit their poll response.';
$string['subplugintype_addon'] = "Contentedesigner addon";
$string['subplugintype_addon_plural'] = "Contentedesigner addons";
$string['subplugintype_element'] = 'Element plugin';
$string['subplugintype_element_plural'] = 'Element plugins';

$string['target'] = "Target";
$string['target_help'] = 'Select how the link should open if a Heading URL is provided:<br>
<b>Same Window:</b> Opens the link in the current browser tab, replacing the current page.<br>
<b>New Window:</b> Opens the link in a new browser tab, keeping the current page open.
Choose ‘New Window’ if you want users to keep this page open while viewing the link.';
$string['titlestatus'] = 'Display title';
$string['titlestatus_help'] = 'Enable this option to display the chapter\'s title to learners. When unchecked, the title will only be used for administrative purposes and will not be visible to learners. Checking this option makes the chapter title visible on the learner\'s view';
$string['toleft'] = "To left";
$string['toright'] = "To Right";

$string['updaterating'] = 'Update Rating';
$string['updaterating_help'] = '<b>Update Rating :</b>Determine whether students can change their selections after submitting their response. Choose from the following options: <br>
<b>Disabled:</b> Students cannot modify their choices after submitting their vote. (Default)<br>
<b>Enabled:</b> Students can return and change their selection at any time before the poll closes.';
$string['userchoosethisoption'] = 'Users who chose this option';

$string['verticalalign'] = "Vertical Alignment";
$string['verticalalign_help'] = 'Select the vertical position of the text within the element:<br>
<b>Top:</b> Aligns the text to the top of the element.<br>
<b>Middle:</b> Centers the text vertically within the element.<br>
<b>Bottom:</b> Aligns the text to the bottom of the element.<br>
This setting is useful for fine-tuning the text position within your design layout.';
$string['videotimemodules'] = 'Video time modules';
$string['videotimemodules_help'] = "It is the teacher's responsibility to ensure that students have access to the course or activity. If the course or activity is not available, the system will display a message indicating whether the current user can self-enroll to gain access or if the content is restricted.";
$string['viewport'] = "Viewport";
$string['viewport_help'] = 'Define when the scrolling effect should start relative to the user\'s viewport. This helps control how soon the effect is triggered based on how much of the element is visible on the screen.';
$string['visibility'] = "Visibility";
$string['visibility_help'] = "Show / Hide the element";

$string['whethercorrectdesc'] = 'Whether students should be given indications of whether their response was correct in embedded questions. This covers both the textual description \'Correct\', \'Partially correct\' or \'Incorrect\', and any coloured highlighting that conveys the same information.';
$string['withselected'] = 'With selected';
