define([
    'core/chartjs',
    'core/str',
    'report_lmsace_reports/widgets/sitevisits',
    'report_lmsace_reports/widgets/siteactiveusers',
    'report_lmsace_reports/widgets/courseblocks',
    'report_lmsace_reports/widgets/coursevisits',
    'report_lmsace_reports/widgets/usersinfo',
    'report_lmsace_reports/widgets/siteinfo',
    'report_lmsace_reports/widgets/topcourseenrolment',
    'report_lmsace_reports/widgets/topcoursecompletion',
    'report_lmsace_reports/widgets/courseactivity',
    'report_lmsace_reports/widgets/enrolmethod',
    'report_lmsace_reports/widgets/userblocks',
    'report_lmsace_reports/widgets/usermyactivities',
    'report_lmsace_reports/widgets/usermyquizzes',
    'report_lmsace_reports/widgets/userassignments',
    'report_lmsace_reports/widgets/userlogins',
    'report_lmsace_reports/widgets/cohortsinfo',
    'report_lmsace_reports/widgets/sitestateinfo',
],
function (
    chartjs,
    Str,
    siteVistis,
    siteactiveUsers,
    courseBlocks,
    courseVisits,
    usersInfo,
    siteInfo,
    topcourseEnrolment,
    topcourseCompletion,
    courseactivity,
    enrolmethod,
    userBlocks,
    userMyactivities,
    userMyquizzes,
    userMyassignments,
    userLogins,
    cohortsInfo,
    sitestateInfo

) {
    var blocks = {

        siteVistis : {
            func : siteVistis
        },
        /* siteactiveUsers : {
            func : siteactiveUsers
        }, */
        courseBlocks : {
            func : courseBlocks
        },
        courseVisits : {
            func : courseVisits
        },
        usersInfo : {
            func : usersInfo
        },
        siteInfo : {
            func : siteInfo
        },
        topcourseEnrolment: {
            func : topcourseEnrolment
        },
        topcourseCompletion: {
            func : topcourseCompletion
        },
        courseactivity : {
            func : courseactivity
        },
        enrolmethod : {
            func : enrolmethod
        },
        userBlocks : {
            func : userBlocks
        },
        userMyactivities : {
            func : userMyactivities
        },
        userMyquizzes : {
            func : userMyquizzes
        },
        userMyassignments : {
            func : userMyassignments
        },
        userLogins : {
            func : userLogins
        },
        cohortsInfo : {
            func : cohortsInfo
        },
        sitestateInfo : {
            func : sitestateInfo
        }
    };

    class LMSACEReports {

        getStrings() {
            return Str.get_string('nodatatodisplay', 'report_lmsace_reports');
        }

        hideEmptyReports(elementToHide, data) {

            /* console.log(data);
            console.log(elementToHide); */

            // Hide the empty data reports chart.
            /* if (data.noresult !== undefined && data.noresult) {
                elementToHide.classList.add('hide');
            }

            if (data.noresult === undefined) {
                elementToHide.classList.remove('hide');
            } else if (data.noresult !== undefined && !data.noresult) {
                elementToHide.classList.remove('hide');
            } */
        }

        registerChartNoData(str) {

            Chart.register({
                id: 'nodatatodisplay',
                afterDraw: function(chart) {

                    if (chart.data.datasets[0].data.every(item => item === 0)) {
                        const {ctx} = chart;
                        let width = chart.width;
                        chart.clear();
                        ctx.save();
                        ctx.textAlign = 'center';
                        ctx.textBaseline = 'middle';
                        ctx.font = `.9375rem ${window.getComputedStyle(document.body).fontFamily}`;
                        ctx.fillText(str, width / 2, 50);
                        ctx.restore();
                    }
                }
            });

        }
    }

    return {

        init : function() {

            var main = new LMSACEReports();

            main.getStrings().then((str) => {

                setTimeout(function() {

                    for (key in blocks) {
                        blocks[key].func.init(main);
                    }

                    main.registerChartNoData(str);

                }, 1000);
            })
        },

    }
});
