define(['jquery', 'core/ajax','core/loadingicon', 'core/chartjs'],function($, AJAX, LoadIcon) {

    var activitypro_chart = null;
    var loadiconElement = $(".activity-progress-block .loadiconElement");

    function init() {
        if (typeof course_activity_info === 'undefined') {
            return null;
        }

        var label = course_activity_info.label
        var completiondata = course_activity_info.completiondata;
        var enrolmentdata = course_activity_info.enrolmentsdata;
        show_activity_progress_chart(label, completiondata, enrolmentdata);

        $(".activity-progress-block .dropdown-menu a").click(function() {
            var selText = $(this).text();
            var filter = $(this).attr("value");
            $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
            get_activity_progress_reports(filter);
        });
    }

    var show_activity_progress_chart = function(label, completiondata, enrolmentdata) {

        let ctx =  document.getElementById('activity-progress-chart');
        if (ctx) {
          let config = {
            type: 'bar',
            data: {
              labels: label,
              datasets: [
                {
                  label: course_activity_info.completionlabel,
                  data: completiondata,
                  backgroundColor : 'rgba(153, 102, 255, 1)',
                  showTooltips : false,
                },
                {
                  label: course_activity_info.enrolmentlabel,
                  data: enrolmentdata,
                  backgroundColor : 'rgba(255, 102, 48, 1)',
                  showTooltips : false,
                }
                ]
            },
            options: {
              responsive: true,
              plugins: {
              legend: {
                position: 'bottom',
              },
              title: {
                display: true,
                text: '',
              }
              },
              scales: {
                y: {
                beginAtZero: true
                }
              }
            },
          };
          activitypro_chart = new Chart(ctx,config);
        }
    }

    var get_activity_progress_reports = function (filter) {

        if (!filter) {
            filter = 'today';
        }
        var request = {
        methodname : 'report_lmsace_reports_activity_progress_reports',
        args : {
            filter : filter,
            chartid : 'activityprogressinfo'
        }
        };
        var promise = AJAX.call([request])[0];
        promise.done( function(result) {
            update_chart_data(result);
        });
        LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
    }

    var update_chart_data = function(data) {

        activitypro_chart.data.labels = data.label;
        activitypro_chart.data.datasets[0].data = data.completiondata;
        activitypro_chart.data.datasets[1].data = data.enrolmentsdata;
        activitypro_chart.update();
    }

    return {
        init :init
    };
});
