define([
    'jquery',
    'core/str',
    'report_lmsace_reports/widgets/enroll_completion',
    'report_lmsace_reports/widgets/enroll_completion_month',
    'report_lmsace_reports/widgets/coursestatus',
    'report_lmsace_reports/widgets/coursemodulegrades',
    'core/chartjs',
],function($, str, enrollCompletion, enrollCompletionMonth, courseStatus, courseModulegrades) {

  	var component = 'report_lmsace_reports';

    var courseBlocks =  {

        courseModulegrades: {
          func : courseModulegrades
        },
        enrollCompletion : {
          func : enrollCompletion
        },
        enrollCompletionMonth : {
          func : enrollCompletionMonth
        },
        courseStatus : {
          func : courseStatus
        },
    };

    var load_charts = function() {
      show_active_inactive_users_chart();
      show_high_score_course();
      for(key in courseBlocks) {
        courseBlocks[key].func.init();
      }
    }

    var show_high_score_course = function() {
      let ctx =  document.getElementById('high-score-course-chart');
      if (ctx) {
        let config = {
          type: 'bar',
          data: {
            labels: coursehighscore.label,
            datasets: [
              {
                label: coursehighscore.strscore,
                data: coursehighscore.score,
                backgroundColor : ['rgba(153, 102, 255, 1)'],
                showTooltips : false,
              },
              ]
          },
          options: {
            responsive: true,
            indexAxis: 'y',
            plugins: {
                legend: {
                  position: 'top',
                },
                title: {
                  display: true,
                  text: '',
                }
            },
            scales: {
                y: {
                    beginAtZero: true,
                },
                x: {
                    barThickness: 2,  // number (pixels) or 'flex'
                    maxBarThickness: 3 // number (pixels)
                }
            }
          },
          };
        new Chart(ctx,config);
      }
    }

    var show_active_inactive_users_chart = function() {

      let ctx =  document.getElementById('active-inactive-users-chart');
      if (ctx) {
        let config = {
            type: 'line',
            data: {
                labels: courseactiveinactiveusers.label,
                datasets: [
                    {
                        label: courseactiveinactiveusers.activeusers,
                        data: courseactiveinactiveusers.activeusers_data,
                        backgroundColor : 'rgba(153, 102, 255, 1)',
                        showTooltips : false,
                    },
                    {
                        label: courseactiveinactiveusers.inactiveusers,
                        data: courseactiveinactiveusers.inactiveusers_data,
                        backgroundColor : 'rgba(255, 102, 48, 1)',
                        showTooltips : false,
                    }
                ]
            },
            options: {
                responsive: true,
                maintainAspectRatio: false,
                plugins: {
                    legend: {
                        position: 'bottom',
                    },
                    title: {
                        display: true,
                        text: '',
                    }
                },
                scales: {
                    y: {
                        beginAtZero: true,
                        min: 0,
                        ticks: {
                            // forces step size to be 50 units
                            stepSize: 1
                        }
                    }
                }
            },
        };
        new Chart(ctx,config);
      }

    }

    return {
        init: function(){
            load_charts();
        }
    }
});
