define([
    'jquery',
	'core/ajax',
	'core/loadingicon',
	'core/chartjs',
],function($, AJAX, LoadIcon) {

	var courseStatus= null;

	var loadiconElement = $(".course-status-block .loadiconElement");

    function init() {
        show_coursestatus_chart();
        $(".course-status-block .dropdown-menu a").click(function() {
            var selText = $(this).text();
            var filter = $(this).attr("value");
            $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
            get_courseactivity_records(filter);
        });
    };

    var get_courseactivity_records = function(filter) {

        if (!filter) {
            filter = 'week';
        }

        var request = {
            methodname : 'report_lmsace_reports_get_chart_reports',
            args : {
                filter : filter,
                chartid : 'courseresourceswidget',
                relatedid : courseresources.courseid
            }
        };
        var promise = AJAX.call([request])[0];
        promise.done( function(result) {
            update_chart_data(result);
        });
        LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
    };

	var update_chart_data = function(data) {
		courseStatus.data.labels = data.label;
		courseStatus.data.datasets[0].data = data.value;
		courseStatus.update();
	};

    var show_coursestatus_chart = function() {
        var ctx = document.getElementById('course-status-chart');
        if (ctx) {
          let config = {
              type: 'pie',
              data: {
                  labels: courseresources.label,
                  datasets: [
                      {
                        data: courseresources.value,
                        backgroundColor : ['rgba(255, 99, 132, 1)',
                        'rgba(54, 162, 235, 1)',
                        'rgba(255, 206, 86, 1)',
                        'rgba(14, 16, 135, 1)'],
                      }
                    ]
              },
              options: {
                responsive: true,
                plugins: {
                  legend: {
                    position: 'top',
                  },
                  title: {
                    display: true,
                    text: '',
                  }
                }
              },
          };
          courseStatus = new Chart(ctx, config);
        }
    }

    return {
        init :init
    }
});
