define(['jquery', 'core/ajax', 'core/loadingicon', 'core/chartjs'], function($, AJAX, LoadIcon){

  var visitchart = null;
  var loadiconElement = $(".course-visits-block .loadiconElement");

  function init() {

      if (typeof coursevisits === 'undefined') {
          return null;
      }

      var label = coursevisits.label;
      var datavalue = coursevisits.value;
      show_visit_chart(label, datavalue);

      $(".course-visits-block .dropdown-menu a").click(function(){
          var selText = $(this).text();
          var filter = $(this).attr("value");
          $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
          get_coursevisits_records(filter);
      });
  }

     /**
   * show chart
   * @param array label
   * @param array value
   *
   */
  var show_visit_chart = function(label, datavalue) {

    let ctx =  document.getElementById('course-visits-chart');
    if (ctx) {
        let config = {
            type: 'line',
            data: {
                labels: label,
                datasets: [
                    {
                        label: 'uservisits',
                        data: datavalue,
                        backgroundColor : ['rgba(153, 102, 255, 1)'],
                        showTooltips : false,
                    },
                ]
            },
            options: {
                responsive: true,
                maintainAspectRatio: false,
                plugins: {
                    legend: {
                        position: '',
                    },
                    title: {
                        display: true,
                        text: '',
                    }
                },
                scales: {
                    y: {
                        beginAtZero: true,
                        min: 0,
                        ticks: {
                            // forces step size to be 50 units
                            stepSize: 1
                        }
                    }
                }
            },
        };
        visitchart = new Chart(ctx,config);
    }
  };

  var get_coursevisits_records = function(filter) {
      if (!filter) {
          filter = 'week';
      }

      var request = {
        methodname : 'report_lmsace_reports_get_chart_reports',
        args : {
          filter : filter,
          chartid : 'coursevisitswidget',
          relatedid : courseresources.courseid
        }
      };
      var promise = AJAX.call([request])[0];
      promise.done( function(result) {
        update_chart_data(result);
      });
      LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
  }

  var update_chart_data = function(data) {

     visitchart.data.labels = data.label;
     visitchart.data.datasets[0].data = data.value;
     visitchart.update();
  }

  return {
     init : init
  };
});
