define(['jquery', 'core/ajax', 'core/loadingicon', 'core/chartjs'], function($, AJAX, LoadIcon) {

    var chartreport = null;
    var loadiconElement = $(".enrol-completion-block  .loadiconElement");

    function init() {
        show_enroll_completion_chart();
        $(".enrol-completion-block .dropdown-menu a").click(function() {
            var selText = $(this).text();
            var filter = $(this).attr("value");
            $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
            get_enroll_completion_records(filter);
        });
    }

    var show_enroll_completion_chart = function() {
        let ctx =  document.getElementById('enrolment-completion-chart');
        if (ctx) {
          let config = {
              type: 'doughnut',
              data: {
                  labels: courseenrolcompletion.label,
                  datasets: [
                      {
                        data: courseenrolcompletion.value,
                        backgroundColor : ['rgba(153, 102, 255, 1)',
                        'rgba(255, 159, 64, 1)'],
                        showTooltips : false,
                      }
                    ]
              },
              options: {
                responsive: true,
                plugins: {
                  legend: {
                    position: 'top',
                  },
                  title: {
                    display: true,
                    text: '',
                  }
                }
              },
            };
            chartreport = new Chart(ctx,config);
        }
    }

    var get_enroll_completion_records = function(filter) {
        if (!filter) {
            filter = 'week';
        }
        var request = {
            methodname : 'report_lmsace_reports_get_chart_reports',
            args : {
              filter : filter,
              chartid : 'courseenrolcompletionwidget',
              relatedid : courseenrolcompletion.courseid
            }
          };
          var promise = AJAX.call([request])[0];
          promise.done( function(result) {
            update_chart_data(result);
          });
          LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
    }

    function update_chart_data(result) {
      chartreport.data.labels = result.label;
      chartreport.data.datasets[0].data = result.value;
      chartreport.update();
    }

    return {
        init: init
    };
});
