define(['jquery', 'core/ajax', 'core/loadingicon', 'core/chartjs'], function($, AJAX, LoadIcon) {
    var chartReport = null;
    var loadiconElement = $(".enrol-completion-month-block  .loadiconElement");
    function init() {
        show_enroll_completion_month_chart();
        $(".enrol-completion-month-block .dropdown-menu a").click(function() {
            var selText = $(this).text();
            var filter = $(this).attr("value");
            $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
            get_enroll_completion_monthrecords(filter);
        });
    }

    function show_enroll_completion_month_chart() {
        let ctx =  document.getElementById('enrolment-completion-month-chart');
        if (ctx) {
            let config = {
            type: 'bar',
            data: {
                labels: enrolcompletionmonth.label,
                datasets: [
                {
                    label: enrolcompletionmonth.strenrolment,
                    data: enrolcompletionmonth.enrolment,
                    backgroundColor : 'rgba(153, 102, 255, 1)',
                    showTooltips : false,
                },
                {
                    label: enrolcompletionmonth.strcompletion,
                    data: enrolcompletionmonth.completion,
                    backgroundColor : 'rgba(255, 102, 48, 1)',
                    showTooltips : false,
                }
                ]
            },
            options: {
                indexAxis: 'y',
                responsive: true,
                plugins: {
                legend: {
                position: 'bottom',
                },
                title: {
                display: true,
                text: '',
                }
                },
                scales: {
                y: {
                beginAtZero: true
                }
                }
            },
            };
            chartReport = new Chart(ctx,config);
        }
    }

    function get_enroll_completion_monthrecords(filter) {
        var request = {
            methodname : 'report_lmsace_reports_enrollment_completion_month',
            args : {
              filter : filter,
              chartid : 'enrolcompletionmonthwidget',
            }
          };
          var promise = AJAX.call([request])[0];
          promise.done( function(result) {
            update_chart_data(result);
          });
          LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
    }

    function update_chart_data(result) {
        chartReport.data.labels = result.label;
        chartReport.data.datasets[0].data = result.enrolment;
        chartReport.data.datasets[1].data = result.completion;
        chartReport.update();
    }

    return {
        init: init
    };
});
