define(['jquery', 'core/ajax', 'core/loadingicon', 'core/chartjs'], function($, AJAX, LoadIcon){

    var filter = null;
    var activeuserschart = null;
    var loadiconElement = $(".site-activeusers-block .loadiconElement");

    function init() {

        if (typeof siteactiveusers === 'undefined') {
            return null;
        }

        var label = siteactiveusers.label;
        var datavalue = siteactiveusers.value;

        show_activeusers_chart(label, datavalue);

        $(".site-activeusers-block .dropdown-menu a").click(function(){
            var selText = $(this).text();
            var filter = $(this).attr("value");
            $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
            get_visits_records(filter);
        });
    }

       /**
     * show chart
     * @param array label
     * @param array value
     *
     */
    var show_activeusers_chart = function(label, datavalue) {

      let ctx =  document.getElementById('site-activeusers-chart');
      if (ctx) {
        let config = {
            type: 'line',
            data: {
                labels: label,
                datasets: [
                    {
                        label: ctx.dataset.uservisitslabel,
                        data: datavalue,
                        backgroundColor : ['rgba(153, 102, 255, 1)'],
                        showTooltips : false,
                    },
                ]
            },
            options: {
                responsive: true,
                plugins: {
                    legend: {
                        position: '',
                    },
                    title: {
                        display: true,
                        text: '',
                    }
                },
                scales: {
                    y: {
                        beginAtZero: true
                    }
                }
            },
            };
            activeuserschart = new Chart(ctx,config);
        }
    };

    var get_visits_records = function(filter) {
        if (!filter) {
            filter = 'week';
        }

        var request = {
          methodname : 'report_lmsace_reports_get_chart_reports',
          args : {
            filter : filter,
            chartid : 'siteactiveuserswidget'
          }
        };
        var promise = AJAX.call([request])[0];
        promise.done( function(result) {
            update_chart_data(result);
        });
        LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
    }

    var update_chart_data = function(data) {
        activeuserschart.data.labels = data.label;
        activeuserschart.data.datasets[0].data = data.value;
        activeuserschart.update();
    }

    return {
       init : init
    };
});
