define(['jquery', 'core/ajax','core/loadingicon', 'core/chartjs'],function($, AJAX, LoadIcon) {
    var loadiconElement = $(".site-overall-reports .loadiconElement");

    function init() {

        $(".site-overall-reports .dropdown-menu a").click(function(){
            var selText = $(this).text();
            var filter = $(this).attr("value");
            $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
            $(this).parents('.dropdown').find('#dropdownMenuLink').attr("data-filter", filter);
            let contextId = $(".reports-block").find('#page-context').attr('value');
            get_siteinfo_records(filter, contextId);
        });

        var get_siteinfo_records = function(filter, contextId) {

            if (!filter) {
                filter = 'today';
            }
            var request = {
                methodname : 'report_lmsace_reports_table_reports',
                args : {
                    filter : filter,
                    chartid : 'overallsiteinfowidget',
                    contextid: contextId
                }
            };
            var promise = AJAX.call([request])[0];
            promise.done( function(result) {
                $(".site-overall-reports").find("#site-info-reports").empty().append(result);
            });
            LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
        };
    }

    return {
        init :init
    };
});
