define(['jquery', 'core/ajax','core/loadingicon', 'core/chartjs'],function($, AJAX, LoadIcon) {
    var loadiconElement = $(".topcourse-enrollment-reports .loadiconElement");

    function init() {

        $(".topcourse-enrollment-reports .dropdown-menu a").click(function() {
          var selText = $(this).text();
          var filter = $(this).attr("value");
          $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
          let contextId = $(".reports-block").find('#page-context').attr('value');
          get_courseenrollment_records(filter, contextId);
        });

        var get_courseenrollment_records = function(filter, contextId) {
            if (!filter) {
                filter = 'today';
            }

            var request = {
                methodname : 'report_lmsace_reports_table_reports',
                args : {
                    filter : filter,
                    chartid : 'topcourseenrolmentwidget',
                    contextid: contextId,
                }
            };
            var promise = AJAX.call([request])[0];
            promise.done( function(result) {
                $(".topcourse-enrollment-reports").find("#topcourse-enrollment-block").empty().append(result);
            });
            LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
        };
    }
    return {
        init :init
    };
});
