define(['jquery', 'core/ajax', 'core/loadingicon', 'core/chartjs'], function($, AJAX, LoadIcon) {

    var chartReport = null;
    var loadiconElement = $(".user-cohort-group-block .loadiconElement");

    function init() {
        show_user_group_cohort_chart();
        $(".user-cohort-group-block .dropdown-menu a").click(function() {
            var selText = $(this).text();
            var filter = $(this).attr("value");
            $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
            get_user_group_cohortrecords(filter);
        });
    };

    var show_user_group_cohort_chart = function() {

        let ctx =  document.getElementById('user-cohort-group-chart');
        if (ctx) {
            let config = {
                type: 'doughnut',
                data: {
                    labels: usergroupcohorts.label,
                    datasets: [
                        {
                        data: usergroupcohorts.value,
                        backgroundColor : ['rgba(153, 102, 255, 1)',
                        'rgba(255, 159, 64, 1)'],
                        showTooltips : false,
                        }
                    ]
                },
                options: {
                responsive: true,
                plugins: {
                    legend: {
                    position: 'top',
                    },
                    title: {
                    display: true,
                    text: '',
                    }
                }
                },
            };
            chartReport = new Chart(ctx,config);
        }
    };

    var get_user_group_cohortrecords = function(filter) {
        var request = {
            methodname : 'report_lmsace_reports_get_chart_reports',
            args : {
              filter : filter,
              chartid : 'usergroupcohortswidget',
              relatedid : usergroupcohorts.userid
            }
          };
          var promise = AJAX.call([request])[0];
          promise.done( function(result) {
            update_chart_data(result);
          });
          LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
    };

    var update_chart_data = function(result) {
        chartReport.data.labels = result.label;
        chartReport.data.datasets[0].data = result.value;
        chartReport.update();
    }

    return {
        init: init
    }

});
