define(['jquery', 'core/ajax', 'core/loadingicon', 'report_lmsace_reports/chart'], function($, AJAX, LoadIcon) {

    var chartReport = null;
    var loadiconElement = $(".user-visits-course-block .loadiconElement");

    function init() {
        show_most_visits_courses();
        $(".user-visits-course-block .dropdown-menu a").click(function() {
            var selText = $(this).text();
            var filter = $(this).attr("value");
            $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
            get_user_mostvisitsrecords(filter);
        });
    };

    var show_most_visits_courses = function () {
        let ctx =  document.getElementById('user-visits-course-chart');
        if (ctx) {
            let config = {
            type: 'line',
            data: {
                labels: mostvisitcourse.label,
                datasets: [
                {
                    label: mostvisitcourse.visits,
                    data: mostvisitcourse.value,
                    backgroundColor : ['rgba(153, 102, 255, 1)'],
                    showTooltips : false,
                },
                ]
            },
            options: {
                responsive: true,
                plugins: {
                    legend: {
                        position: '',
                    },
                    title: {
                        display: true,
                        text: '',
                    }
                },
                scales: {
                    y: {
                      beginAtZero: true
                    }
                }
            },
            };
            chartReport = new Chart(ctx,config);
        }
    }

    var get_user_mostvisitsrecords = function(filter) {
        var request = {
            methodname : 'report_lmsace_reports_get_chart_reports',
            args : {
              filter : filter,
              chartid : 'mostvisitcoursewidget',
              relatedid : mostvisitcourse.userid
            }
          };
          var promise = AJAX.call([request])[0];
          promise.done( function(result) {
            update_chart_data(result);
          });
          LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
    };

    var update_chart_data = function(result) {
        chartReport.data.labels = result.label;
        chartReport.data.datasets[0].data = result.value;
        chartReport.update();
    }

    return {
        init: init
    }

});