define([
    'jquery',
    'report_lmsace_reports/widgets/user_cohorts_groups',
    'report_lmsace_reports/widgets/user_mostvisitcourses',
    'core/chartjs'
],function($, userCohortsGroups, userMostVisitsCourses) {

    var userBlocks = {
        userCohortsGroups : {
            func : userCohortsGroups
        },
        userMostVisitsCourses : {
            func : userMostVisitsCourses
        }
    };

    function init() {
        show_userscore_chart();
        for(key in userBlocks) {
            userBlocks[key].func.init();
        }
    }

    var show_userscore_chart = function() {

        let ctx =  document.getElementById('user-score-chart');
        if (ctx) {
            let config = {
                type: 'bar',
                data: {
                    labels: userscore.label,
                    datasets: [
                    {
                        label: '',
                        data: userscore.value,
                        backgroundColor : ['rgba(153, 102, 255, 1)'],
                        showTooltips : false,
                    },
                    ]
                },
                options: {
                    responsive: true,
                    indexAxis: 'y',
                    plugins: {
                        legend: {
                            position: 'top',
                        },
                        title: {
                            display: true,
                            text: '',
                        }
                    },
                    scales: {
                        y: {
                            beginAtZero: true,
                        },
                        x: {
                            barThickness: 2,  // number (pixels) or 'flex'
                            maxBarThickness: 3 // number (pixels)
                        }
                    }
                },
            };
            new Chart(ctx,config);
        }
    };

    return {
        init : init
    }
});
