define(['jquery', 'core/ajax','core/loadingicon', 'core/chartjs'], function($, AJAX, LoadIcon) {

    var userinfochart = null;
    var loadiconElement = $(".user-info-block .loadiconElement");

    function init() {

        if (typeof siteusers === 'undefined') {
            return null;
        }

        var label = siteusers.label
        var datavalue = siteusers.value;
        show_visit_chart(label, datavalue);

        $(".user-info-block  .dropdown-menu a").click(function(){
          var selText = $(this).text();
          var filter = $(this).attr("value");
          $(this).parents('.dropdown').find('#dropdownMenuLink').html(selText+' <span class="caret"></span>');
          get_user_info_records(filter);
        });
    }

    var show_visit_chart = function(label, datavalue) {

        let ctx =  document.getElementById('user-info-chart');
        if (ctx) {
          let config = {
              type: 'doughnut',
              data: {
                  labels: label,
                  datasets: [
                      {
                        data: datavalue,
                        backgroundColor : [
                          'rgba(153, 102, 255, 1)',
                          'rgba(255, 159, 64, 1)',
                          'rgba(70, 255, 64, 1)',
                          'rgba(255, 206, 86, 1)'
                          ],
                        showTooltips : false,
                      }
                    ]
              },
              options: {
                responsive: true,
                plugins: {
                  legend: {
                    position: 'top',
                  },
                  title: {
                    display: true,
                    text: '',
                  }
                }
              },
            };
            userinfochart = new Chart(ctx, config);
        }
    };

    var get_user_info_records = function (filter) {

        if (!filter) {
            filter = 'today';
        }

        var request = {
            methodname : 'report_lmsace_reports_get_chart_reports',
            args : {
                filter : filter,
                chartid : 'siteuserswidget'
            }
        };
        var promise = AJAX.call([request])[0];
        promise.done( function(result) {
            update_chart_data(result);
        });
        LoadIcon.addIconToContainerRemoveOnCompletion(loadiconElement, promise);
    }

    var update_chart_data = function(data) {

        userinfochart.data.labels = data.label;
        userinfochart.data.datasets[0].data = data.value;
        userinfochart.update();
    }

    return {
        init: init
    };
});
