<?php

require_once($CFG->dirroot . '/lib/formslib.php');

class course_selector_form extends moodleform {

    /**
     * Definitions.
     *
     * @return void
     */
    public function definition() {

        $mform = $this->_form;

        // print_object($this);exit;

        $mform->addElement('course', 'courseinfo', get_string('course'));

        $this->add_action_buttons(false, get_string('generatereport', 'report_lmsace_reports'));

        // Make the form inline.
        $mform->updateAttributes(['class' => 'form-inline']);
    }

}

/**
 * User selector form.
 */
class user_selector_form extends moodleform {

    /**
     * Definitions.
     *
     * @return void
     */
    public function definition() {
        global $DB;

        $mform = $this->_form;

        $options = [
            'ajax' => 'core_search/form-search-user-selector'
        ];

        $users = [];
        if (isset($this->_customdata['userinfo']) && $this->_customdata['userinfo']) {
            $user = $DB->get_record('user', ['id' => $this->_customdata['userinfo']]);
            $users[$user->id] = fullname($user);
        }
        $mform->addElement('autocomplete', 'userinfo', get_string('user'), $users, $options);

        $this->add_action_buttons(false, get_string('generatereport', 'report_lmsace_reports'));

        // Make the form inline.
        $mform->updateAttributes(['class' => 'form-inline']);
    }

}
