define(['jquery'], function($) {

    var YTOptions = {};
    var homebanner, THIS;

    var Carousel = function() {
        THIS = this;
        if ( $('.banner').hasClass('youtube-player') ) {
            this.insertYoutubAPI();
        }
    };

    Carousel.prototype.insertYoutubAPI = function() {
        var tag = document.createElement('script');
        tag.src = "https://www.youtube.com/iframe_api";
        document.body.appendChild(tag);
     };

    Carousel.prototype.initYoutubePlayer = function() {
        var property = JSON.parse($("#bgndvideo").attr('data-property'));
        var playerId = "bgndvideo";
        console.log(playerId);
        $.extend(YTOptions, property);
        console.log(YT);
        var videoPlayer = new YT.Player("bgndvideo", {
            videoId: THIS.parseURL(YTOptions.videoURL), //.replace(/^http:\/\//, '').replace(/^https:\/\//, ''),
            height: "100%",
            width: "100%",
            host: 'https://www.youtube.com',
            playerVars: {
                'modestbranding': 1,
                'autoplay': 0,
                'controls': 0,
                'showinfo': 0,
                'rel': 0,
                'enablejsapi': 1,
                'version': 3,
                'playerapiid': playerId,
                'enablejsapi': 1,
                'origin': '*',
                'allowfullscreen': false,
                'wmode': 'transparent',
                'playsinline': 1
            },
            events: {
                'onReady': function(e) {
                    player = e.target;
                    player.setVolume(0);
                    videoPlayer.setLoop(true);
                    //THIS.optimizeDisplay($("#"+playerId));
                    // $('#'+playerId).css({ width:  '1903px', height: '1071px' });
                    e.target.playVideo();
                },
                onStateChange: function(e) {
                    if (e.data === YT.PlayerState.ENDED) {
                        e.target.playVideo();
                    }
                }
            }
        });

        window.onblur = () => {
            YT.get(playerId).pauseVideo();
        };

    };

    Carousel.prototype.pauseYTVideo = function(playerID) {
        YT.get(playerID).pauseVideo();
        // $('#'+playerID).addClass('hide');
    };

    Carousel.prototype.optimizeDisplay = function(player) {
        var wrapper = player.parent();
        var sec = {};
        var ytframe = {};
        sec.width = $(".banner").outerWidth();
        sec.height = $(".banner").outerHeight();

        var aspectratio = parseFloat(16 / 9);
        ytframe.width = sec.width;
        ytframe.height = Math.ceil( sec.width / aspectratio );
        ytframe.marginTop = Math.ceil( -( ( ytframe.height - sec.height ) / 2 ) );
        ytframe.marginLeft = 0;

        var lowest = ytframe.height < sec.height;
 
        if (lowest) {
            ytframe.height = sec.height;
            ytframe.width = Math.ceil( ytframe.height * YTPlayer.opt.ratio );

            ytframe.marginTop = 0;
            ytframe.marginLeft = Math.ceil( -( ( ytframe.width - sec.width ) / 2 ) );
        }

        if (ytframe.width > sec.width) {
            ytframe.marginLeft = -( ( ytframe.width - sec.width ) / 2 );
        }

        console.log(ytframe);
        console.log(sec);
        player.css({
            width: ytframe.width,
            height: ytframe.height,
            marginTop: ytframe.marginTop,
            marginLeft: ytframe.marginLeft,
            maxWidth: "initial"
        });
    }

    Carousel.prototype.parseURL = function(url) {
        var regExp = /^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#&?]*).*/;
        var match = url.match(regExp);
        var result = (match&&match[7].length==11)? match[7] : false;
        return result == false ? url : result;
    }

    return {
        init: function(selector) {
            homebanner = new Carousel();
        },

        onYouTubeIframeAPIReady: () => {
            homebanner.initYoutubePlayer();
        }
    }
});

function onYouTubeIframeAPIReady() {
    require(['theme_alluri/homebanner'], (car) => {
        car.onYouTubeIframeAPIReady();
    })
}