<?php
/**
 * @package    theme_alluri
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 *
 */

defined('MOODLE_INTERNAL') || die();

/**
 * Theme_alluri install function.
 *
 * @return void
 */
function xmldb_theme_alluri_install() {

	global $CFG;

	if (method_exists('core_plugin_manager', 'reset_caches')) {
        core_plugin_manager::reset_caches();
    }

    for ($s = 1; $s <= 3; $s++) {
        
        $fs = get_file_storage();
        $filerecord = new stdClass();
        $filerecord->component = 'theme_alluri';
        $filerecord->contextid = context_system::instance()->id;
        $filerecord->userid    = get_admin()->id;
        $filerecord->filearea  = 'sitefblock'.$s.'image';
        $filerecord->filepath  = '/';
        $filerecord->itemid    = 0;
        $filerecord->filename  = 'sitefblock'.$s.'image.png';
        $exist = record_exist($filerecord);
        if ($exist != 1) {
            $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/alluri/pix/home/sitefblock'.$s.'image.png');
            set_config('sitefblock'.$s.'image', '/sitefblock'.$s.'image.png', 'theme_alluri');
        }
    }


    //  logo
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_alluri';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'logo';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'logo.png';
    $exist = record_exist($filerecord);
    if ($exist != 1) {
        $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/alluri/pix/home/logo.png');
        set_config('logo', '/logo.png', 'theme_alluri');
    }

    // news & event block
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_alluri';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'newseventbg';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'newseventbg.jpg';
    $exist = record_exist($filerecord);
    if ($exist != 1) {
        $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/alluri/pix/home/newseventbg.jpg');
        set_config('newseventbg', '/newseventbg.jpg', 'theme_alluri');
    }

    // site feature
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_alluri';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid    = get_admin()->id;
    $filerecord->filearea  = 'sitefeaturebg';
    $filerecord->filepath  = '/';
    $filerecord->itemid    = 0;
    $filerecord->filename  = 'sitefeaturebg.jpg';
    $exist = record_exist($filerecord);
    if ($exist != 1) {
        $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/alluri/pix/home/sitefeaturebg.jpg');
        set_config('sitefeaturebg', '/sitefeaturebg.jpg', 'theme_alluri');
    }

}

function record_exist($filerecord) {
         $fs = get_file_storage();
         $exist = $fs->file_exists($filerecord->contextid, $filerecord->component, $filerecord->filearea, $filerecord->itemid, $filerecord->filepath, $filerecord->filename);
         return $exist;
}