<?php
// This file is part of the custom Moodle Bootstrap theme
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * theme_alluri
 *
 * @package    theme_alluri
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['pluginname'] = 'Alluri';
$string['about'] = 'About';
$string['aboutus'] = 'About Us';
$string['address'] = 'Address';
$string['calendar'] = 'Calendar';
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot">
<img class=img-polaroid src="alluri/pix/screenshot.jpg" />
<h3>Theme Credits</h3>
<p><h3>Moodle Alluri theme</h3>
<p>This theme is based on the Boost Moodle theme.</p>
<p>
Authors: LMSACE Dev Team<br>
Contact: info@lmsace.com<br>
Website: <a href="http://www.lmsace.com">www.lmsace.com</a><br>
</p>';
$string['check_categories'] = "check our course categories.";
$string['course_categories'] = "Course Categories";
$string['courses'] = "Courses";
$string['view_all_courses'] = "View all courses ";
$string['enrolled'] = "enrolled";

// -----Settings page-----//
$string['configtitle'] = 'Alluri';
$string['genericsettings'] = 'General';
$string['frontpageheading'] = 'Front page';
$string['fullscreen'] = 'Full screen';

$string['headerheading'] = 'Header';
$string['signup'] = 'Sign up';

$string['generalheading'] = 'General';

$string['logo'] = 'Logo';
$string['logodesc'] = 'Please upload your custom logo here if you want to add it to the header.
                       <br>The image should be 65px high and any reasonable width that suits.';

// -----Marketing spot-----//
$string['marketingspot'] = 'Marketing spot';
$string['marketingspotheadingtitle'] = 'Marketing spot';
$string['marketingspotheadingdesc'] = 'Marketing spot block';
$string['marketingspottitle'] = 'Enable block';
$string['marketingspotdesc'] = 'Enable or Disable block';
$string['marketingspotcontenttitle'] = 'Marketing spot Content';
$string['marketingspotcontent_default'] = 'We have great collection of courses, check our course categories..';
$string['marketingspotbuttontitle'] = 'Marketing spot button';
$string['marketingspotbuttondefault'] = 'Course categories';
$string['marketingspotbuttontitleurl'] = 'Marketing spot button URL';
$string['marketingspotbuttondescurl'] = 'Enter the link with http or https';
$string['customcss'] = 'Customcss';

// -----Featured courses-----//
$string['featured_courses'] = "Featured Courses";
$string['fcourses'] = 'Featured Courses';
$string['fcoursesdesc'] = 'Please enter the Featured Courses ids';

// -----Popular courses-----//
$string['popular_courses'] = "Popular Courses";
$string['readmore'] = 'Read More';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['sb_default'] = '<p>Lorem Ipsum is simply dummy text of <br class="visible-lg">the printing and typesetting industry.</p>';
$string['sb1_default_title'] = 'Learn Online Courses';
$string['sb2_default_title'] = 'Become an Instructor';
$string['sb3_default_title'] = 'Enroll Courses';

// -----banner-----//
$string['bannerstatus'] = 'Enable banner';
$string['bannerstatusdesc'] = 'Home banner enable & disable option';

$string['searchboxstatus'] = 'Enable search box';
$string['searchboxdesc'] = 'Home banner search box enable &disable option';

$string['bannersitestatus'] = 'Enable counter block'; 
$string['bannersitestatusdesc'] = 'Home banner counter block enable &disable option';

$string['bannercontent'] = 'Home banner Content';
$string['homebannercontentdesc'] = 'Enter the content for home banner';
$string['banner_default'] = 'We have the largest collection of courses';

$string['homebanner'] = 'Home Page Banner';
$string['homebanner_slogan'] = 'We have the largest collection of courses';
$string['homebannerdesc'] = 'The image should be 1345px X 535px.';
$string['bannerheighttitle'] = 'Home Page Banner height';
$string['bannerheightdesc'] = 'Enter the height for Home Page Banner';
$string['bannertypetitle'] = 'Banner type';
$string['bannertypedesc'] = 'Select the banner type';
$string['banneryoutube'] = 'Youtube video';
$string['bannervimeo'] = 'Vimeo video';
$string['al_bannerposter'] = 'Banner poster image';
$string['al_bannerposterdesc'] = 'Banner poster desc';
$string['bannerhosted'] = 'Hosted video';
$string['bannerimagebanner'] = 'Image banner';
$string['bannervideourl'] = 'Video URL';
$string['bannervideourldesc'] = 'Enter the banner video URL';

// -----news & events-----//
$string['newseventstatustitle'] = 'Enable block';
$string['newseventstatusdesc'] = 'Enable or Disable News & Events block';
$string['newseventjarallaxtitle'] = 'Enable jarallax';
$string['newseventjarallaxdesc'] = 'Enable or Disable jarallax';
$string['newsblockcontent'] = 'News & Events Block Content';
$string['newsblockcontentdesc'] = 'Whatever you add to this textarea will be displayed in the News & Events Block.';
$string['homebannertitle'] = 'Homepage banner';
$string['newsblockheading'] = 'News & Events Block';
$string['newseventbg'] = 'News & Events Block Background Image';
$string['newseventbgdesc'] = 'The image should be 1345px X 760px.';
$string['newseventcontent'] = '<div class="row">
    <div class="col-md-6">
        <div class="embed-wrap">
         <div class="embed-responsive embed-responsive-16by9">
          <iframe src="https://www.youtube.com/embed/fNE7pyDyw3Y" allowfullscreen="" frameborder="0" height="391" width="545"></iframe>
         </div>
        </div>
    </div>
    <div class="col-md-6">
        <div class="info-wrap">
          <h2 class="nomargint">news &amp; events of 2015</h2>
          <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, sheets taining Lorem Ipsum passages, and more recently  into electronic typesetting, sheets taining Lorem Ipsum passages, and more recentwith desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>
          <div class="readmore text-right"><a class="btn btn-tsub01 btn-lg" href="#">Read More</a></div>
        </div>
    </div>
    </div>';

// -----testimonials-----//
$string['testimonialstatustitle'] = 'Enable block';
$string['testimonialstatusdesc'] = 'Enable or Disable Sitefeatures block';
$string['testimonials'] = "Testimonials";
$string['tmonialblkTitle'] = "Block title";
$string['tmonialblkTitledesc'] = "Enter the block title as plain text or lang:language_key for multi-lingual support.";
$string['tmonialblkTitle_default'] = "Student testimonial";
$string['numberoftmonials'] = 'Number of Testimonials';
$string['numberoftmonials_desc'] = 'Number of Testimonials on the Home Page.';
$string['tmonialimg'] = "User image";
$string['tmonialimgdesc'] = "Upload testimonial user image";

// -----site features-----//
$string['sitefeatureblockstatustitle'] = 'Enable block';
$string['sitefeaturestatusdesc'] = 'Enable or Disable Sitefeatures block';
$string['sitefeaturestatustitle'] = "Enable block";
$string['sitefeaturestatusdesc'] = "Enable or Disable Sitefeatures block";

$string['sitefeaturejarallaxtitle'] = 'Enable jarallax';
$string['sitefeaturejarallaxdesc'] = 'Enable or Disable Sitefeatures jarallax';

$string['sitefblock1'] = 'Site Feature First Block';
$string['sitefblock2'] = 'Site Feature Second Block';
$string['sitefblock3'] = 'Site Feature Third Block';

$string['sitefeatureblockstatusdesc'] = 'Enable or Disable Sitefeatures block';
$string['sitefblockbuttontext'] = 'Link text';
$string['sitefblockbuttontextdesc'] = 'Text to appear on the button.';
$string['sitefblockbuttonurl'] = 'Link URL';
$string['sitefblockbuttonurldesc'] = 'URL the button will point to.';

$string['sitefblockcontent'] = 'Content';
$string['sitefblockcontentdesc'] = 'Content to display in the Site Features Block.  Keep it short and sweet.';

$string['sitefblockimage'] = 'Image';
$string['sitefblockimagedesc'] = 'The image should be 90px X 75px.';
$string['sitefblockimgcolors'] = 'Image Background colour';
$string['sitefblockimgcolorsdesc'] = 'Change the colours on the Site Feature Blocks Image Background color';

$string['sitefblocksheading'] = 'Site Feature blocks';
$string['sitefblocktitle'] = 'Title';
$string['sitefblocktitledesc'] = 'Title to show in this Site Features Block';

$string['sitefblockurltarget'] = 'Link target';
$string['sitefblockurltargetdesc'] = 'Choose how the link should be opened';
$string['sitefblockurltargetnew'] = 'New page';
$string['sitefblockurltargetparent'] = 'Parent frame';
$string['sitefblockurltargetself'] = 'Current page';

$string['sitefeaturebg'] = 'Site Features Background Image';
$string['sitefeaturebgdesc'] = 'The image should be 1345px X 379px.';

// -----testimonials-----//
$string['students'] = "Students";
$string['teachers'] = "Teachers";
$string['testimonial'] = 'Testimonial';
$string['testimonialno'] = 'Testimonial {$a->tmonial}';
$string['testimonialnodesc'] = 'Enter the settings for testimonial {$a->tmonial}.';
$string['tmonialheading'] = 'Testimonials';
$string['tmonialtext'] = 'Testimonial';
$string['tmonialtext_default'] = 'We are building this curriculum with Alluri because we believe it reflects what developers everywhere should know.';
$string['tmonialtextdesc'] = '';
$string['tmonialuname'] = 'User Name';
$string['tmonialuname_default'] = 'Peter Lubbers';
$string['tmonialunamedesc'] = '';
$string['tmonialutype'] = 'User Type';
$string['tmonialutype_default'] = 'Student';
$string['tmonialutypedesc'] = '';

$string['typography'] = 'Typography';
$string['we_have_collection'] = "We have great collection of courses,";

$string['student'] = "Student";
$string['teacher'] = "Teacher";


// -----Footer blocks-----//
$string['footbgimg'] = 'Background Image';
$string['footbgimgdesc'] = 'Background Image size should be following size 1345 X 517';
$string['footerheading'] = 'Footer';
$string['footerlogo'] = 'Footer logo';
$string['footerlogodesc'] = 'Enable or Disable footer logo';
$string['footnote'] = 'Footnote';
$string['footmenu'] = 'Footmenu';
$string['footnote_default'] = '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and tronic typesetting, sheets taining Lorem Ipsum passages, and more recently  into electronic typesetting, sheets taining Lorem Ipsum passages, and more recentwith desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>
            <div class="readmore"><a href="#" class="btn btn-tdefault btn-sm">Read More</a></div>';
$string['footmenu_default'] = '<ul>
<li><a href="#" > Home </a></li>
<li><a href="#" > Contact us  </a></li>
<li><a href="#" > Sign up </a></li> </ul>';
$string['footnotedesc'] = 'Whatever you add to this textarea will be displayed in the footer throughout your Moodle site.';

// -----Contact US-----//
$string['connectus'] = 'Connect with us';
$string['contact'] = 'Contact';
$string['defaultaddress'] = '20A, Nehru street, Sathyamoorthy nagar, Ponmeni(RTO office opposite), Madurai-10.';
$string['phoneno'] = 'Phone No';
$string['defaultphoneno'] = '(000) 123-456';
$string['emailid'] = 'Email';
$string['defaultemailid'] = 'info@example.com';

// -----Social links-----//
$string['socialicontitle'] = 'Social media icon';
$string['socialmediaurltitle'] = 'Social media URL';

$string['gpurl'] = 'Google+';
$string['pinurl'] = 'Pinterest';
$string['fburl'] = 'Facebook';
$string['twurl'] = 'Twitter';

$string['fburlicon_default'] = 'facebook-f';
$string['pinurlicon_default'] = 'pinterest-p';
$string['twurlicon_default'] = 'twitter';
$string['gpurlicon_default'] = 'google-plus';

$string['gpurl_default'] = 'https://www.google.com/+yourgoogleplusid';
$string['pinurl_default'] = 'https://in.pinterest.com/yourpinterestname/';
$string['fburl_default'] = 'https://www.facebook.com/yourfacebookid';
$string['twurl_default'] = 'https://twitter.com/yourtwittername';

$string['gpurldesc'] = 'The Google+ url of your organisation.';
$string['pinurldesc'] = 'The Pinterest url of your organisation.';
$string['fburldesc'] = 'The Facebook url of your organisation.';
$string['twurldesc'] = 'The Twitter url of your organisation.';

$string['socialicondesc'] = 'Enter the name of the icon you wish to use.  List is <a href="http://fortawesome.github.io/Font-Awesome/cheatsheet/" target="_new">here</a>. Just enter what is after the "fa-".';

// -----copyright-----//
$string['copyright'] = 'Copyright';
$string['copyright_default'] = 'Copyright &copy; 2015 - Your Company Name &reg;. All rights reserved.';
$string['copyrightdesc'] = 'The name of your organisation.';
$string['frontpage_sitefeatures'] = 'Site features';

//counters 

$string['countertabheading'] = "Counters";
$string['countBlockSetting'] = 'Counters general setting';
$string["countBlock"] = 'Counter {$a->num}';
$string["countBlockValue"] = "Counter value";
$string["countBlockValue_desc"] = "Enter number for counter. You may append special characters like % + ...etc. Examples : 1250+ , 96%";
$string["countBlockContent_desc"] = " Enter the counter title as plain text or lang:language_key for multi-lingual support.";
$string["countBlockContent_default"] = 'Counter {$a->num}';

$string["countBlockContent"] = "Counter title";
$string['counttypestaus'] = 'counter block type';
$string['custom'] = 'custom';
$string['default'] = 'Default';

$string['fcoursestitle'] = 'FeatureCourse Title';
$string['fcoursestitledesc'] = 'Enter the featured courses block title as plain text or lang:language_key for multi-lingual support.';

$string['acoursestitle'] = 'Availablecourse  Title';
$string['acoursestitledesc'] = 'Enter the Available  courses block title as plain text or lang:language_key for multi-lingual support.';

$string['ecoursestitle'] = 'EnrolledCourse Title';
$string['ecoursestitledesc'] = 'Enter the Enrolled courses block title as plain text or lang:language_key for multi-lingual support.';
$string['available_courses']  = 'Available courses';
$string['enrolled_courses'] = 'Enrolled courses';