<?php
// This file is part of the custom Moodle Bootstrap theme
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
//
/**
 * lib.php
 *
 * @package    theme_alluri
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();
define('ALLURIFRONTPAGEFEATURECOURSES', 11);
define('ALLURIFRONTPAGESITEFEATURES', 12);
define('ALLURIFRONTPAGESITEEVENTS', 13);
define('ALLURIFRONTPAGETESTIMONIALS', 14);
define('ALLURIFRONTPAGEMARKETINGSPOT', 15);
define('ALLURIHOMESLIDER', 16);

/**
 * Alluri main scss contents.
 * @param string $theme
 * @return string
 */
/*
function theme_alluri_get_main_scss_content($theme) {
    global $CFG, $OUTPUT, $PAGE;

    $scss = '';
    $parentconfig = theme_config::load('boost');
    $scss .= theme_boost_get_main_scss_content($parentconfig);

    $themescssfile = $CFG->dirroot.'/theme/alluri/scss/alluri.scss';
    if (file_exists($themescssfile)) {
        $scss .= file_get_contents($themescssfile);
    }
    return $scss;
}

/**
 * override the scss values with variables.
 * @return string
 */
/*function theme_alluri_get_pre_scss($theme) {
    global $CFG;

    $scss = '';
    //$bgimgs = theme_alluri_load_bgimages($theme, $scss);

    if (!empty($bgimgs)) {
        $scss .= $bgimgs;
    }
    $scss .= theme_alluri_set_fontwww();
    $scss .= theme_alluri_set_banner_height($theme);
    return $scss;
}*/

/**
 * Load all configurable image url into the scss content.
 * @param type|string $theme
 * @param type|string $scss
 * @return type
 */


/**
 * Loads the CSS and set the background images.
 *
 * @param type|string $css
 * @param type|string $bgimage
 * @param type|string $setting
 * @return type|string
 */

/**
 * Get extra scss from settings.
 * @param string $theme
 * @return string
 */


function alluri_grid($hassidepre, $hassidepost) {

    if ($hassidepre && $hassidepost) {
        $regions = array( 'content' => 'col-md-9  pull-right' );
        $regions['pre'] = 'col-md-3 desktop-first-column';
        $regions['post'] = 'col-md-3 ';
    } else if ($hassidepre && !$hassidepost) {
        $regions = array( 'content' => 'col-md-9 pull-right ' );
        $regions['pre'] = 'col-md-3 desktop-first-column';
        $regions['post'] = 'emtpy';
    } else if (!$hassidepre && $hassidepost) {
        $regions = array( 'content' => 'col-md-10' );
        $regions['pre'] = 'empty';
        $regions['post'] = 'col-md-2 ';
    } else if (!$hassidepre && !$hassidepost) {
        $regions = array('content' => 'col-md-12' );
        $regions['pre'] = 'empty';
        $regions['post'] = 'empty';
    }

    if (right_to_left()) {

        $regions = array('content' => 'col-md-9');
        $regions['pre'] = 'col-md-3 pull-left';
        $regions['post'] = 'col-md-3 ';

    }
    return $regions;
}


/*function alluri_grid($hassidepre, $hassidepost) {

    if ($hassidepre && $hassidepost) {
        $regions = array('content' => 'col-sm-8 col-sm-push-4 col-lg-9 col-lg-push-3');
        $regions['pre'] = 'col-sm-4 col-sm-pull-8 col-lg-3 col-lg-pull-9';
        $regions['post'] = 'col-sm-4 col-lg-3';
    } else if ($hassidepre && !$hassidepost) {
        $regions = array('content' => 'col-sm-8 col-sm-push-4 col-lg-9 col-lg-push-3');
        $regions['pre'] = 'col-sm-4 col-sm-pull-8 col-lg-3 col-lg-pull-9';
        $regions['post'] = 'emtpy';
    } else if (!$hassidepre && $hassidepost) {
        $regions = array('content' => 'col-sm-9 col-lg-10');
        $regions['pre'] = 'empty';
        $regions['post'] = 'col-sm-3 col-lg-2';
    } else if (!$hassidepre && !$hassidepost) {
        $regions = array('content' => 'col-md-12');
        $regions['pre'] = 'empty';
        $regions['post'] = 'empty';
    }
    return $regions;
}*/

/**
 * Loads the CSS Styles and put the font path
 *
 * @param $css
 * @return string
 */
function theme_alluri_set_fontwww() {
    global $CFG, $PAGE;
    if (empty($CFG->themewww)) {
        $themewww = $CFG->wwwroot."/theme";
    } else {
        $themewww = $CFG->themewww;
    }

    // $tag = '[[setting:fontwww]]';
    $theme = theme_config::load('alluri');
    $fontwww = '$fontwww: "'.$themewww.'alluri/fonts/"'.";\n";
    // $css = str_replace($tag, $themewww.'/alluri/fonts/', $css);
    return $fontwww;
    /* $tag = '[[setting:fontwww]]';
    $theme = theme_config::load('alluri');
    $css = str_replace($tag, $themewww.'/alluri/fonts/', $css);
    return $css;*/
}

/**
 * Add font folder path into css file using moodle pre css method.
 * @param string $css
 * @return string
 */
function theme_alluri_pre_css_set_fontwww($css) {
    global $CFG, $PAGE;

    if (empty($CFG->themewww)) {
        $themewww = $CFG->themewww."/theme";
    } else {
        $themewww = $CFG->themewww;
    }

    $tag = '[[setting:fontwww]]';
    $theme = theme_config::load('alluri');
    // $fontwww = '$fontwww: "'.$themewww.'alluri/fonts/"'.";\n";
    $css = str_replace($tag, $themewww.'/alluri/fonts/', $css);
    return $css;

}

/**
 * Loads the CSS Styles and replace the background images.
 * If background image not available in the settings take the default images.
 *
 * @param $css
 * @param $theme
 * @return string
 */
function theme_alluri_process_css($css, $theme) {
    global $OUTPUT;

    // Set BG Images.
     $bgimgs = array('homebanner','footbgimg','sitefeaturebg','newseventbg','sitefblock1image','sitefblock2image','sitefblock3image');
    foreach ($bgimgs as $bgimg) {
        $setting = $bgimg;
        $bgimage = $theme->setting_file_url($setting, $setting);
        if (empty($bgimage))
        {
            $bgimage = $OUTPUT->image_url('home/'.$setting, 'theme');
        }
        $css = theme_alluri_load_bgimages($css, $bgimage, $setting);
    }
   
    //custom css 

    //$customcss = !empty($theme->settings->customcss) ? $theme->settings->customcss : '';

    if (!empty($theme->settings->customcss)) {
        $customcss = $theme->settings->customcss;
    } else {
        $customcss = null;
    }

    $css = theme_alluri_set_customcss($css, $customcss);

    //$css = theme_alluri_set_customcss($css,$customcss);
    // Feature block 1 - set color
//

    $sfb_color1 = theme_alluri_get_setting('sitefblock1bgcolor');
    $css = theme_alluri_set_color($css, $sfb_color1, '[[setting:sitefblock1bgcolor]]', '#78adc9');

    // Feature block 2 - set color.
    $sfb_color2 = theme_alluri_get_setting('sitefblock2bgcolor');
    $css = theme_alluri_set_color($css, $sfb_color2, '[[setting:sitefblock2bgcolor]]', '#efc849');

    // Feature block 3 - set color.
    $sfb_color3 = theme_alluri_get_setting('sitefblock3bgcolor');
    $css = theme_alluri_set_color($css, $sfb_color3, '[[setting:sitefblock3bgcolor]]', '#78c989');

    $css = theme_alluri_pre_css_set_fontwww($css);

    //set height 

   $css = theme_alluri_set_banner_height($theme,$css);
    return $css;
}



//custom css 

function theme_alluri_set_customcss($css,$customcss){

    $tag = '[[setting:customcss]]';
    $replacement = $customcss;
    if (is_null($replacement)) {
        $replacement = '';
    }
    $css = str_replace($tag,$replacement,$css);
    return $css;

    }

function theme_alluri_load_bgimages($css,$bgimage,$setting) {

    $tag = '[['.$setting.']]';
    $replacement = $bgimage;
    if(empty($bgimage)){
        $replacement = '';
    }
    $css = str_replace($tag,$replacement,$css);
    return $css;  
}

/**
 * Return the theme setting value
 * Check the return format type and return appropriate content
 *
 * @param $setting
 * @param $format
 * @return string
 */
function theme_alluri_get_setting($setting, $format = true) {
    global $CFG;
    require_once($CFG->dirroot . '/lib/weblib.php');
    static $theme;
    if (empty($theme)) {
        $theme = theme_config::load('alluri');
    }
    if (empty($theme->settings->$setting)) {
        return false;
    } else if (!$format) {
        return $theme->settings->$setting;
    } else if ($format === 'format_text') {
        return format_text($theme->settings->$setting, FORMAT_PLAIN);
    } else if ($format === 'format_html') {
        return format_text($theme->settings->$setting, FORMAT_HTML, array('trusted' => true, 'noclean' => true));
    } else {
        return format_string($theme->settings->$setting);
    }
}

/**
 * Return the current theme url
 *
 * @return string
 */
if (!function_exists('theme_url')) {
    function theme_url() {
        global $CFG, $PAGE;
        $theme_url = $CFG->wwwroot.'/theme/'. $PAGE->theme->name;
        return $theme_url;
    }
}

/**
 * Display Footer Block Custom Links
 * @param string $menu_name Footer block link name.
 * @return string The Footer links are return.
 */

function theme_alluri_generate_links($menuname = '') {
    global $CFG, $PAGE;
    $htmlstr = '';
    $menustr = theme_alluri_get_setting($menuname);
    $menusettings = explode("\n", $menustr);
    foreach ($menusettings as $menukey => $menuval) {
        $expset = explode("|", $menuval);
        list($ltxt, $lurl) = $expset;
        $ltxt = trim($ltxt);
        $ltxt = theme_alluri_lang($ltxt);
        $lurl = trim($lurl);
        if (empty($ltxt)) {
            continue;
        }
        if (empty($lurl)) {
            $lurl = 'javascript:void(0);';
        }
        $pos = strpos($lurl, 'http');
        if ($pos === false) {
            $lurl = new moodle_url($lurl);
        }
        $htmlstr .= '<li><a href="'.$lurl.'">'.$ltxt.'</a></li>'."\n";
    }
    return $htmlstr;
}


/**
 * Loads the CSS and set the background images.
 *
 * @param string $css
 * @param string $bgimage
 * @param string $setting
 * @return string
 */

/**
 * Serves any files associated with the theme settings.
 *
 * @param stdClass $course
 * @param stdClass $cm
 * @param context $context
 * @param string $filearea
 * @param array $args
 * @param bool $forcedownload
 * @param array $options
 * @return bool
 */
function theme_alluri_pluginfile($course, $cm, $context, $filearea, $args, $forcedownload, array $options = array()) {
    static $theme;
    $bgimgs = array('homebanner', 'bannerposter', 'footbgimg', 'sitefeaturebg', 'newseventbg', 'sitefblock1image', 'sitefblock2image', 'sitefblock3image');
     $tmonialcount = theme_alluri_get_setting('numberoftmonials');
    for ($i = 1; $i <= $tmonialcount; $i++) {
        $bgimgs[] = 'tmonial'.$i.'img';
    }

    if (empty($theme)) {
        $theme = theme_config::load('alluri');
    }
    if ($context->contextlevel == CONTEXT_SYSTEM) {

        if ($filearea === 'logo') {
            return $theme->setting_file_serve('logo', $args, $forcedownload, $options);
        } else if ($filearea === 'style') {
            theme_alluri_serve_css($args[1]);
        } else if ($filearea === 'pagebackground') {
            return $theme->setting_file_serve('pagebackground', $args, $forcedownload, $options);
        } else if ($filearea === 'footbgimg') {
            return $theme->setting_file_serve('footbgimg', $args, $forcedownload, $options);
        } else if ($filearea === 'homebanner') {
            return $theme->setting_file_serve('homebanner', $args, $forcedownload, $options);
        } else if (in_array($filearea, $bgimgs)) {
            return $theme->setting_file_serve($filearea, $args, $forcedownload, $options);
        } else {
            send_file_not_found();
        }
    } else {
        send_file_not_found();
    }
}

/**
 * Serves CSS for image file updated to styles.
 *
 * @param string $filename
 * @return string
 */
/*function theme_alluri_serve_css($filename) {
    global $CFG;
    if (!empty($CFG->themedir)) {
        $thestylepath = $CFG->themedir . '/alluri/style/';
    } else {
        $thestylepath = $CFG->dirroot . '/theme/alluri/style/';
    }
    $thesheet = $thestylepath . $filename;

    /* http://css-tricks.com/snippets/php/intelligent-php-cache-control/ - rather than /lib/csslib.php as it is a static file who's
      contents should only change if it is rebuilt.  But! There should be no difference with TDM on so will see for the moment if
      that decision is a factor. */

  /*  $etagfile = md5_file($thesheet);
    // File.
    $lastmodified = filemtime($thesheet);
    // Header.
    $ifmodifiedsince = (isset($_SERVER['HTTP_IF_MODIFIED_SINCE']) ? $_SERVER['HTTP_IF_MODIFIED_SINCE'] : false);
    $etagheader = (isset($_SERVER['HTTP_IF_NONE_MATCH']) ? trim($_SERVER['HTTP_IF_NONE_MATCH']) : false);

    if ((($ifmodifiedsince) && (strtotime($ifmodifiedsince) == $lastmodified)) || $etagheader == $etagfile) {
        theme_alluri_send_unmodified($lastmodified, $etagfile);
    }
    theme_alluri_send_cached_css($thestylepath, $filename, $lastmodified, $etagfile);
}*/

/**
 * Set browser cache used in php header.
 * @param string $lastmodified
 * @param string $etag
 *
 */
function theme_alluri_send_unmodified($lastmodified, $etag) {
    $lifetime = 60 * 60 * 24 * 60;
    header('HTTP/1.1 304 Not Modified');
    header('Expires: ' . gmdate('D, d M Y H:i:s', time() + $lifetime) . ' GMT');
    header('Cache-Control: public, max-age=' . $lifetime);
    header('Content-Type: text/css; charset=utf-8');
    header('Etag: "' . $etag . '"');
    if ($lastmodified) {
        header('Last-Modified: ' . gmdate('D, d M Y H:i:s', $lastmodified) . ' GMT');
    }
    die;
}

/**
 * Cached css.
 * @param string $path
 * @param string $filename
 * @param integer $lastmodified
 * @param string $etag
 */
function theme_alluri_send_cached_css($path, $filename, $lastmodified, $etag) {
    global $CFG;
    require_once($CFG->dirroot . '/lib/configonlylib.php'); // For min_enable_zlib_compression().
    // 60 days only - the revision may get incremented quite often.
    $lifetime = 60 * 60 * 24 * 60;

    header('Etag: "' . $etag . '"');
    header('Content-Disposition: inline; filename="'.$filename.'"');
    header('Last-Modified: ' . gmdate('D, d M Y H:i:s', $lastmodified) . ' GMT');
    header('Expires: ' . gmdate('D, d M Y H:i:s', time() + $lifetime) . ' GMT');
    header('Pragma: ');
    header('Cache-Control: public, max-age=' . $lifetime);
    header('Accept-Ranges: none');
    header('Content-Type: text/css; charset=utf-8');
    if (!min_enable_zlib_compression()) {
        header('Content-Length: ' . filesize($path . $filename));
    }

    readfile($path . $filename);
    die;
}

/**
 * Logo Image URL Fetch from theme settings
 *
 * @return string
 */
if (!function_exists('alluri_get_logo_url')) {
    function alluri_get_logo_url() {
        global $OUTPUT;
        static $theme;
        if (empty($theme)) {
            $theme = theme_config::load('alluri');
        }

        $logo = $theme->setting_file_url('logo', 'logo');
        $logo = empty($logo) ? '' : $logo;
        return $logo;
    }
}

/**
 * Returns an object containing HTML for the areas affected by settings.
 *
 * Do not add Clean specific logic in here, child themes should be able to
 * rely on that function just by declaring settings with similar names.
 *
 * @param renderer_base $output Pass in $OUTPUT.
 * @param moodle_page $page Pass in $PAGE.
 * @return stdClass An object with the following properties:
 *      - navbarclass A CSS class to use on the navbar. By default ''.
 *      - heading HTML to use for the heading. A logo if one is selected or the default heading.
 *      - footnote HTML to use as a footnote. By default ''.
 */
function theme_alluri_get_html_for_settings(renderer_base $output, moodle_page $page) {
    global $CFG;
    $return = new stdClass;

    $return->navbarclass = '';
    if (!empty($page->theme->settings->invert)) {
        $return->navbarclass .= ' navbar-inverse';
    }

    if (!empty($page->theme->settings->logo)) {
        $return->heading = html_writer::link($CFG->wwwroot, '', array('title' => get_string('home'), 'class' => 'logo'));
    } else {
        $return->heading = $output->page_heading();
    }

    $return->footnote = '';
    if (!empty($page->theme->settings->footnote)) {
        $return->footnote = '<div class="footnote text-center">'.format_text($page->theme->settings->footnote).'</div>';
    }
    return $return;
}

/**
 * Load the Jquery and migration files
 * Load the our theme js file
 *
 */
function theme_alluri_page_init(moodle_page $page) {
    $page->requires->jquery();
    $page->requires->js('/theme/alluri/javascript/theme.js');
}

/**
 * Load the CSS and set the color from settings
 *
 * @param string $css
 * @param string $themecolor
 * @param string $tag
 * @param string $default
 * @return string
 */
function theme_alluri_set_color($css, $themecolor, $tag, $default) {
    if (!($themecolor)) {

        $replacement = $default;
        
    } else {
        $replacement = $themecolor;
    }
    $css = str_replace($tag, $replacement, $css);
    return $css;
}

/**
 * Remove the html special tags from course content.
 * This function used in course home page.
 *
 * @param string $text
 * @return string
 */
if (!function_exists('strip_html_tags')) {
    function strip_html_tags( $text ) {
        $text = preg_replace(
                array(
                    // Remove invisible content.
                    '@<head[^>]*?>.*?</head>@siu',
                    '@<style[^>]*?>.*?</style>@siu',
                    '@<script[^>]*?.*?</script>@siu',
                    '@<object[^>]*?.*?</object>@siu',
                    '@<embed[^>]*?.*?</embed>@siu',
                    '@<applet[^>]*?.*?</applet>@siu',
                    '@<noframes[^>]*?.*?</noframes>@siu',
                    '@<noscript[^>]*?.*?</noscript>@siu',
                    '@<noembed[^>]*?.*?</noembed>@siu',
                    // Add line breaks before and after blocks.
                    '@</?((address)|(blockquote)|(center)|(del))@iu',
                    '@</?((div)|(h[1-9])|(ins)|(isindex)|(p)|(pre))@iu',
                    '@</?((dir)|(dl)|(dt)|(dd)|(li)|(menu)|(ol)|(ul))@iu',
                    '@</?((table)|(th)|(td)|(caption))@iu',
                    '@</?((form)|(button)|(fieldset)|(legend)|(input))@iu',
                    '@</?((label)|(select)|(optgroup)|(option)|(textarea))@iu',
                    '@</?((frameset)|(frame)|(iframe))@iu',
                    ),
                    array(
                        ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ', ' ',
                        "\n\$0", "\n\$0", "\n\$0", "\n\$0", "\n\$0", "\n\$0",
                        "\n\$0", "\n\$0",
                    ),
                    $text );
                    return strip_tags( $text );
    }
}

/**
 * Cut the Course content.
 *
 * @param $str
 * @param $n
 * @param $end_char
 * @return string
 */
if (!function_exists('course_trim_char')) {
    function course_trim_char($str, $n = 500, $end_char = '&#8230;') {
        if (strlen($str) < $n) {
            return $str;
        }

        $str = preg_replace("/\s+/", ' ', str_replace(array("\r\n", "\r", "\n"), ' ', $str));

        if (strlen($str) <= $n) {
            return $str;
        }

        $out = "";
        $small = substr($str, 0, $n);
        $out = $small.$end_char;
        return $out;
    }
}

/**
 * Event Trigger.
 *
 * If course updated after this function call automatically
 * @param course $eventdata
 */
if (!function_exists('neph_update_course')) {
    function neph_update_course($eventdata) {
        $course_id = $eventdata->id;
        $visible   = $eventdata->visible;
        /* Write your code here */

    }
}
/**
 * Event Trigger.
 *
 * If course deleted after this function call automatically
 * @param course $eventdata
 */
if (!function_exists('neph_delete_course')) {
    function neph_delete_course($eventdata) {
        $course_id = $eventdata->id;
        $visible   = $eventdata->visible;
        /* updated the featured course values */
        $featured_courses = get_config('theme_alluri', 'featured_courses');
        $afeatured_courses = explode(",", $featured_courses);
        $pos = array_search($course_id, $afeatured_courses);
        if ($pos !== FALSE) {
            unset($afeatured_courses[$pos]);

            set_config('featured_courses', implode(',', $afeatured_courses), 'theme_alluri');

            if (method_exists('core_plugin_manager', 'reset_caches')) {
                core_plugin_manager::reset_caches();
            }
        }
    }
}

/**
 * Fetch the hide course ids
 *
 * @return array
 */

if (!function_exists('hidden_courses_id')) {
    function hidden_courses_id() {
        global $DB;
        $hcourse_ids = array();
        $result = $DB->get_records_sql("SELECT id FROM {course} WHERE visible='0' ");
        if (!empty($result)) {
            foreach ($result as $row) {
                $hcourse_ids[] = $row->id;
            }
        }
        return $hcourse_ids;
    }
}

/**
 * Returns the language values from the given lang string or key.
 * @param string $key
 * @return string
 */
function theme_alluri_lang($key = '') {
    $pos = strpos($key, 'lang:');
    if ($pos !== false) {
        list($l, $k) = explode(":", $key);
        if (isset($k)) {
            $k = strip_tags($k);
        }
        if (get_string_manager()->string_exists($k, 'theme_alluri')) {
            $v = get_string($k, 'theme_alluri');
            return $v;
        } else {
            return $key;
        }
    } else {
        return $key;
    }
}

function theme_alluri_check_url($url) {
    if (!empty($url)) {
         $url = trim($url);
        if( (substr($url , 0, 7) != 'http://') && (substr($url , 0, 8) != 'https://') ){
            $url = 'http://'.ltrim($url, '/');
        }
        return $url;
    }
}
function theme_alluri_set_banner_height($theme,$css) {
    if (empty($theme)) {
        $theme = theme_config::load('alluri');
    }
    if (!empty($theme->settings->bannerheight)) {
        $bheight = $theme->settings->bannerheight;
        $bheight = intval($bheight);
        if ($bheight == "" || $bheight > "1300" || $bheight < "300") {
            $bheight = "550px";
        } else {
            $bheight = $bheight."px";
        }
    } else {
        $bheight = "600px";
    }
    
    $tag = '[[banner_height]]';
    $replacement = $bheight;
    $css = str_replace($tag,$replacement,$css);
    return $css;
}
