<?php
// This file is part of the custom Moodle Bootstrap theme
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * core_renderer.php
 * @package    theme_alluri
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

class theme_alluri_core_renderer extends theme_boost\output\core_renderer {

    /*protected function render_custom_menu(custom_menu $menu) {
        global $CFG, $USER;

        $content = '<ul class="nav theme_custom_menu">';
        foreach ($menu->get_children() as $item) {
            $content .= $this->render_custom_menu_item($item, 1);
        }

        return $content.'</ul>';
    }*/

    public function navbar(): string {

        $items = $this->page->navbar->get_items();

        if(empty($items)) {

            return '';
        }
        $breadcrumbs = "";
        foreach( $items as $item) {
            $item->hideicon = true;
            $breadcrumbs .= "<li>".$this->render($item)."</li>" ;
        }

        return "<ol class=breadcrumb>$breadcrumbs</ol>";
    }

    public function lang_menu() {
        global $CFG, $USER, $DB;

        $menu = new custom_menu('', current_language());

        $addlangmenu = true;

        $langs = get_string_manager()->get_list_of_translations();
        if (count($langs) < 2 or empty($CFG->langmenu) or ($this->page->course != SITEID and !empty($this->page->course->lang))) {

            $addlangmenu = false;
        }

        if ($addlangmenu) {

            $language = $menu->add(get_string('language'), new moodle_url('#'), get_string('language'), 10000);

            foreach ($langs as $langtype => $langname) {

                $language->add($langname, new moodle_url($this->page->url, array('lang' => $langtype)), $langname);
            }
        }

        $content = '<ul class="navbar-right">';

        foreach ($menu->get_children() as $item) {
            $content .= $this->render_custom_menu_item($item, 1);
        }

        return $content.'</ul>';
    }

    /*public function user_menu( $user = NULL, $withlinks = NULL ) {
        global $CFG;

        $usermenu = new custom_menu('',current_language());

        return $this->render_user_menu($usermenu);
    }


    public function render_user_menu ( custom_menu $menu ) {
        global $CFG, $USER, $DB , $OUTPUT;

        $addusermenu = true;
        $addlangmenu = true;

        $langs = get_string_manager()->get_list_of_translations();
        if (count($langs) < 2 or empty($CFG->langmenu) or ($this->page->course != SITEID and !empty($this->page->course->lang))) {
            $addlangmenu = false;
        }

        if ($addlangmenu) {
            $language = $menu->add(get_string('language'), new moodle_url('#'), get_string('language'), 10000);
            foreach ($langs as $langtype => $langname) {
                $language->add($langname, new moodle_url($this->page->url, array('lang' => $langtype)), $langname);
            }
        }

        if ($addusermenu) {
            if (isloggedin()) {
                $usermenu = $menu->add(fullname($USER), new moodle_url('#'), fullname($USER), 10001);
                $usermenu->add(
                    '<span class="fa fa-power-off"></span>' . get_string('logout'),
                    new moodle_url('/login/logout.php', array('sesskey' => sesskey(), 'alt' => 'logout')),
                    get_string('logout')
                );

                $usermenu->add(
                    '<span class="glyphicon fa fa-user"></span>' . get_string('viewprofile'),
                    new moodle_url('/user/profile.php', array('id' => $USER->id)),
                    get_string('viewprofile')
                );

                $usermenu->add(
                    '<span class="glyphicon fa fa-cog"></span>' . get_string('editmyprofile'),
                    new moodle_url('/user/edit.php', array('id' => $USER->id)),
                    get_string('editmyprofile')
                );
            }
            else {
                $usermenu = $menu->add(get_string('login'), new moodle_url('/login/index.php'), get_string('login'), 10001);
            }
        }

        $content = '<ul class="nav navbar-nav navbar-right pull-right">';
        foreach ($menu->get_children() as $item) {
            $content .= $this->render_custom_menu_item($item, 1);
        }
        return $content.'</ul>';
    }*/

        /*public function testimonials() {
            global $OUTPUT;
            $strtmonial = '';
            $numberoftmonials = get_config('theme_alluri', 'numberoftmonials');
            $atestimonials = array();

            for($i = 1; $i <= $numberoftmonials; $i++) {
                $testimonial = get_config('theme_alluri', 'tmonial'.$i.'text');
                $uname = get_config('theme_alluri', 'tmonial'.$i.'uname');
                $utype = get_config('theme_alluri', 'tmonial'.$i.'utype');
                if(!empty($testimonial))
                {
                            $atestimonials[] = array('testimonial' => $testimonial,'uname' => $uname,'utype' => $utype);
                }
            }

            $random_key = array_rand($atestimonials);
            if(isset($atestimonials[$random_key]))
            {
                $cur_testimonial =  $atestimonials[$random_key];
                $noimg_url = $OUTPUT->image_url('base/noimg-64x64','theme');
                $strtmonial = '<div class="site-testimonials">
                <div class="container">
                <h2>testimonials</h2>
                <div class="text-quote"><span>&ldquo;</span></div>
                <h3>&ldquo; '.$cur_testimonial['testimonial'].' &rdquo;</h3>
                <div class="user-info">
                <div class="uithumb"><a href="javascript:void(0);"><img src="'.$noimg_url.'" width="64" height="64" alt="noimg-64x64"></a></div>
                <h3>'.ucwords($cur_testimonial['uname']).'<span>'.ucfirst($cur_testimonial['utype']).'</span></h3>
                </div>
                </div>
                </div>';
            }

            return $strtmonial;
        }*/

    public function primarymenu() {
        global $CFG, $PAGE, $OUTPUT;
        require_once($CFG->dirroot . '/lib/outputrenderers.php');
        $custommenuitems = $CFG->custommenuitems;
        $custommenu = new custom_menu($custommenuitems, current_language());
        return $this->custom_menu_render($custommenu);

    }

    public function custom_menu_render(custom_menu $menu) {
        $content = '';

        if (!$menu->has_children()) {
            return '';
        }
        foreach ($menu->get_children() as $item) {
            $content .= $this->render_custom_menu_item($item, 1);
        }
// exit;
        return $content;
    }

    protected function render_custom_menu_item(custom_menu_item $menunode, $level = 0 ) {
        static $submenucount = 0;

        $content = '';
        if ($menunode->has_children()) {

            if ($level == 1) {
                $class = 'dropdown nav-item';
            } else {
                $class = 'dropdown-submenu ';
            }

            if ($menunode === $this->language) {
                $class .= ' langmenu';
            }
            $content = html_writer::start_tag('div', array('class' => $class));
            // If the child has menus render it as a sub menu.
            $submenucount++;
            if ($menunode->get_url() !== null) {
                $url = $menunode->get_url();
            } else {
                $url = '#cm_submenu_'.$submenucount;
            }
            $content .= html_writer::start_tag('a', array(
                'href' => $url,
                'class' => 'dropdown-toggle nav-link',
                'data-toggle' => 'dropdown',
                'title' => $menunode->get_title(),
                'id' => 'drop-down-{{uniqid}}',
                'aria-haspopup' => "true",
                'aria-expanded' => "false"
            ));
            $content .= $menunode->get_text();
            if ($level == 1) {
                $content .= '<b class="caret"></b>';
            }
            $content .= '</a>';

            $childcls = ($level > 1) ? 'child-level level-'.$level : '';
            $level = $level + 1;
            $content .= '<div class="dropdown-menu '. $childcls .'">';
            foreach ($menunode->get_children() as $menunode) {
                $content .= $this->render_custom_menu_item($menunode, $level);
            }
            $content .= '</div> </div>';
        } else {
            // The node doesn't have children so produce a final menuitem.
            // Also, if the node's text matches '####', add a class so we can treat it as a divider.
            if (preg_match("/^#+$/", $menunode->get_text())) {
                // This is a divider.
                $content = '<div class="divider">&nbsp;</div>';
            } else {
                $content = '';
                if ($menunode->get_url() !== null) {
                    $url = $menunode->get_url();
                } else {
                    $url = '#';
                }
                $content .= html_writer::link($url, $menunode->get_text(), array('title' => $menunode->get_title(), 'class' => 'nav-link'));
                //$content .= '';
            }
        }
        return $content;
    }

    /**
     * Returns the custom menu if one has been set
     *
     * A custom menu can be configured by browsing to
     *    Settings: Administration > Appearance > Themes > Theme settings
     * and then configuring the custommenu config setting as described.
     *
     * Theme developers: DO NOT OVERRIDE! Please override function
     * {@link core_renderer::render_custom_menu()} instead.
     *
     * @param string $custommenuitems - custom menuitems set by theme instead of global theme settings
     * @return string
     */
    public function custom_menu($custommenuitems = '', $method = '') {
        global $CFG;

        if (empty($custommenuitems) && !empty($CFG->custommenuitems)) {
            $custommenuitems = $CFG->custommenuitems;
        }
        $custommenu = new custom_menu($custommenuitems, current_language());
        return $this->render_custom_menu($custommenu, $method);
    }

     protected function render_custom_menu(custom_menu $menu, $method = '') {
        global $CFG;

        // $cmenushow = theme_alluri_get_setting('cmenushow');
        $langs = get_string_manager()->get_list_of_translations();
        $haslangmenu = $this->lang_menu() != '' ;

        if ($haslangmenu && count($langs) >= 2) {
            $strlang = get_string('language');
            $currentlang = current_language();
            if (isset($langs[$currentlang])) {
                $currentlang = $langs[$currentlang];
            } else {
                $currentlang = $strlang;
            }
            $this->language = $menu->add($currentlang, new moodle_url('#'), $strlang, 10000);
            foreach ($langs as $langtype => $langname) {
                $this->language->add($langname, new moodle_url($this->page->url, array('lang' => $langtype)), $langname);
            }
        }

        $content = [];

        $splitContent1 = "";
        $splitContent2 = "";
        $count = count($menu->get_children());
        $splitLevel = ceil($count / 2);
        $i = 1;
        $mi = 1;
        $count = count($menu->get_children());
        foreach ($menu->get_children() as $key => $item) {
            $context = $item->export_for_template($this);
            $skey = $key + 1;
            // // $coursemenu = $this->alluri_course_menu_position($skey, $count);
            // if (!empty($coursemenu) && $coursemenu['place'] == "PREV" && $coursemenu['position'] == true) {
            //    $content[] = $this->alluri_course_menu();

            // }

            $content[] = $this->render_custom_menu_item($item, 1);

            // if (!empty($coursemenu) && $coursemenu['place'] == "NEXT" && $coursemenu['position'] == true) {
            //     $content[] = $this->alluri_course_menu();
            // }
            $i++;
        }

        if ($method == 'CENTER') {
            $chunck = array_chunk($content, ceil(count($content) / 2));
            $centermenu['first'] = implode($chunck[0], ' ');
            $centermenu['second'] = implode($chunck[1], ' ');
            return $centermenu;
        }
        if (!empty($content)) {
            return implode(' ',$content);
        } else {
            return '';
        }
    }
     /**
     * Render the login page template.
     * @param \core_auth\output\login $form
     * @return type
     */
     public function render_login(\core_auth\output\login $form) {
        global $CFG, $PAGE, $SITE, $OUTPUT;


        $context = $form->export_for_template($this);

        // Override because rendering is not supported in template yet.
        $context->cookieshelpiconformatted = $this->help_icon('cookiesenabled');
        $context->errorformatted = $this->error_text($context->error);
        $url = alluri_get_logo_url();
        $context->logourl = $url;
        $context->sitename = format_string($SITE->fullname, true, ['context' => context_course::instance(SITEID), "escape" => false]);
        $context->siteurl = $CFG->wwwroot;
        $maincontent = $this->render_from_template('theme_alluri/login_form', $context);
        return  $maincontent ;

    }
}
