<?php
// This file is part of the custom Moodle Bootstrap theme
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package    theme_alluri
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

require_once('../../../config.php');
global $CFG, $DB, $PAGE,$USER;

$theme_name = 'alluri';

$systemcontext = context_system::instance();
$PAGE->set_context($systemcontext);
$PAGE->set_title('Typography');
$PAGE->set_url($CFG->wwwroot.'/theme/'.$theme_name.'/typo.php');
$PAGE->set_pagelayout('login');


echo $OUTPUT->header();
?>


<div id="content" class="nz-content">
  <div class="container">
    <div class="row">
        <div class="col-md-12 ">

        <h2 class="lbordered">Typography</h2>

        <div class="nz-examples">
          <div class="row">
            <div class="col-md-4 ">
              <div class="nz-example-panel">
                <div class="nz-example-panel-heading">
                  <h4 class="sph4">Heading Regular</h4>
                  <hr>
                </div>
                <div class="nz-example-panel-body nopaddingt">
                  <h1>Headings 1</h1>
                  <h2>Headings 2</h2>
                  <h3>Headings 3</h3>
                  <h4>Headings 4</h4>
                  <h5>Headings 5</h5>
                  <h6>Headings 6</h6>
                </div>
              </div>
            </div>
            <div class="col-md-4 ">
              <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                    <h4 class="sph4">Heading Bold</h4>
                    <hr>
                  </div>
                  <div class="nz-example-panel-body nopaddingt">
                    <h1 class="bold">Headings 1</h1>
                    <h2 class="bold">Headings 2</h2>
                    <h3 class="bold">Headings 3</h3>
                    <h4 class="bold">Headings 4</h4>
                    <h5 class="bold">Headings 5</h5>
                    <h6 class="bold">Headings 6</h6>
                  </div>
                </div>
            </div>
            <div class="col-md-4">
                <div class="nz-example-panel">
                <div class="nz-example-panel-heading">
                  <h4 class="sph4">Special Headings</h4>
                  <hr>
                </div>
                <div class="nz-example-panel-body nopaddingt">
                  <h1 class="sph1">Special Heading 1</h1>
                  <h2 class="sph2">Special Heading 2</h2>
                  <h3 class="sph3">Special Heading 3</h3>
                  <h4 class="sph4">Special Heading 4</h4>
                </div>
              </div>
            </div>

          </div>
        </div>

        <div class="nz-examples">
          <div class="row">
            <div class="col-md-6">
                <div class="nz-example-panel">
                <div class="nz-example-panel-heading">
                  <h4 class="sph4">Buttons</h4>
                  <hr>
                </div>
                <div class="nz-example-panel-body">
                    <div class="nz-btn-examples">
                    <h4 class="sph4">Example</h4>
                    <a class="btn btn-tdefault" href="javascript:void(0);">Link</a>
                    <button class="btn btn-tdefault">Button</button>
                    <input class="btn btn-tdefault" type="button" value="Input">
                    <input class="btn btn-tdefault" type="submit" value="Submit">
                  </div>
                    <div class="nz-btn-examples">
                    <h4 class="sph4">Styles</h4>
                    <button class="btn btn-tdefault">Style 1</button>
                    <button class="btn btn-tprimary">Style 2</button>
                    <button class="btn btn-tsub01">Style 3</button>
                    <button class="btn btn-tsub02">Style 4</button>
                    <button class="btn btn-tsub03">Style 5</button>
                  </div>
                                    <div class="nz-btn-examples">
                    <h4 class="sph4">Sizes</h4>
                    <button class="btn btn-tdefault btn-lg">Button</button>
                    <button class="btn btn-tdefault">Button</button>
                    <button class="btn btn-tdefault btn-sm">Button</button>
                    <button class="btn btn-tdefault btn-xs">Button</button>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-md-6">
              <div class="nz-example-panel">
                <div class="nz-example-panel-heading">
                  <h4 class="sph4">Paragraph</h4>
                  <hr>
                </div>
                <div class="nz-example-panel-body">
                  <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
                  </p>
                </div>
              </div>
            </div>
          </div>
        </div>

                <div class="nz-examples">
            <div class="row">
            <div class="col-md-12">
                            <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Grid</h4>
                  <hr><br>
                                </div>
                            </div>
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Twelve</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <!--E.O.G12-->
            <div class="col-md-6">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Six</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-6">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Six</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <!--E.O.G6-->
            <div class="col-md-4">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Four</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-4">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Four</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-4">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Four</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <!--E.O.G4-->
                        <div class="col-md-3">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Three</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-3">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Three</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-3">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Three</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-3">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Three</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <!--E.O.G3-->
            <div class="col-md-2">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Two</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-2">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Two</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-2">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Two</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-2">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Two</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-2">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Two</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <div class="col-md-2">
                <div class="nz-example-panel">
                  <div class="nz-example-panel-heading">
                  <h4 class="sph4">Two</h4>
                                </div>
                  <div class="nz-example-panel-body">
                                    <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publis
</p>
                </div>
              </div>
            </div>
            <!--E.O.G2-->
          </div>
        </div>

            </div>
    </div>
  </div>
</div>
<!--E.O.Content-->

<?php
echo $OUTPUT->footer();
