define([
    'jquery',
    'core/fragment',
    'core/templates',
    'core/notification',
], function($, Fragment, Templates, Notification) {

    var EducliConfig = function(params) {
        var self = this;
        if (params.submissionController) {
            self.submissionPageHandler(params);
        }
    };

    EducliConfig.prototype.searchSubmissionUser = '#page-mod-assign-grading input[name="typeFullName"]';

    EducliConfig.prototype.submissionPageHandler = function(params) {
        var self = this;
        if (self.searchSubmissionUser)
        document.querySelector(self.searchSubmissionUser).addEventListener('input', function() {
            // Define action for how to change the data.
            params.searchquery = this.value;
            Fragment.loadFragment('theme_educli', 'refersh_assign_submission_table', params.contextid, params).then((html, js) => {
                $('#page-content .gradingtable').html(html);
                Templates.runTemplateJS(js);
                return html;
            }).catch(Notification.exception);
        });
    };

    return {
        init: function(params) {
            return new EducliConfig(params);
        },
    }
});