<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Config install.
 * @package    theme_educli
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

 /**
 * Theme_educli install function.
 *
 * @return void
 */
function xmldb_theme_educli_install() {
    global $CFG;

    if (method_exists('core_plugin_manager', 'reset_caches')) {
        core_plugin_manager::reset_caches();
    }

    $fs = get_file_storage();

    // Logo image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'logo';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'educli_logo_lms.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/educli_logo_lms.png');

    // Home banner background image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'homebannerbgimg';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-home-banner-img.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-home-banner-img.png');

    // Quick link 1 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'link1img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-banner-icon-1.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-banner-icon-1.png');

    // Quick link 2 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'link2img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-banner-icon-2.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-banner-icon-2.png');

    // Quick link 3 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'link3img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-banner-icon-3.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-banner-icon-3.png');

    // Quick link 4 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'link4img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-banner-icon-4.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-banner-icon-4.png');

    // Quick link 5 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'link5img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-banner-icon-5.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-banner-icon-5.png');

    // Quick link 6 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'link6img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-banner-icon-6.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-banner-icon-6.png');

    // Quick link 7 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'link7img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-banner-icon-7.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-banner-icon-7.png');

    // Quick link 8 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'link8img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-banner-icon-8.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-banner-icon-8.png');

    // Site feature 1 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'sitefeature1img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-why-c-icon-1.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-why-c-icon-1.png');

    // Site feature 2 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'sitefeature2img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-why-c-icon-2.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-why-c-icon-2.png');

    // Site feature 3 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'sitefeature3img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-why-c-icon-3.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-why-c-icon-3.png');

    // Site feature 4 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'sitefeature4img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-why-c-icon-4.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/lms-why-c-icon-4.png');

    // Our partner 1 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'ourpartners1img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'educli_logo_lms-gray.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/educli_logo_lms-gray.png');

     // Our partner 2 image.
     $fs = get_file_storage();
     $filerecord = new stdClass();
     $filerecord->component = 'theme_educli';
     $filerecord->contextid = context_system::instance()->id;
     $filerecord->userid = get_admin()->id;
     $filerecord->filearea = 'ourpartners2img';
     $filerecord->filepath = '/';
     $filerecord->itemid = 0;
     $filerecord->filename = 'educli2021logo.png';
     $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/educli2021logo.png');

    // Our partner 3 image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'ourpartners3img';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'eduspace_logo_black.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/home/eduspace_logo_black.png');

    // Login page image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'loginpageimg';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'login-lms-banner-img.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/login-lms-banner-img.png');

    // Header background image.
    $fs = get_file_storage();
    $filerecord = new stdClass();
    $filerecord->component = 'theme_educli';
    $filerecord->contextid = context_system::instance()->id;
    $filerecord->userid = get_admin()->id;
    $filerecord->filearea = 'headerbgimg';
    $filerecord->filepath = '/';
    $filerecord->itemid = 0;
    $filerecord->filename = 'lms-header-bg.png';
    $fs->create_file_from_pathname($filerecord, $CFG->dirroot . '/theme/educli/pix/lms-header-bg.png');
}
