<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_educli', language 'en'
 *
 * @package    theme_educli
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['pluginname'] = 'Educli';
$string['configtitle'] = "Educli";
$string['choosereadme'] = 'Educli is a child theme of boost.';
// Header setting.
$string['headerheading'] = 'Header';
$string['logo'] = 'Logo';
$string['logodesc'] ='Please upload your custom logo here if you want to add it to the header. <br>The image should be 37px high and any reasonable width (minimum:250px) that suits.';
$string['headerbgimg'] = 'Header background image';
$string['headerbgimgdesc'] = 'Upload the image you would like to display as the header background.';
// Footer setting.
$string['footerheading'] = "Footer";
$string['emailid'] = 'Email';
$string['defaultemailid'] = 'info@educli.come';
$string['fburl'] = 'Facebook';
$string['fburl_default'] = 'https://www.facebook.com/yourfacebookid';
$string['fburldesc'] = 'The Facebook url of your organisation.';
$string['pinurl'] = 'Pinterest';
$string['pinurl_default'] = 'https://in.pinterest.com/yourpinterestname/';
$string['pinurldesc'] = 'The Pinterest url of your organisation.';
$string['twurl'] = 'Twitter';
$string['twurl_default'] = 'https://twitter.com/yourtwittername';
$string['twurldesc'] = 'The Twitter url of your organisation.';
$string['gpurl'] = 'Google+';
$string['gpurl_default'] = 'https://www.google.com/+yourgoogleplusid';
$string['gpurldesc'] = 'The Google+ url of your organisation.';
$string['instagramurl'] = 'Instagram';
$string['instagramurl_default'] = 'https://www.instagram.com/';
$string['instagramurldesc'] = 'The Instagram url of your organisation.';
$string['linkedinurl'] = 'Linkedin';
$string['linkedinurl_default'] = 'https://www.linkedin.com/login';
$string['linkedinurldesc'] = 'The Linkedin url of your organisation.';
$string['termsconditionsurl'] = 'Terms & Conditions';
$string['termsconditionsurl_default'] = '';
$string['termsconditionsurldesc'] = 'Give a terms and conditions url of your organisation.';
$string['privacypolicyurl'] = 'Privacy policy';
$string['privacypolicyurl_default'] = '';
$string['privacypolicyurldesc'] = 'Give a privacy policy url of your organisation.';
$string['contacturl'] = 'Contact support url';
$string['contacturl_desc'] = 'Use this option to give the contact suppport url for your organisation';
$string['contacturl_default'] = 'http://www.example.com/';
// Home page banner setting.
$string['homebannerheading'] = 'Home Banner';
$string['homebannertitle'] = 'Home banner title';
$string['homebannertitle_desc'] = 'Use this option to set the text for home page banner title';
$string['homebannertitle_default'] = 'Improve Your Skills & Learn Easily with Educli LMS';
$string['homebannerdesc'] = 'Description';
$string['homebannerdesc_desc'] = 'Use this option to set the text for home page banner description';
$string['homebannerdesc_default'] = 'Explore and start right now your certificate courses:';
$string['homebannerbgimg'] = 'Background image';
$string['homebannerbgimg_desc'] = 'Upload the image you would like to display as the background image of the homebanner.';
$string['homebannerbtn'] = 'Button';
$string['homebannerbtn_desc'] = 'Use this option to set the text for home page banner button';
$string['homebannerbtn_default'] = 'Login to LMS';
$string['homebannerbtnurl'] = 'Button URL';
$string['homebannerbtnurl_desc'] = 'Use this option to set the URl for home page banner button';
$string['homebannerbtnurl_default'] = 'http://www.example.com/';
// Quick links.
$string['numberofquicklinks'] = "Number of quick links";
$string['linktitle'] = 'Quick link title {$a->num}';
$string['linktitle_desc'] = 'Use this option to set the quick link title {$a->num}';
$string['linkurl'] = 'URL';
$string['linkurl_desc'] = 'Use this option to set the quick link URL {$a->num}';
$string['linkimg'] = 'Image';
$string['linkimg_desc'] = 'Use this option to set the quick link image {$a->num}';
$string['link1title_default'] = 'Graphic Design';
$string['link2title_default'] = 'Digital Marketing';
$string['link3title_default'] = 'Project Management';
$string['link4title_default'] = 'English';
$string['link5title_default'] = 'Accounting';
$string['link6title_default'] = 'Information Technology';
$string['link7title_default'] = 'Leadership & Management';
$string['link8title_default'] = 'Business';
$string['linkur_default'] = 'http://www.example.com/';
// Site features settings.
$string['sitefeaturesheading'] = 'Site features ';
$string['siteblocktitle'] = 'Block title';
$string['siteblocktitle_desc'] = 'Use this option to set the description for site features block title';
$string['siteblocktitle_default'] = 'Why Choose Us?';
$string['numberofsitefeature'] = 'Number of site feature';
$string['numberofsitefeature_desc'] = 'Use this option to set the number of features to display in the site features section.';
$string['siteblockdesc'] = 'Block description';
$string['siteblockdesc_desc'] = 'Use this option to set the description for site features block description';
$string['siteblockdesc_default'] = 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed doeiusmod tempor incididunt ut labore et.dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laborisnisi ut aliquip ex ea commodo consequat.';
$string['sitefeaturetitle'] = 'Site feature title {$a->num}';
$string['sitefeaturtitle_desc'] = 'Use this option to set the text for site feature title';
$string['sitefeaturedesc'] = 'Description';
$string['sitefeaturedesc_desc'] = 'Use this option to set the decription for site feature decription';
$string['sitefeatureimg'] = 'Image';
$string['sitefeatureimg_desc'] = 'Upload the image you would like to display as the site feature block.';
$string['sitefeature1title_default'] = 'Virtual Academy';
$string['sitefeature2title_default'] = 'Model Test';
$string['sitefeature3title_default'] = 'Certification';
$string['sitefeature4title_default'] = 'Awesome Support';
$string['sitefeaturedesc_default'] = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aliquam vestibulum risus ac tellus luctus, ut volutpat (...)';
// Our partners settings.
$string['ourpartnerheading'] = 'Our partners';
$string['numberofpartners'] = 'Numbers of partners to show';
$string['numberofpartners_desc'] = 'Use this option to set the number of partners to display in partners section.';
$string['ourpartnerstitle'] = 'Block title';
$string['ourpartnerstitle_desc'] = 'Use this option to set the title for our partners block';
$string['ourpartnerstitle_default'] = 'Powered by:';
$string['ourpartnersname'] = 'partner {$a->num} name';
$string['ourpartnersname_desc'] = 'Use this option to set the name for the our partners';
$string['ourpartnersimg'] = 'Image';
$string['ourpartnersimg_desc'] = 'Upload the image you would like to display as the our partners';
// Login page.
$string['loginheading'] = 'Login';
$string['loginpageimg'] = 'Set a login page image';
$string['loginpageimg_desc'] = 'Upload the image you would like to display as the login page for our theme';
$string['myprogress'] = 'My Progress';
$string['course'] = 'Course';
$string['performance'] = 'Performance';
$string['username'] = 'Username';
$string['useremail'] = 'Email';
$string['userpicture'] = 'Picture';
$string['passowrd'] = 'password';
$string['country'] = 'country';
$string['userphone'] = 'Phone';
$string['changesuccess'] = 'Changes updated';
$string['authenticusererror'] = 'Should not update the data for Admin';
$string['saveedits'] = 'Save Edits';
$string['attachmentfromtrainer'] = "Attachments from your trainer: ";
$string['defaultcourselang'] = "English";
$string['strlectures'] = 'Lectures';
$string['strlecture'] = 'Lecture';
$string['strviewall'] = 'View all';
$string['strmyclass'] = 'My Classes';
$string['strdescription'] = 'Description';
$string['studentsenrolled'] = 'Students Enrolled';
$string['strenrolnow'] = 'Enrol now';
$string['strlanguage'] = 'Language';
$string['startdate'] = 'Start Date';
$string['strlecturedby'] = 'Lectured by';
$string['strcategory'] = 'Category';
$string['strcontent'] = 'Content';
$string['strcourseoverview'] = 'Course Overview';
$string['strinstructors'] = 'Instructors';
$string['strcompleted'] = 'Completed';
$string['strinprogress'] = 'Inprogress';
$string['strnotyetstarted'] = 'Not yet started';
$string['strlocked'] = 'Locked';
$string['strwhois'] = "Who is";
$string['strstudents'] = "Students";


$string[''] = "";
$string[''] = "";
$string[''] = "";
$string[''] = "";
$string[''] = "";
$string[''] = "";
$string[''] = "";
$string[''] = "";
$string[''] = "";
$string[''] = "";
$string[''] = "";
$string[''] = "";