<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package    theme_educli
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

use core_courseformat\external\get_state;

defined('MOODLE_INTERNAL') || die;

if (is_siteadmin()) {

    $settings = new theme_boost_admin_settingspage_tabs('themesettingeducli', get_string('configtitle', 'theme_educli'));
    $ADMIN->add('themes', new admin_category('theme_educli', 'Educli'));

    // Header and footer settings.
    include(dirname(__FILE__) . '/settings/general.php');

    /* Home banner Settings. */
    include(dirname(__FILE__) . '/settings/homebanner.php');

    /* Site features Settings. */
    include(dirname(__FILE__) . '/settings/sitefeature.php');

    /* Our partners Settings. */
    include(dirname(__FILE__) . '/settings/ourpartners.php');

}