<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package    theme_educli
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

 /* Home banner Settings */
$homebanner = new admin_settingpage('theme_educli_homebanner', get_string('homebannerheading', 'theme_educli'));

    // Home banner title.
    $name = "theme_educli/homebannertitle";
    $title = get_string("homebannertitle", "theme_educli");
    $description = get_string("homebannertitle_desc", "theme_educli");
    $default = get_string("homebannertitle_default", "theme_educli");
    $setting = new admin_setting_configtext($name, $title, $description, $default);
    $homebanner->add($setting);

    // Home banner description.
    $name = "theme_educli/homebannerdesc";
    $title = get_string("homebannerdesc", "theme_educli");
    $description = get_string("homebannerdesc_desc", "theme_educli");
    $default = get_string("homebannerdesc_default", "theme_educli");
    $setting = new admin_setting_configtextarea($name, $title, $description, $default);
    $homebanner->add($setting);

    // Home banner image.
    $name = "theme_educli/homebannerbgimg";
    $title = get_string("homebannerbgimg", "theme_educli");
    $description = get_string("homebannerbgimg_desc", "theme_educli");
    $default = '';
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'homebannerbgimg');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $homebanner->add($setting);

    // Home banner Button.
    $name = "theme_educli/homebannerbtn";
    $title = get_string("homebannerbtn", "theme_educli");
    $description = get_string("homebannerbtn_desc", "theme_educli");
    $default = get_string("homebannerbtn_default", "theme_educli");
    $setting = new admin_setting_configtext($name, $title, $description, $default);
    $homebanner->add($setting);

    // Home banner Button URL.
    $name = "theme_educli/homebannerbtnurl";
    $title = get_string("homebannerbtnurl", "theme_educli");
    $description = get_string("homebannerbtnurl_desc", "theme_educli");
    $default = get_string("homebannerbtnurl_default", "theme_educli");
    $setting = new admin_setting_configtext($name, $title, $description, $default);
    $homebanner->add($setting);

    // Numbers of quick link.
    $name = "theme_educli/numberofquicklinks";
    $title = get_string("numberofquicklinks", "theme_educli");
    $description = "";
    $default = 8;
    $choices = array(
        1 => '1',
        2 => '2',
        3 => '3',
        4 => '4',
        5 => '5',
        6 => '6',
        7 => '7',
        8 => '8',
    );
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $homebanner->add($setting);

    $numberofquicklinks = get_config('theme_educli', 'numberofquicklinks');
    for ($i=1; $i <= $numberofquicklinks; $i++) {

        // Quick links title.
        $name = "theme_educli/link".$i."title";
        $title = get_string('linktitle', 'theme_educli', array("num" => $i));
        $description = get_string('linktitle_desc', 'theme_educli', array('num' => $i));
        $default = get_string('link'.$i.'title_default', 'theme_educli');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $homebanner->add($setting);

        // Quick link url.
        $name = "theme_educli/link".$i."url";
        $title = get_string('linkurl', 'theme_educli', array("num" => $i));
        $description = get_string('linkurl_desc', 'theme_educli', array('num' => $i));
        $default = get_string('linkur_default', 'theme_educli');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $homebanner->add($setting);

        // Quickc link image.
        $name = "theme_educli/link".$i."img";
        $title = get_string('linkimg', 'theme_educli', array("num" => $i));
        $description = get_string('linkimg_desc', 'theme_educli', array('num' => $i));
        $setting = new admin_setting_configstoredfile($name, $title, $description, "link".$i."img");
        $setting->set_updatedcallback('theme_reset_all_caches');
        $homebanner->add($setting);

    }
$settings->add($homebanner);
