<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package    theme_educli
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

use core_reportbuilder\external\filters\set;

// Site feature block.
$ourpartner = new admin_settingpage('theme_educli_ourpartner', get_string('ourpartnerheading', 'theme_educli'));

    // our partenrs.
    $name = 'theme_educli/numberofpartners';
    $title = get_string('numberofpartners', 'theme_educli');
    $description = get_string('numberofpartners_desc', 'theme_educli');
    $default = 3;
    $choices = array(
        1 => '1',
        2 => '2',
        3 => '3',
        4 => '4',
        5 => '5',
    );
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $ourpartner->add($setting);

        // Our partner block title.
        $name = 'theme_educli/ourpartnerstitle';
        $title = get_string('ourpartnerstitle', 'theme_educli');
        $description = get_string('ourpartnerstitle_desc', 'theme_educli');
        $default = get_string('ourpartnerstitle_default', 'theme_educli');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $setting->set_updatedcallback('theme_reset_all_caches');
        $ourpartner->add($setting);

    $numberofpartners = get_config('theme_educli', 'numberofpartners');
    for ($key = 1; $key <= $numberofpartners; $key++) {

        // Our partner name.
        $name = 'theme_educli/ourpartners'.$key.'name';
        $title = get_string('ourpartnersname', 'theme_educli', array('num' => $key));
        $description = get_string('ourpartnersname_desc', 'theme_educli');
        $default = '';
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $setting->set_updatedcallback('theme_reset_all_caches');
        $ourpartner->add($setting);

        // Our partner images.
        $name = 'theme_educli/ourpartners'.$key.'img';
        $title = get_string('ourpartnersimg', 'theme_educli');
        $description = get_string('ourpartnersimg_desc', 'theme_educli');
        $setting = new admin_setting_configstoredfile($name, $title, $description, 'ourpartners'.$key.'img');
        $setting->set_updatedcallback('theme_reset_all_caches');
        $ourpartner->add($setting);
    }
$settings->add($ourpartner);
