<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package    theme_educli
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

// Site feature block.
$sitefeature = new admin_settingpage('theme_educli_sitefeatures', get_string('sitefeaturesheading', 'theme_educli'));

    // Site feature block title.
    $name = 'theme_educli/siteblocktitle';
    $title = get_string('siteblocktitle', 'theme_educli');
    $description = get_string('siteblocktitle_desc', 'theme_educli');
    $default = get_string('siteblocktitle_default', 'theme_educli');
    $setting = new admin_setting_configtext($name, $title, $description, $default);
    $sitefeature->add($setting);

    // Site feature block description.
    $name = 'theme_educli/siteblockdesc';
    $title = get_string('siteblockdesc', 'theme_educli');
    $description = get_string('siteblockdesc_desc', 'theme_educli');
    $default = get_string('siteblockdesc_default', 'theme_educli');
    $setting = new admin_setting_configtextarea($name, $title, $description, $default);
    $sitefeature->add($setting);

    // numberofsitefeatures blocl.
    $name = 'theme_educli/numberofsitefeature';
    $title = get_string('numberofsitefeature', 'theme_educli');
    $description = get_string('numberofsitefeature_desc', 'theme_educli');
    $default = 4;
    $choices = array(
        1 => '1',
        2 => '2',
        3 => '3',
        4 => '4',
    );
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $sitefeature->add($setting);
    
    $numberofsitefeature = get_config('theme_educli', 'numberofsitefeature');
    for ($i = 1; $i <= $numberofsitefeature; $i++) {
        // Site feature title.
        $name = 'theme_educli/sitefeature'.$i.'title';
        $title = get_string('sitefeaturetitle', 'theme_educli', array('num' => $i));
        $description = get_string('sitefeaturtitle_desc', 'theme_educli');
        $default = get_string('sitefeature'.$i.'title_default', 'theme_educli');
        $setting = new admin_setting_configtext($name, $title, $description, $default);
        $sitefeature->add($setting);

        // Site feature description.
        $name = 'theme_educli/sitefeature'.$i.'desc';
        $title = get_string('sitefeaturedesc', 'theme_educli');
        $description = get_string('sitefeaturedesc_desc', 'theme_educli');
        $default = get_string('sitefeaturedesc_default', 'theme_educli');
        $setting = new admin_setting_configtextarea($name, $title, $description, $default);
        $sitefeature->add($setting);

        // Site feature image.
        $name = 'theme_educli/sitefeature'.$i.'img';
        $title = get_string('sitefeatureimg', 'theme_educli');
        $description = get_string('sitefeatureimg_desc', 'theme_educli');
        $default = '';
        $setting = new admin_setting_configstoredfile($name, $title, $description, 'sitefeature'.$i.'img');
        $setting->set_updatedcallback('theme_reset_all_caches');
        $sitefeature->add($setting);
    }
$settings->add($sitefeature);
