define([
    'jquery',
    'theme_enlight/slick',
], function($, slick) {
    'use strict';

    var RTL = ($('body').hasClass('dir-rtl')) ? true : false;

    return {

        init: function() {

        },

        availablecourses: function() {

          /*   $("#frontpage-available-course-list #available-courses").parents('div#frontpage-available-course-list').addClass('frontpage-available-course '+availableClass); */
            $(".course-slider").slick({
                infinite: false,
                slidesToShow: 3,
                slidesToScroll: 3,
                rtl: RTL,
                variableWidth: false,
                responsive: [
                    {
                        breakpoint: 767,
                        settings: {

                            slidesToShow: 2,
                            slidesToScroll: 2,
                        }
                    },
                    {
                        breakpoint: 575,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll: 1,
                        }
                    }
                ],

            });

            var prow = $(".course-slider").attr("data-crow");
            prow = parseInt(prow);
            if(prow < 2) {
                $("#available-courses .pagenav").hide();
            }
        },

        mycourses: function() {
            $(".mycourse-slider").slick({
                arrows:true,
                swipe:true,
                rtl:RTL,
                slidesToShow: 3,
                slidesToScroll: 3,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {
                            slidesToShow: 2,
                             slidesToScroll: 2,
                        }
                    },
                    {
                        breakpoint: 575,
                        settings: {
                            slidesToShow: 1,
                             slidesToScroll: 1,
                        }
                    }
                ],
            });

            var prow = $(".mycourse-slider").attr("data-crow");
            prow = parseInt(prow);
            if(prow < 2) {
                $("#mycourses .pagenav").hide();
            }

            var infoelement = $(".enrolled");
            infoelement.each(function() {
                var self = $(this),
                selftooltiptext =self.data('tooltip-text');
                if(selftooltiptext){
                    $('<span>',{class:'tooltip',text:selftooltiptext}).appendTo(self);
                }
            });
        },

        categorynews: function() {
            $(".list_categories").slick({
                arrows:true ,
                swipe:true,
                infinite: false,
                slidesToShow:3,
                slidesToScroll:3,
                rtl: RTL,
                responsive: [
                     {
                        breakpoint: 991,
                        settings: {
                            slidesToShow: 3,
                            slidesToScroll:3,
                        }
                    },
                    {
                        breakpoint: 767,
                        settings: {

                            slidesToShow: 2,
                            slidesToScroll:2,
                        }
                    },
                    {
                        breakpoint: 575,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll:1,
                        }
                    }
                ],
            });

            var prow = $(".list_categories").attr("data-crow");
            prow = parseInt(prow);
            if (prow < 2) {
                $("#Listcategories .pagenav").hide();
            }
        },

        popularcourses: function() {
            $(".popular_courses").slick({
                arrows:true ,
                swipe:true,
                infinite: false,
                slidesToShow: 3,
                slidesToScroll: 3,
                rtl: RTL,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {

                            slidesToShow: 2,
                            slidesToScroll:2,
                        }
                    },
                    {
                        breakpoint: 575,
                        settings: {
                            slidesToShow: 1,
                            slidesToScroll:1,
                        }
                    }
                ],
            });
            var prow = $(".popular_courses").attr("data-crow");
            prow = parseInt(prow);
            if(prow < 2) {
                $("#Popular-Courses .pagenav").hide();
            }
        },

        ourteam: function(ourteamAutoplay=false) {

            $(".our_team_slider").slick({
                arrows:true ,
                swipe:true,
                infinite: false,
                slidesToShow : 4,
                slidesToScroll:2,
                autoplay: ourteamAutoplay,
                rtl: RTL,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {

                            slidesToShow: 2,
                            slidesToscroll:2,
                        }
                    },
                    {
                        breakpoint: 575,
                        settings: {
                            slidesToShow: 1,
                            slidesToscroll:1,
                        }
                    }
                ],
            });
        },

        testimonials: function(autoplay=false, pagination=true) {
            $("#carouseltestimonials_slick").not('.slick-initialized').slick({
                //arrows:true,
                swipe:true,
                infinite: true,
                slidesToShow: 1,
                slidesToScroll: 1,
                dots: pagination,
                prevArrow:false,
                nextArrow:false,
                speed:1000,
                autoplay: autoplay,
                rtl: RTL,
                adaptiveHeight: true
            });
        },

        ourpartners: function(autoplay=false, autotime=1000) {
            $("#ourpartner-slider").slick({
                arrows:true,
                swipe:true,
                autoplay: autoplay,
                autoplaySpeed: autotime,
                slidesToShow:6,
                slidesToScroll:1,
                rtl:RTL,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {

                            slidesToShow: 3,

                        }
                    },
                    {
                        breakpoint: 575,
                        settings: {
                            slidesToShow: 2,
                        }
                    }
                ],
            });
        },

        counters: function() {
            if ($(".counter").length != '') {

                var interval = [];
                var counterCompleted = false;
                var count = function(start, end, element) {
                    var localStart = start;
                    interval[element] = setInterval(function() {
                        if (localStart < end) {
                            localStart++;
                            element.innerHTML = localStart;
                        } else {
                            clearInterval(interval[element]);
                        }
                    }, (4000 / end) );
                };
                function countAnimation(counters) {

                    counters.forEach((counter) => {
                        var start = counter.getAttribute('data-start');
                        start = start ? start : 0;

                        var value = counter.getAttribute('data-value');
                        if (value) {
                            count(start, value, counter);
                        }
                        counterCompleted = true;
                    })
                }

                $(window).scroll(function() {
                    var counters = document.querySelectorAll('.counter');
                    if (counters !== null && !counterCompleted) {
                        countAnimation(counters);
                    }
                })
            }
        }


    }
});