
define(['jquery', 'theme_enlight/jquery.sudoSlider'], function($, sudoslider) {

    $('#homepage-carousel').css({'height':$('#homepage-carousel').data('slide-height')+"px" });
    
    var homecarousel, THIS;

    var defaults = {
        autoslideshow: false,
        interval: 500,
        resume: false,
    };

    var YTOptions = {};

    var SELECTORS = {
        slideContent: '.slide-content .slide-text',
        youtubeSlide: '.homecarousel-slide-item.video-slide .youtube-slide',
        activeYTSlide: '.homecarousel-slide-item.video-slide.active .youtube-slide'
    };

    
    var Carousel = function(selector, options) {
        THIS = this;
        this.selector = selector;
        this.options = options;
        this.setupSlideWidth();
        var results = $.extend(defaults, options);
        this.setup(selector, results);
        if (options.hasyoutube) {
            this.insertYoutubAPI();
            // this.initYoutubePlayer();
        }
    };

    Carousel.prototype.selector = '';

    Carousel.prototype.options = {};


    Carousel.prototype.insertYoutubAPI = function() {
       var tag = document.createElement('script');
       tag.src = "https://www.youtube.com/iframe_api";
       document.body.appendChild(tag);
    };

    Carousel.prototype.initYoutubePlayer = function() {
        document.querySelectorAll(SELECTORS.youtubeSlide).forEach((youtubeElement) => {
            var property = JSON.parse(youtubeElement.getAttribute('data-property'));
            var playerId = 'ytplayer-'+youtubeElement.id;
            console.log(playerId);
            $.extend(YTOptions, property);
            var videoPlayer = new YT.Player(youtubeElement.children[0], {
                videoId: THIS.parseURL(YTOptions.videoURL), //.replace(/^http:\/\//, '').replace(/^https:\/\//, ''),
                height: "100%",
                width: "100%",
                host: 'https://www.youtube.com',
                playerVars: {
                    'modestbranding': 1,
                    'autoplay': 0,
                    'controls': 0,
                    'showinfo': 0,
                    'rel': 0,
                    'enablejsapi': 1,
                    'version': 3,
                    'playerapiid': playerId,
                    'enablejsapi': 1,
                    'origin': '*',
                    'allowfullscreen': true,
                    'wmode': 'transparent',
                },
                events: {
                    'onReady': function(e) {
                        playerId = e.target.h.id;
                        player = e.target;
                        player.setVolume(0);
                        videoPlayer.setLoop(true);
                        THIS.optimizeDisplay($("#"+playerId));
                        // $('#'+playerId).css({ width:  '1903px', height: '1071px' });
                        e.target.playVideo();
                    },
                    onStateChange: function(e) {
                        if (e.data === YT.PlayerState.ENDED) {
                            e.target.playVideo();
                        }
                    }
                }
            });
        });

        // window.onfocus = ()=>{alert('fouucsin')};
        window.onblur = () => { 
            document.querySelectorAll(SELECTORS.youtubeSlide).forEach((youtubeElement) => {
                YT.get(youtubeElement.children[0].id).pauseVideo();
            });
        };

        window.onfocus = this.playYTVideo();
        /* document.addEventListener('blur', function() {
            alert();
            /* document.querySelectorAll(SELECTORS.youtubeSlide).forEach((youtubeElement) => {
                YT.get(youtubeElement.children[0].id).pauseVideo();
            }); 
        }) */
    };

    Carousel.prototype.parseURL = function(url) {
        var regExp = /^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#&?]*).*/;
        var match = url.match(regExp);
        var result = (match&&match[7].length==11)? match[7] : false;
        return result == false ? url : result;
    }

    Carousel.prototype.playYTVideo = function() {
        currentYT = document.querySelector(SELECTORS.activeYTSlide);
        if (currentYT !== null && currentYT !== undefined) {
            YT.get(currentYT.children[0].id).playVideo();
            // $('#'+currentYT.children[0].id).removeClass('hide');
        }
    };

    Carousel.prototype.pauseYTVideo = function(playerID) {
        YT.get(playerID).pauseVideo();
        // $('#'+playerID).addClass('hide');
    };

    Carousel.prototype.optimizeDisplay = function(player) {
        var wrapper = player.parent();
        var sec = {};
        var ytframe = {};
        sec.width = $(this.selector).outerWidth();
        sec.height = $(this.selector).outerHeight();

        var aspectratio = parseFloat(16 / 9);
        ytframe.width = sec.width;
        ytframe.height = Math.ceil( sec.width / aspectratio );
        ytframe.marginTop = Math.ceil( -( ( ytframe.height - sec.height ) / 2 ) );
        ytframe.marginLeft = 0;

        var lowest = ytframe.height < sec.height;
 
        if (lowest) {
            ytframe.height = sec.height;
            ytframe.width = Math.ceil( ytframe.height * YTPlayer.opt.ratio );

            ytframe.marginTop = 0;
            ytframe.marginLeft = Math.ceil( -( ( ytframe.width - sec.width ) / 2 ) );
        }

        if (ytframe.width > sec.width) {
            ytframe.marginLeft = -( ( ytframe.width - sec.width ) / 2 );
        }

        console.log(ytframe);
        console.log(sec);
        
        player.css({
            width: ytframe.width,
            height: ytframe.height,
            marginTop: ytframe.marginTop,
            marginLeft: ytframe.marginLeft,
            maxWidth: "initial"
        });
    }


    Carousel.prototype.setupSlideWidth = function() {
        // alert();
        document.querySelectorAll(SELECTORS.slideContent).forEach((slidecontent) => {
            var width = slidecontent.getAttribute('data-width');
            slidecontent.style.width = width;
        })
    };

    Carousel.prototype.setup = function(selector, data) {

        $(selector).css({'height':$(selector).data('slide-height')+"px" });
        var autostopped = false;
        console.log(data.autoslideshow);
        console.log(selector);
        var sudoSlider = $(selector).sudoSlider({
            prevNext:true,
            prevHtml: '.homepage-carousel .prevBtn.carousel-control',
            nextHtml: '.homepage-carousel .nextBtn.carousel-control',
            speed: 1400,
            ease:'swing',
            responsive: true,
            updateBefore: true,
            useCSS:true,
            interruptible:false,
            numeric : true,
            continuous: (THIS.options.hasyoutube) ? false : true,
            pause: (data.autoslideshow == 'false') ? false : data.slideinterval,
            auto: (data.autoslideshow == 'false') ? false : true,
            resumePause: data.resume,
            customLink: ".homepage-carouselLink",
            afterAnimation:function (t, slider) {
                $('.homecarousel-slide-item.carousel-item').not('[data-slide="'+ t +'"]').removeClass('active');
                $('.homecarousel-slide-item.carousel-item[data-slide="'+ t +'"]').addClass('active');
                $('.slide-text').show();
                THIS.playYTVideo();
            },
            beforeAnimation: function(t, slider) {
                var slide = $(SELECTORS.activeYTSlide).find('iframe').attr('id');
                if (slide !== null && slide !== undefined) {
                    // console.log(slide);
                    THIS.pauseYTVideo(slide);
                }
                animation();
            }
        });

        sudoSlider.mouseenter(function() {
            auto = sudoSlider.getValue('autoAnimation');
            if (auto) {
                sudoSlider.stopAuto();
            } else {
                autostopped = true;
            }
        }).mouseleave(function() {
            if (!autostopped) {
                sudoSlider.startAuto();
            }
        });

        function animation() {
            $this = $('.slide-content .slide-text')
            $content = $this.find('.heading-content [data-animation ^= "animated"]');
            index = 0;
            if ($content != "undefined" && $content.length != ""){
                $content.css({'opacity': 0});
                $time = setInterval(function () {
                    $this = $content;
                    da = $content.eq(index);
                    ani = da.attr('data-animation');
                    da.addClass(ani);
                    da.css({'opacity': 1});
                    index++;
                    if (index == $this.length) {
                        clearInterval($time);
                    }
                    doAnimations(da);
                }, 400);

            }
        }

        function doAnimations(elems) {
            
          var animEndEv = 'webkitAnimationEnd animationend';
          elems.each(function () {
            var $this = $(this),
                $animationType = $this.data('animation');
            $this.addClass($animationType).one(animEndEv, function () {
              $this.removeClass($animationType);
            });
          });
        }
    };

    return {
        init: function(selector) {
            var options = homecarouselconfig;
            console.log(homecarouselconfig);
            homecarousel = new Carousel(selector, options);
        },

        onYouTubeIframeAPIReady: () => {
            homecarousel.initYoutubePlayer();
        }
    }
})


function onYouTubeIframeAPIReady() {
    require(['theme_enlight/homecarousel'], (car) => {
        car.onYouTubeIframeAPIReady();
    })
}