<?php 

namespace theme_enlight\output\core;

use moodle_url;
use lang_string;
use html_writer;
use core_course_category;
use coursecat_helper;
use stdClass;

class course_renderer extends \core_course_renderer {

    /**
     * Renderer function for override the frontpage categories list
     * @return string(html)
     */
    public function popular_courses() {
        global $CFG, $OUTPUT, $PAGE;
        $popularCourse_status = theme_enlight_get_setting('popularCourse_status');
        $popularCourse_type = theme_enlight_get_setting('popularCourse_type');
        $popularCourse_id = theme_enlight_get_setting('popularCourse_id');
        $headingStatus = "";
        if ($popularCourse_status != 1) {
            return '';
        }
        $popularcontent = '';
        if ($popularCourse_type == 1 ) {
            $pcourses = $this->course_insights_home(1);

            if (empty($pcourses)) {
                return false;
            }
            $astu = array();
            foreach ($pcourses as $pcourse) {
                $rcourseids[] = $pcourse['cid'];
                $astu[$pcourse['cid']] = $pcourse['students'];
            }
        } else if ($popularCourse_type == 2 ) {

            $pcourses = explode(',', $popularCourse_id);

            $rcourseids = array_filter($pcourses, 'strlen');

            $rcourseids = $this->check_course_id($rcourseids);
            
        } else {
            $rcourseids = "";
        }
        if (empty($rcourseids)) {
            return '';
        }

        $pcourseids = array_chunk($rcourseids, 4);
        $totalpcourse = count($pcourseids);
        $classes = theme_enlight_block_backgroundclass('popularcoursesbg_type');
        $popularheader = '<div class="frontpage-custom-blocks popular-courses-block '.$classes.'" id="Popular-Courses">
                              <div class="bgtrans-overlay"><div>&nbsp;</div></div>
                             <div class="container-fluid">
                              <div class="titlebar">
                                 <h2 class="pull-left"><i class="fa fa-star"></i>'
             .get_string('popularcourses', 'theme_enlight').'</a></h2>
                               <div class="clearfix"></div>
                              </div>
                              <div class="row">
                            <div class="popular_courses col-md-12 " data-crow="'.$totalpcourse.'">';

        $popularfooter = '</div>
                            </div>
                             </div>
                            </div>';
        
      
        if (!empty($pcourseids)) {

            foreach ($pcourseids as $courseids) {

                $rowcontent = '';
              /*  $rowcontent = '<div>';*/
                $cnt = 0;

                foreach ($courseids as $courseid) { 

                    if (!empty($courseid)) {
                        $cnt++;
                        $course = $this->get_course($courseid);

                        if (!empty($course)) {
                            $headingStatus = true;
                            $noimgurl = $OUTPUT->image_url('no-image', 'theme');
                            $courseurl = new moodle_url('/course/view.php', array('id' => $courseid ));

                            if ($course instanceof stdClass) {

                                $course = new \core_course_list_element($course);

                            }

                            $imgurl = '';

                            $summary = theme_enlight_strip_html_tags($course->summary);
                            $summary = theme_enlight_course_trim_char($summary, 75);
                            $context = \context_course::instance($course->id);
                            $nostudents = count_role_users(5, $context);
                       
                            foreach ($course->get_course_overviewfiles() as $file) {
                                $isimage = $file->is_valid_image();
                                $imgurl = file_encode_url("$CFG->wwwroot/pluginfile.php",
                                    '/'. $file->get_contextid(). '/'. $file->get_component(). '/'.
                                    $file->get_filearea(). $file->get_filepath(). $file->get_filename(), !$isimage);
                                if (!$isimage) {
                                    $imgurl = $noimgurl;
                                }
                            }

                            if (empty($imgurl)) {
                                $imgurl = $noimgurl;
                            }

                            $coursehtml = ' <div class="course-item">
                                           <div class="wrapper">
                                                <div class="thumb"><a href="'.$courseurl.'"><img src="'.
                            $imgurl.'" width="180" height="180" alt="'.$course->get_formatted_name().'"></a></div>
                                <h6 class="title-text"><a href="'.$courseurl.'">'.$course->get_formatted_name().'</a></h6>';
                            $coursedesc = '';


                            if($summary) {         
                                $coursedesc  ='<div class="info">
                                                <p>'.$summary.'</p>
                                              </div> ';
                            }

                            $footer =  '</div></div>';
                            $coursehtml .= $coursedesc.$footer;
                            $rowcontent .= $coursehtml;

                        }
                    }
                }
             /*   $rowcontent .= '</div>';*/
                $popularcontent .= $rowcontent;
            }
        }

        if (empty($courseids) || $headingStatus != true || $popularcontent == "" && $popularCourse_type == 2) {

            return "";

        }
        $this->include_frontslide_js('popularcourses');
        $popularcourses = $popularheader.$popularcontent.$popularfooter;
        /* Display the popular courses in Home page */
        return $popularcourses;
    }



    /**
     * Frontpage categories list.
     * @return string categories html.
     */
    public function frontpage_categories_list() {

        global $CFG, $PAGE, $OUTPUT;
        $catcontent = '';
        $i = '0';
        $displayOption = theme_enlight_get_setting('categories_displaytype');

        if ($displayOption == '0') {

            $content = html_writer::start_tag('div', array('class' => 'container'));
            $content .= html_writer::tag('h2', get_string('categories'));
            $content .= parent::frontpage_categories_list();
            $content .= html_writer::end_tag('div');
            return $content;
        }

        $tree = core_course_category::top();

        if (!$tree->get_children_count()) {

            return '';
        }

        $chelper = new coursecat_helper();
        $chelper->set_subcat_depth($CFG->maxcategorydepth)->
                set_show_courses(self::COURSECAT_SHOW_COURSES_COUNT)->
                set_categories_display_options(array(
                    'limit' => $CFG->coursesperpage,
                    'viewmoreurl' => new moodle_url('/course/index.php',
                            array('browse' => 'categories', 'page' => 1))
                ))->
                set_attributes(array('class' => 'frontpage-category-names'));
        $categories = $tree->get_children($chelper->get_categories_display_options());

        foreach ($categories as $category) {

        }

        $rcoursecats = $this->get_categories();
        $noimgurl = $OUTPUT->image_url('no-image', 'theme');
        $acoursecats = array_chunk($rcoursecats, 4, true);
        $tcount = count($acoursecats);
        $catheader = "";
        $catheader .= html_writer::tag('div', "<div></div>", array('class' => 'bgtrans-overlay'));
        $catheader .= '<div class="frontpage-custom-blocks categories-block" id="Listcategories">';
        $catheader .= html_writer::start_tag('div', array( 'class' => 'container-fluid' ) );
        $catheader .= html_writer::start_tag('div', array('class' => 'titlebar' ));
        $catheader .= html_writer::tag('h2', get_string('categories'));
        $sliderClass = 'list_categories';
        $catheader .= '
        <div class="row">
        <div class="col-md-12 '.$sliderClass.'" data-crow="'.$tcount.'">';
        $catfooter = '</div></div> </div></div>';
        if (!empty($acoursecats)) {
            foreach ($acoursecats as $coursecats) {
                $rowcontent = '';
                foreach ($coursecats as $key => $value) {
                    $imgname = 'categoryimg'.$key;
                    $imgurl = $PAGE->theme->setting_file_url($imgname, $imgname);
                    $imgurl = empty($imgurl) ? $noimgurl : $imgurl;
                    $caturl = new moodle_url('/course/index.php', array('categoryid' => $key));
                    $cathtml = '<div class="wrapper">
                                        <div class="thumb"><a href="'.$caturl.'"><img src="'.$imgurl.'" width="180" height="180" alt=""></a></div>
                                      <div class="info">
                                        <h6 class="title-text"><a href="'.$caturl.'">'.format_string($value).'</a></h6>
                                      </div>
                                    </div>';
                    $rowcontent .= $cathtml;
                }
                $i++;
                $rowcontent .= ($displayOption != '1' || ($displayOption == "1" && $tcount <= 1)) ? html_writer::div('',  'clearfix' ) : '';
                $catcontent .= $rowcontent;
            }
        }
        $catfooter .= "</div>";
        $catcourses = $catheader.$catcontent.$catfooter;
        $this->include_frontslide_js('categorynews');
        return $catcourses;
    }

    /**
     * Returns HTML to print list of available courses for the frontpage
     *
     * @return string
     */
    function frontpage_available_courses() {

        global $CFG;

        $displayOption = theme_enlight_get_setting('availablecourse_displaytype');

        if ($displayOption == '0') {

            $content = html_writer::start_tag('div', array('class' => 'container'));  
            $content .= parent::frontpage_available_courses();
            $content .= html_writer::end_tag('div');

            return $content;
        }

        $chelper = new \coursecat_helper();
        $chelper->set_show_courses(self::COURSECAT_SHOW_COURSES_EXPANDED)->
                set_courses_display_options(array(
                    'recursive' => true,
                    'limit' => $CFG->frontpagecourselimit,
                    'viewmoreurl' => new moodle_url('/course/index.php'),
                    'viewmoretext' => new lang_string('fulllistofcourses')));

        $chelper->set_attributes(array('class' => 'frontpage-course-list-all'));
        $courses = \core_course_category::top()->get_courses($chelper->get_courses_display_options());
        $totalcount = \core_course_category::top()->get_courses_count($chelper->get_courses_display_options());
        if (!$totalcount && !$this->page->user_is_editing() && has_capability('moodle/course:create', \context_system::instance())) {
            // Print link to create a new course, for the 1st available category.
            return $this->add_new_course_button();
        }

        return $this->available_courses($chelper, $courses, $totalcount);    
    }

    function available_courses(\coursecat_helper $chelper, $courses, $totalcount = null) {

        if (!empty($courses)) {
            $data = [];
            $attributes = $chelper->get_and_erase_attributes('courses');
            $content = \html_writer::start_tag('div', $attributes);

            foreach ($courses as $course) {
                $classes = '';
                $data[] = $this->available_coursebox($chelper, $course, $classes);
            }
            $totalcourse = count($data);

            $category_url = new moodle_url('course/index.php');
            $enableteacher = theme_enlight_get_setting('avilablecourse_teacherinfo');
            $enableicon  = theme_enlight_get_setting('avilablecourseinfo_displaytype');
            $countcourse = count($data);
            $enable_arrow = ($countcourse > 3) ? true : false;
            $content .= $this->render_template('availablecourses', ['courses' => $data,'category_url'=>$category_url,'enableteachers'=>$enableteacher ,'totalavacount' => $totalcourse,'enableicon' => $enableicon,'enable_arrow' => $enable_arrow]);
            $content .= \html_writer::end_tag('div');
            $this->include_frontslide_js('availablecourses');
            return $content;
        }
    }

    public function frontpage_my_courses() {
        global $USER, $CFG, $DB;

        if (!isloggedin() or isguestuser()) {
            return '';
        }

        $displayOption = theme_enlight_get_setting('mycourse_displaytype');
        if ($displayOption == '0') {

            $content = html_writer::start_tag('div', array('class' => 'container'));
            $content .= html_writer::tag('h2', get_string('mycourses'));
            $coursehtml = parent::frontpage_my_courses();
            if ($coursehtml == '') {
                $coursehtml = "<div id='mycourses'><style> #frontpage-course-list.frontpage-mycourse-list { display:none;} </style></div>";
            }
            $content .= $coursehtml;
            $content .= html_writer::end_tag('div');

            return $content;
        }

        $courses  = enrol_get_my_courses('summary, summaryformat');
        $rhosts   = array();
        $rcourses = array();

        if (!empty($CFG->mnet_dispatcher_mode) && $CFG->mnet_dispatcher_mode==='strict') {

            $rcourses = get_my_remotecourses($USER->id);
            $rhosts   = get_my_remotehosts();
        
        }

        $mycourses = '';

        if (!empty($courses) || !empty($rcourses) || !empty($rhosts)) {
   
            $chelper = new \coursecat_helper();
            $totalcount = count($courses);
            if (count($courses) > $CFG->frontpagecourselimit) {
                // There are more enrolled courses than we can display, display link to 'My courses'.
                $courses = array_slice($courses, 0, $CFG->frontpagecourselimit, true);
                $chelper->set_courses_display_options(array(
                        'viewmoreurl' => new moodle_url('/my/'),
                        'viewmoretext' => new lang_string('mycourses')
                    ));
            } else if (\core_course_category::top()->is_uservisible()) {
                // All enrolled courses are displayed, display link to 'All courses' if there are more courses in system.
                $chelper->set_courses_display_options(array(
                        'viewmoreurl' => new moodle_url('/course/index.php'),
                        'viewmoretext' => new lang_string('fulllistofcourses')
                    ));
                $totalcount = $DB->count_records('course') - 1;
            }
            $chelper->set_show_courses(self::COURSECAT_SHOW_COURSES_EXPANDED)->
                    set_attributes(array('class' => 'frontpage-course-list-enrolled'));
            
            foreach ($courses as $course) {  

                $course = new \core_course_list_element($course);
                $course_details = $this->available_coursebox($chelper, $course, $totalcount);
                $course_details['progress'] = $this->get_user_course_progress($course, $USER->id);
                $gradeurl =  new moodle_url('/course/user.php', array('id'=>$course->id,'user'=>$USER->id,'mode'=>'grade'));
                $course_details['grade_link'] = $gradeurl->out(false);
                $badgeurl = new moodle_url('/badges/view.php', array('type' => 2, 'id' => $course->id));
                $course_details['badge_link'] = $badgeurl->out(false);
                $course_details['images'] = reset($course_details['images']);
                $courselist[] = $course_details;

            }
            $totalcount = count($courselist);
            $enable_arrow = ($totalcount > 3) ? true : false;
            $this->include_frontslide_js('mycourses');
            $mycourses = $this->render_template('mycourses', ['courses' => $courselist,'totmycount' => $totalcount,'enable_arrow' => $enable_arrow]);

        }
        return $mycourses;
    }

    function get_courseimage($course) {
        global $CFG, $OUTPUT;
        if (!empty($course)) {

            $imgurl = $OUTPUT->image_url('no-image', 'theme');
            $i = 0;

            foreach ($course->get_course_overviewfiles() as $file) {

                $isimage = $file->is_valid_image();
                if ($isimage) {                 

                    $imgurl = file_encode_url("$CFG->wwwroot/pluginfile.php",
                    '/'. $file->get_contextid(). '/'. $file->get_component(). '/'.
                    $file->get_filearea(). $file->get_filepath(). $file->get_filename(), !$isimage);
                    $data[] = ['imgurl' => $imgurl, 'target' => $i ];
                    $i++;

                }
            }
            return (empty($data)) ? array(['imgurl' => $imgurl,'active' => true] ) : $data;

        }
    }

    function available_coursebox(\coursecat_helper $chelper, $course, $additionalclasses = '') {
        global $CFG, $USER, $DB;
        $classes = trim('coursebox clearfix '. $additionalclasses);
        $content = \html_writer::start_tag('div', array(
            'class' => $classes,
            'data-courseid' => $course->id,
            'data-type' => self::COURSECAT_TYPE_COURSE,
        ));
        $categorylist = $DB->get_record('course_categories', array('id' => $course->category));
        if ($categorylist) {
            if (\core_course_category::can_view_category($categorylist)) {
                $category = \core_course_category::get($course->category);
                $data['category'] = format_string($category->name);
                $data['category_link'] = new \moodle_url('/course/index.php', array('categoryid' => $category->id));
            }
        }
        $coursename = $chelper->get_course_formatted_name($course);
        $data['name'] =  $coursename;
        $data['summary'] = $chelper->get_course_formatted_summary($course);
        $coursenamelink = \html_writer::link(new moodle_url('/course/view.php', array('id' => $course->id)),
                                            $coursename, array('class' => $course->visible ? '' : ' dimmed'));
        $summary = $course->summary;
        $data['description'] = $summary;
        $stats = enlight_get_course_stats($course);


        if($stats){

            $data =  array_merge($stats, $data);
        }
        $data['imgurl'] = '';
        $images = $this->get_courseimage($course);
        $data['images'] = $images;
        $data['countimage'] = count($images);

        $data['link'] = new \moodle_url('/course/view.php', array('id' => $course->id));
        $data['coursename'] = $coursenamelink;
        $data['startdate'] = userdate($course->startdate, '%d/%m/%Y, %I:%M %p', '', false);
        $data['enddate'] = userdate($course->enddate,'%d/%m/%Y, %I:%M %p', '', false);
        $data['enrolicons'] = $this->get_course_icons($course);
        $data['teachers'] = $this->get_course_teachers($course);
        $data['courseid'] = $course->id;

        $context = \context_course::instance($course->id);
        $enrolled = is_enrolled($context, $USER->id, '', true);
        if ($enrolled) {

            $enableEnroll = '';
            $view = true;
        } else {
            $enableEnroll = true;
            $view = '';
        }
        $data['enableEnroll'] = $enableEnroll;
        $data['view'] = $view;
        $enableindicators = '';
        if(count($images) > 1){

            $enableindicators = true;
        }

        $data['enableindicators'] = $enableindicators;
        return $data;
    }

    function get_course_icons($course) {
        if ($icons = enrol_get_course_info_icons($course)) {
            $content = html_writer::start_tag('div', array('class' => 'enrolmenticons'));
            foreach ($icons as $pix_icon) {
                $content .= $this->render($pix_icon);
            }
            $content .= html_writer::end_tag('div'); // .enrolmenticons
            return $content;
        }

    }

    function get_course_teachers($course) {
        global $PAGE;
        // Display course contacts. See core_course_list_element::get_course_contacts().
        if ($course->has_course_contacts()) {
            $content = html_writer::start_tag('ul', array('class' => 'teachers'));
            foreach ($course->get_course_contacts() as $coursecontact) {
               
                $rolenames = array_map(function ($role) {

                    
                    return $role->displayname;
                }, $coursecontact['roles']);
                $user_object = \core_user::get_user($coursecontact['user']->id);
                if (!empty($user_object)) {
                    $user_picture = new \user_picture(\core_user::get_user($coursecontact['user']->id) );
                    $userimage = html_writer::empty_tag('img', array('src' => $user_picture->get_url($PAGE)) );
                }
                $name = html_writer::link(new moodle_url('/user/view.php',
                                array('id' => $coursecontact['user']->id, 'course' => SITEID)),
                            $userimage);
                $content .= html_writer::tag('li', $name,array('title'=> $coursecontact['username']));
            }
            $content .= html_writer::end_tag('ul'); // .teachers
         /*   print_object($content);
            exit();*/
            return $content;
        }
    }

    /**
     * Returns HTML to print list of courses user is enrolled to for the frontpage
     *
     * Also lists remote courses or remote hosts if MNET authorisation is used
     *
     * @return string
     */
    

    function get_user_course_progress($course, $userid) {
        $course_progress = \core_completion\progress::get_course_progress_percentage($course, $userid);
        return (int) $course_progress;
    }

     /**
     * Select the category page layout.
     * @param  $category
     * @return string $ouput
     */
    public function course_category($category) {
        global $CFG, $OUTPUT;
        // global $CFG;
        $usertop = core_course_category::user_top();
        if (empty($category)) {
            $coursecat = $usertop;
        } else if (is_object($category) && $category instanceof core_course_category) {
            $coursecat = $category;
        } else {
            $categoryid = is_object($category) ? $category->id : $category;
            $coursecat = core_course_category::get($categoryid);
        }
        $site = get_site();
        $output = '';

        if ($coursecat->can_create_course() || $coursecat->has_manage_capability()) {
            // Add 'Manage' button if user has permissions to edit this category.
            $managebutton = $this->single_button(new moodle_url('/course/management.php',
                array('categoryid' => $coursecat->id)), get_string('managecourses'), 'get');
            $this->page->set_button($managebutton);
        }

        if (core_course_category::is_simple_site()) {
            // There is only one category in the system, do not display link to it.
            $strfulllistofcourses = get_string('fulllistofcourses');
            $this->page->set_title("$site->shortname: $strfulllistofcourses");
        } else if (!$coursecat->id || !$coursecat->is_uservisible()) {
            $strcategories = get_string('categories');
            $this->page->set_title("$site->shortname: $strcategories");
        } else {
            $strfulllistofcourses = get_string('fulllistofcourses');
            $this->page->set_title("$site->shortname: $strfulllistofcourses");

        }
        $categorieslist = core_course_category::make_categories_list();
        if (count($categorieslist) > 1) {
            $categorieslist[0] = get_string('categories');
            $output .= html_writer::start_tag('div', array('class' => 'categorypicker'));
            $select = new \single_select(new moodle_url('/course/index.php'), 'categoryid',
                    $categorieslist, $coursecat->id, null, 'switchcategory');
            $output .= $this->render($select);
            $output .= html_writer::end_tag('div'); // .categorypicker
        }
        $courselisting['categorypicker'] = $output;

        $chelper = new coursecat_helper();
        if ($description = $chelper->get_category_formatted_description($coursecat)) {
           $courselisting['categorydescription'] = $this->box($description, array('class' => 'generalbox info'));
        }
         // Prepare parameters for courses and categories lists in the tree
        $chelper->set_show_courses(self::COURSECAT_SHOW_COURSES_AUTO)
                ->set_attributes(array('class' => 'category-browse category-browse-'.$coursecat->id));
        $courselisting['viewmoretext'] = new lang_string('viewallcourses');

        $courselisting['searchform'] = $this->course_search_form();

        // Bottom add new course button.
        $output = $this->container_start('buttons');
        if ($coursecat->is_uservisible()) {
            $context = get_category_or_system_context($coursecat->id);
            if (has_capability('moodle/course:create', $context)) {
                // Print link to create a new course, for the 1st available category.
                if ($coursecat->id) {
                    $url = new moodle_url('/course/edit.php', array('category' => $coursecat->id, 'returnto' => 'category'));
                } else {
                    $url = new moodle_url('/course/edit.php',
                        array('category' => $CFG->defaultrequestcategory, 'returnto' => 'topcat'));
                }
                $output .= $this->single_button($url, get_string('addnewcourse'), 'get');
            }
            ob_start();
            print_course_request_buttons($context);
            $output .= ob_get_contents();
            ob_end_clean();
        }
        $output .= $this->container_end();

        $courselisting['bottombuttons'] = $output;

        // Custom function starts here.
        $clayout = get_config('theme_enlight', 'courselayout');
        $courselisting['pagebuttons'] = $this->page->button;
        

        if ($clayout == "layout1") {
            
            $courselisting['layout1'] = true;  

        } else if ($clayout == "layout2") {

            $courselisting['layout2'] = true;  
            $coursedisplayoptions = array();
            $catdisplayoptions = array();
            $browse = optional_param('browse', null, PARAM_ALPHA);
            $perpage = optional_param('perpage', $CFG->coursesperpage, PARAM_INT);
            $page = optional_param('page', 0, PARAM_INT);
            $baseurl = new moodle_url('/course/index.php');
            if ($coursecat->id) {
                $baseurl->param('categoryid', $coursecat->id);
            }
            if ($perpage != $CFG->coursesperpage) {
                $baseurl->param('perpage', $perpage);
            }
            $coursedisplayoptions['limit'] = $perpage;
            $catdisplayoptions['limit'] = $perpage;
            $coursedisplayoptions['offset'] = $page * $perpage;  
            $coursedisplayoptions['paginationurl'] = new moodle_url($baseurl);  

            if ($browse === 'courses' || !$coursecat->get_children_count()) {
                $coursedisplayoptions['paginationurl'] = new moodle_url($baseurl, array('browse' => 'courses'));
                $catdisplayoptions['nodisplay'] = true;
                $catdisplayoptions['viewmoreurl'] = new moodle_url($baseurl, array('browse' => 'categories'));
                $catdisplayoptions['viewmoretext'] = new lang_string('viewallsubcategories');
            } else if ( $browse === 'categories' || !$coursecat->get_courses_count()) {
                $coursedisplayoptions['nodisplay'] = true;
                $catdisplayoptions['offset'] = $page * $perpage;
                $catdisplayoptions['paginationurl'] = new moodle_url($baseurl, array('browse' => 'categories'));
                $coursedisplayoptions['viewmoreurl'] = new moodle_url($baseurl, array('browse' => 'courses'));
                $coursedisplayoptions['viewmoretext'] = new lang_string('viewallcourses');
                $coursedisplayoptions['recursive'] = true;
                $coursedisplayoptions['paginationurl'] = new moodle_url($baseurl);

            } else {
                // we have a category that has both subcategories and courses, display pagination separately
                $coursedisplayoptions['viewmoreurl'] = new moodle_url($baseurl, array('browse' => 'courses', 'page' => 1));
                $catdisplayoptions['viewmoreurl'] = new moodle_url($baseurl, array('browse' => 'categories', 'page' => 1)); 
                $coursedisplayoptions['recursive'] = true;
            }

            if ( !(isset($categoryid) && $categoryid) ) {
                $totalcount = core_course_category::get(0)->get_courses_count(array('recursive' => true));
            }

            $chelper->set_courses_display_options($coursedisplayoptions)->set_categories_display_options($catdisplayoptions);
            $courses = $coursecat->get_courses($chelper->get_courses_display_options());
            $totalcount = (isset($totalcount)) ?  $totalcount :  $coursecat->get_courses_count();

            $courselisting['courses'] = $this->course_listing_coursedetails($chelper, $coursecat, $courses);

            // Generate the pagination url.
            $paginationurl = $chelper->get_courses_display_option('paginationurl');
            $perpage = $chelper->get_courses_display_option('limit', $CFG->coursesperpage);
            $page = $chelper->get_courses_display_option('offset') / $perpage;
            $pagingbar = $this->paging_bar($totalcount, $page, $perpage, $paginationurl->out(false, array('perpage' => $perpage)));

            $courselisting['pagingbar'] = $pagingbar;

        } else {
            return parent::course_category($category);
        }
        // Browse one selected category.
        if (isset($categoryid) && $categoryid) {
            $courselisting['listcategory'] = false;
            $courselisting['listcourses'] = true;
            $courselisting['showcategorypicker'] = true;
            $courselisting['categories'] = $this->course_listing_page($chelper, $coursecat, [$categoryid => $coursecat->get_formatted_name() ] );
        } else {
            // List all the categories in slider view layout-1.
            $courselisting['listcategory'] = true;
            $courselisting['categories'] = $this->course_listing_page($chelper, $coursecat);
        }
        return $OUTPUT->render_from_template('theme_enlight/courselisting', $courselisting);
    }

    /* Get the courses details for course lising page - layout 2 */
    public function course_listing_coursedetails($chelper, $coursecat, $courses) {

        if (empty($courses)) {
            return [];
        }
        $courselist = [];
        foreach ($courses as $course) {
            $courselist[] = $this->available_coursebox($chelper, $course);
        }
        return $courselist;
    }


    public function course_listing_page($chelper, $coursecat, $categories=array()) {
        global $DB;
        if (empty($categories)) {
            $categories = $coursecat->make_categories_list();
        }

        $baseurl = new moodle_url('/course/index.php');
        $data = [];

        foreach ($categories as $categoryid => $categoryname) {
            $cateurl = $baseurl;
            $cateurl->param('categoryid', $categoryid );
            $categorylist = [];
            $categoryinfo = $DB->get_record('course_categories', array('id' => $categoryid));
            if ($categoryinfo) {
                // Get the category from the core_course_category object.
                if (!$coursecat->can_view_category($categoryinfo)) {
                    continue;
                }
            }
            $category  = $coursecat->get($categoryid);
            // category formated name
            $categorylist['categoryname'] = $category->get_formatted_name();
            // Returns the category path with it's parent.
            $parents = explode('/', $category->get_nested_name(false));
            // Remove the category name from the parent category path.
            array_pop($parents);
            $categorylist['parentcategory'] = implode('/', $parents) ;
            $categorylist['cateviewurl'] = $cateurl;
            $categorylist['categoryid'] = $categoryid;
            $courses = $category->get_courses();
            $fetchcourse = array();
            foreach ($courses as $key => $course) {
                $fetchcourse[]= $this->available_coursebox($chelper, $course);
            }
            //remove image above 1
            $course = array();
            foreach ($fetchcourse as $list){
                $course[] =$list;
            }

            $enablecourse = '';

            if(count($course) > 3){

                $enablecourse = true;
            } else{

                $enablecourse = false;
            }
            $categorylist['enablecourse'] = $enablecourse;
            $categorylist['courses'] = $course;

            $data[] = $categorylist;

        }
        return $data;
    }


    public function render_template($template, $data) {
        global $OUTPUT;
        $data[$template] = 1;
        $data['ouput'] = $OUTPUT;
        return $OUTPUT->render_from_template('theme_enlight/course_blocks', $data);
    }

     public function get_categories() {
        global $DB;
        $categories = array();
        $results = $DB->get_records('course_categories', array('parent'  => '0', 'visible' => '1', 'depth' => '1'));
        if (!empty($results)) {
            foreach ($results as $value) {
                $categories[$value->id] = $value->name;
            }
        }
        return $categories;
    }
    public function course_search_form1($value = '', $format = 'plain') {

        static $count = 0;
        $formid = 'coursesearch';
        if ((++$count) > 1) {
            $formid .= $count;
        }

        switch ($format) {
            case 'navbar' :
                $formid = 'coursesearchnavbar';
                $inputid = 'navsearchbox';
                $inputsize = 20;
                break;
            case 'short' :
                $inputid = 'shortsearchbox';
                $inputsize = 12;
                break;
            default :
                $inputid = 'coursesearchbox';
                $inputsize = 30;
        }

        global $PAGE;
      
        $strsearchcourses = get_string("searchcourses");
        $searchurl = new moodle_url('/course/search.php');
        $output = html_writer::start_tag('div', array('class' => 'search-block1'));
       
        $output .= html_writer::start_tag('div', array('class' => 'container-fluid'));

       
        $search = get_string ('search');
        $output .= html_writer::start_tag('form', array('id' => $formid, 'action' => $searchurl, 'method' => 'get'));
        $output .= html_writer::start_tag('fieldset', array('class' => 'coursesearchbox invisiblefieldset'));
        $output .= html_writer::tag('label', $strsearchcourses.': ', array('for' => $inputid));
       
        $output .= html_writer::empty_tag('input', array('type' => 'text', 'id' => $inputid,
            'size' => $inputsize, 'name' => 'search', 'placeholder' => get_string('typesearch', 'theme_enlight'), 'value' => s($value)));
        $output .= html_writer::empty_tag('input', array('type' => 'submit',
            'value' => '&#xf002;')); 
        $output .= html_writer::end_tag('fieldset');
        $output .= html_writer::end_tag('form');
        $output .= html_writer::end_tag('div');
        $output .= html_writer::end_tag('div');

        return $output;
    }

    public function course_insights_home ($f = 0) {
        
        $courses = 0;
        $teachers = 0;
        $students = 0;
        $acourses = array();
        $astu = array();
        $atea = array();
        /* Get all courses */
        if ($ccc = get_courses('all', 'c.sortorder ASC', 'c.id,c.shortname,c.visible')) {
            foreach ($ccc as $cc) {
                if ($cc->visible == "0" || $cc->id == "1") {
                    continue;
                }
                $courses++;
                
                $context = \context_course::instance($cc->id);

                /* count no of teachers */
                $noteachers = count_role_users(3, $context);
                $teachers = $teachers + $noteachers;
                /* count no of students */
                $nostudents = count_role_users(5, $context);
                $students = $students + $nostudents;
                $acourses[] = array('cid' => $cc->id, 'students' => $nostudents,
                     'teachers' => $noteachers
                );
                $astu[] = $nostudents;
                $atea[] = $noteachers;
            }
        }
        if ($f == "1") {
            array_multisort($astu, SORT_DESC, $atea, SORT_DESC, $acourses);
            $acourses = array_slice($acourses, 0, 24, true);
            return $acourses;
        }
        return compact('courses', 'teachers', 'students');
    }
    public function get_course($courseid, $clone = true) {
        global $DB, $COURSE, $SITE;
        if (!empty($COURSE->id) && $COURSE->id == $courseid) {
            return $clone ? clone($COURSE) : $COURSE;
        } else if (!empty($SITE->id) && $SITE->id == $courseid) {
            return $clone ? clone($SITE) : $SITE;
        } else {
            $content = $DB->get_record('course', array('id' => $courseid), '*', IGNORE_MISSING);
            if (!empty($content)) {
                return $content;
            }
        }
    }
    public function check_course_id($rcourseids) {
        if (!empty($rcourseids)) {
            foreach ($rcourseids as $key => $rcourseid ) {
                if (empty($rcourseid) && !is_integer($rcourseid)) {
                    unset($rcourseids[$key]);
                }
            }
        }
        return $rcourseids;
    }

     /**
     * Call the frontpage slider js.
     * @param string $blockid
     * @return void
     */
    public function include_frontslide_js($blockid) {
        $this->page->requires->js_call_amd('theme_enlight/front-sliders', $blockid, []);
    }

     public function frontpage() {
        global $CFG, $SITE;

        $themeblocks = new \theme_enlight\customblocks();
        $beforelayout = [FRONTPAGEPOPULARCOURSES, FRONTPAGEFEATURES];
        $afterlayout = [FRONTPAGECOUNTERS, FRONTPAGEOURTEAM, FRONTPAGEMARKETING1, FRONTPAGETESTIMONIALS, FRONTPAGEMARKETING2, FRONTPAGEPARTNERS];
        $output = '';
        if (isloggedin() and !isguestuser() and isset($CFG->frontpageloggedin)) {
            $frontpagelayout = explode(",", $CFG->frontpageloggedin);
        } else {
            $frontpagelayout =  explode(",", $CFG->frontpage);
        }
        $enlightfrontpagelayout = array_merge($beforelayout, $frontpagelayout, $afterlayout);
        foreach ($enlightfrontpagelayout as $v) {
            switch ($v) {
                // Display the main part of the front page.
                case FRONTPAGENEWS:
                    if ($SITE->newsitems) {
                        // Print forums only when needed.
                        require_once($CFG->dirroot .'/mod/forum/lib.php');
                        if (($newsforum = forum_get_course_forum($SITE->id, 'news')) &&
                                ($forumcontents = $this->frontpage_news($newsforum))) {
                            $newsforumcm = get_fast_modinfo($SITE)->instances['forum'][$newsforum->id];
                            $sitenewstype = theme_enlight_get_setting('sitenewsType');

                            $header = get_string('siteannouncements','theme_enlight');
                            if($sitenewstype == 1){
                                $output .= $this->frontpage_part('skipsitenews', 'site-news-forum',
                                    $header, $forumcontents,'site-news-theme-type');
                            }
                            else{
                                $output .= parent::frontpage_part('skipsitenews', 'site-news-forum',
                                $header, $forumcontents);
                            }

                        }
                    }
                    break;

                case FRONTPAGEENROLLEDCOURSELIST:
                    $mycourseshtml = $this->frontpage_my_courses();
                    $classes = theme_enlight_block_backgroundclass('enrolledcoursesbg_type');
                    $type = theme_enlight_get_setting('mycourse_displaytype');
                    $classes = ($type) ? $classes : '';
                    if (!empty($mycourseshtml)) {
                        $output .= $this->frontpage_part('skipmycourses', 'frontpage-course-list',
                            get_string('mycourses'), $mycourseshtml, $classes);
                    }
                    break;

                case FRONTPAGEALLCOURSELIST:
                    $classes = theme_enlight_block_backgroundclass('availablecoursesbg_type');
                    $availablecourseshtml = $this->frontpage_available_courses();
                    $type = theme_enlight_get_setting('availablecourse_displaytype');
                    if($type){
                    $output .= $this->frontpage_part('skipavailablecourses', 'frontpage-available-course-list',
                        get_string('availablecourses'), $availablecourseshtml, $classes);
                    }
                    else{
                        $output .= $this->frontpage_part('skipavailablecourses', 'frontpage-available-course-list',
                        get_string('availablecourses'), $availablecourseshtml, '');
                    }

                    break;

                case FRONTPAGECATEGORYNAMES:
                    $classes = theme_enlight_block_backgroundclass('categoriesbg_type');
                    $type = theme_enlight_get_setting('categories_displaytype');
                    $classes = ($type) ? $classes : '';
                    $output .= $this->frontpage_part('skipcategories', 'frontpage-category-names',
                        get_string('categories'), $this->frontpage_categories_list(), $classes);
                    break;

                case FRONTPAGECATEGORYCOMBO:
                    $output .= $this->frontpage_part('skipcourses', 'frontpage-category-combo',
                        get_string('courses'), $this->frontpage_combo_list());
                    break;

                case FRONTPAGECOURSESEARCH:
                    $output .= $this->box($this->frontpage_course_search('', 'short'), 'mdl-align');
                    break;
                case FRONTPAGEPOPULARCOURSES:
                    $output .= $this->popular_courses();
                    break;
                case FRONTPAGEMARKETING1:
                    $output .= $themeblocks->marketingspot1();
                    break;
                case FRONTPAGEMARKETING2:
                    $output .= $themeblocks->marketingspot2();
                    break;
                case FRONTPAGEFEATURES:
                    $output .= $themeblocks->sitefeatures();
                    break;
                case FRONTPAGEOURTEAM:
                    $output .= $themeblocks->our_team();
                    break;
                case FRONTPAGETESTIMONIALS:
                    $output .= $themeblocks->testimonials();
                    break;
                case FRONTPAGECOUNTERS:
                    $output .= $themeblocks->counter();
                    break;
                case FRONTPAGEPARTNERS:
                    $output .= $themeblocks->ourpartner();
                    break;

            }
            $output .= '<br />';
        }

        return $output;
    }
     /**
     * Renders part of frontpage with a skip link (i.e. "My courses", "Site news", etc.)
     *
     * @param string $skipdivid
     * @param string $contentsdivid
     * @param string $header Header of the part
     * @param string $contents Contents of the part
     * @return string
     */
    protected function frontpage_part($skipdivid, $contentsdivid, $header, $contents, $classes='') {

            if (strval($contents) === '') {
                return '';
            }
            $output = html_writer::link('#' . $skipdivid,
                get_string('skipa', 'access', \core_text::strtolower(strip_tags($header))),
                array('class' => 'skip-block skip'));

            // Wrap frontpage part in div container.
            $output .= html_writer::start_tag('div', array('id' => $contentsdivid, 'class' => $classes));

            $output .= $this->heading($header);
            $output .= $contents;

            // End frontpage part div container.
            $output .= html_writer::end_tag('div');

            $output .= html_writer::tag('span', '', array('class' => 'skip-block-to', 'id' => $skipdivid));

            return $output;

              
    }

    //front page course search box
    public function frontpage_course_search($value = '', $format = 'plain'){

         static $count = 0;
        $formid = 'coursesearch';
        if ((++$count) > 1) {
            $formid .= $count;
        }

        switch ($format) {
            case 'navbar' :
                $formid = 'coursesearchnavbar';
                $inputid = 'navsearchbox';
                $inputsize = 20;
                break;
            case 'short' :
                $inputid = 'shortsearchbox';
                $inputsize = 12;
                break;
            default :
                $inputid = 'coursesearchbox';
                $inputsize = 30;
        }
        global $PAGE;

        $strsearchcourses = get_string("searchcourses");
        $searchurl = new moodle_url('/course/search.php');

        $classes = theme_enlight_block_backgroundclass('searchcoursesbg_type');

        $output = html_writer::start_tag('div', array('class' => 'search-block'. $classes));
      
        $output .= html_writer::start_tag('div', array('class' => 'bgtrans-overlay')); ///changes//
        $output .= html_writer::end_tag('div'); 
        $output .= html_writer::start_tag('div', array('class' => 'container'));

        if ($PAGE->pagelayout == "frontpage") {
            $output .= html_writer::tag('h2', get_string('search_courses', 'theme_enlight'));
        }
        $search = get_string ('search');
        $output .= html_writer::start_tag('form', array('id' => $formid, 'action' => $searchurl, 'method' => 'get'));
        $output .= html_writer::start_tag('fieldset', array('class' => 'coursesearchbox invisiblefieldset'));
        $output .= html_writer::tag('label', $strsearchcourses.': ', array('for' => $inputid));
        $output .= html_writer::empty_tag('input', array('type' => 'text', 'id' => $inputid,
            'size' => $inputsize, 'name' => 'search', 'placeholder' => get_string('typesearch', 'theme_enlight'), 'value' => s($value)));
        $output .= html_writer::empty_tag('input', array('type' => 'submit',
            'value' => '&#xf002;')); 
        $output .= html_writer::end_tag('fieldset');
        $output .= html_writer::end_tag('form');
        $output .= html_writer::end_tag('div');
        $output .= html_writer::end_tag('div');
       
        return $output;
      
    }
    protected function coursecat_coursebox(coursecat_helper $chelper, $course, $additionalclasses = '') {
        global $CFG;
        if (!isset($this->strings->summary)) {
            $this->strings->summary = get_string('summary');
        }
        if ($chelper->get_show_courses() <= self::COURSECAT_SHOW_COURSES_COUNT) {
            return '';
        }
        if ($course instanceof stdClass) {
            $course = new \core_course_list_element($course);
        }
        $content = '';
        $classes = trim('coursebox clearfix '. $additionalclasses);
        if ($chelper->get_show_courses() >= self::COURSECAT_SHOW_COURSES_EXPANDED) {
            $nametag = 'h3';
        } else {
            $classes .= ' collapsed';
            $nametag = 'div';
        }

        // .coursebox
        $content .= html_writer::start_tag('div', array(
            'class' => $classes,
            'data-courseid' => $course->id,
            'data-type' => self::COURSECAT_TYPE_COURSE,
        ));

        $content .= html_writer::start_tag('div', array('class' => 'info'));

        // course name
        $coursename = $chelper->get_course_formatted_name($course);
        $coursenamelink = html_writer::link(new moodle_url('/course/view.php', array('id' => $course->id)),
                                            $coursename, array('class' => $course->visible ? '' : 'dimmed'));
        $content .= html_writer::tag($nametag, $coursenamelink, array('class' => 'coursename'));
        // If we display course in collapsed form but the course has summary or course contacts, display the link to the info page.
        $content .= html_writer::start_tag('div', array('class' => 'moreinfo'));
        if ($chelper->get_show_courses() < self::COURSECAT_SHOW_COURSES_EXPANDED) {
            if ($course->has_summary() || $course->has_course_contacts() || $course->has_course_overviewfiles()) {
                $url = new moodle_url('/course/info.php', array('id' => $course->id));
                $image = $this->output->pix_icon('i/info', $this->strings->summary);
                $content .= html_writer::link($url, $image, array('title' => $this->strings->summary));
                // Make sure JS file to expand course content is included.
                $this->coursecat_include_js();
            }
        }
        $content .= html_writer::end_tag('div'); // .moreinfo
        $contentimages = $contentfiles = $class = '';
        foreach ($course->get_course_overviewfiles() as $file) {
            $isimage = $file->is_valid_image();
            $url = file_encode_url("$CFG->wwwroot/pluginfile.php",
                    '/'. $file->get_contextid(). '/'. $file->get_component(). '/'.
                    $file->get_filearea(). $file->get_filepath(). $file->get_filename(), !$isimage);
            if ($isimage) {
                $contentimages .= html_writer::tag('div',
                        html_writer::empty_tag('img', array('src' => $url)),
                        array('class' => 'courseimage'));
            } else {
                $image = $this->output->pix_icon(file_file_icon($file, 24), $file->get_filename(), 'moodle');
                $filename = html_writer::tag('span', $image, array('class' => 'fp-icon')).
                        html_writer::tag('span', $file->get_filename(), array('class' => 'fp-filename'));
                $contentfiles .= html_writer::tag('span',
                        html_writer::link($url, $filename),
                        array('class' => 'coursefile fp-filename-icon'));
            }
        }

        if (!$contentimages && !$contentfiles) {
            $class = 'no-image';
        }

        // print enrolmenticons
        if ($icons = enrol_get_course_info_icons($course)) {
            $content .= html_writer::start_tag('div', array('class' => 'enrolmenticons'));
            foreach ($icons as $pix_icon) {
                $content .= $this->render($pix_icon);
            }
            $content .= html_writer::end_tag('div'); // .enrolmenticons
        }

        $content .= html_writer::end_tag('div'); // .info

        $content .= html_writer::start_tag('div', array('class' => 'content '.$class));
        $content .= $this->coursecat_coursebox_content($chelper, $course);
        $content .= html_writer::end_tag('div'); // .content

        $content .= html_writer::end_tag('div'); // .coursebox
        return $content;
    }

    /**
     * Returns HTML to display a tree of subcategories and courses in the given category
     *
     * @param coursecat_helper $chelper various display options
     * @param core_course_category $coursecat top category (this category's name and description will NOT be added to the tree)
     * @return string
     */
    protected function coursecat_tree(coursecat_helper $chelper, $coursecat) {
        // Reset the category expanded flag for this course category tree first.
        $this->categoryexpandedonload = false;
        $categorycontent = $this->coursecat_category_content($chelper, $coursecat, 0);
        if (empty($categorycontent)) {
            return '';
        }

        // Start content generation
        $content = '';
        $attributes = $chelper->get_and_erase_attributes('course_category_tree clearfix');
        $content .= html_writer::start_tag('div', $attributes);

        if ($coursecat->get_children_count()) {
            $classes = array(
                'collapseexpand', 'aabtn'
            );

            $collapsetype = theme_enlight_combolist_type();
            // Check if the category content contains subcategories with children's content loaded.
            if ($this->categoryexpandedonload && !$collapsetype) {
                $classes[] = 'collapse-all';
                $linkname = get_string('collapseall');
            } else {
                $linkname = get_string('expandall');
            }

            // echo $this->categoryexpandedonload; exit;
            // Only show the collapse/expand if there are children to expand.
            $content .= html_writer::start_tag('div', array('class' => 'collapsible-actions'));
            $content .= html_writer::link('#', $linkname, array('class' => implode(' ', $classes)));
            $content .= html_writer::end_tag('div');
            $this->page->requires->strings_for_js(array('collapseall', 'expandall'), 'moodle');
        }

        $content .= html_writer::tag('div', $categorycontent, array('class' => 'content'));

        $content .= html_writer::end_tag('div'); // .course_category_tree

        // $this->page->requires->yui_module('moodle-course-categoryexpander',
        //         'Y.Moodle.course.categoryexpander.collapse_all');


        return $content;
    }

    /**
     * Returns HTML to display a course category as a part of a tree
     *
     * This is an internal function, to display a particular category and all its contents
     * use {@link core_course_renderer::course_category()}
     *
     * @param coursecat_helper $chelper various display options
     * @param core_course_category $coursecat
     * @param int $depth depth of this category in the current tree
     * @return string
     */
    protected function coursecat_category(coursecat_helper $chelper, $coursecat, $depth) {
        // open category tag
        $classes = array('category');
        if (empty($coursecat->visible)) {
            $classes[] = 'dimmed_category';
        }
        if ($chelper->get_subcat_depth() > 0 && $depth >= $chelper->get_subcat_depth()) {
            // do not load content
            $categorycontent = '';
            $classes[] = 'notloaded';
            if ($coursecat->get_children_count() ||
                    ($chelper->get_show_courses() >= self::COURSECAT_SHOW_COURSES_COLLAPSED && $coursecat->get_courses_count())) {
                $classes[] = 'with_children';
                $classes[] = 'collapsed';
            }
        } else {
            // load category content
            $categorycontent = $this->coursecat_category_content($chelper, $coursecat, $depth);
            $classes[] = 'loaded';
            if (!empty($categorycontent)) {
                $classes[] = 'with_children';
                // Category content loaded with children.
                $this->categoryexpandedonload = true;
            }
        }

        if (theme_enlight_combolist_type()) {
            $classes[] = 'collapsed';
        }

        // Make sure JS file to expand category content is included.
        $this->coursecat_include_js();

        $content = html_writer::start_tag('div', array(
            'class' => join(' ', $classes),
            'data-categoryid' => $coursecat->id,
            'data-depth' => $depth,
            'data-showcourses' => $chelper->get_show_courses(),
            'data-type' => self::COURSECAT_TYPE_CATEGORY,
        ));

        // category name
        $categoryname = $coursecat->get_formatted_name();
        $categoryname = html_writer::link(new moodle_url('/course/index.php',
                array('categoryid' => $coursecat->id)),
                $categoryname);
        if ($chelper->get_show_courses() == self::COURSECAT_SHOW_COURSES_COUNT
                && ($coursescount = $coursecat->get_courses_count())) {
            $categoryname .= html_writer::tag('span', ' ('. $coursescount.')',
                    array('title' => get_string('numberofcourses'), 'class' => 'numberofcourse'));
        }
        $content .= html_writer::start_tag('div', array('class' => 'info'));

        $content .= html_writer::tag(($depth > 1) ? 'h4' : 'h3', $categoryname, array('class' => 'categoryname aabtn'));
        $content .= html_writer::end_tag('div'); // .info

        // add category content to the output
        $content .= html_writer::tag('div', $categorycontent, array('class' => 'content'));

        $content .= html_writer::end_tag('div'); // .category

        // Return the course category tree HTML
        return $content;
    }


}