<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @authors    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

global $CFG, $PAGE;
$extraclasses = [];
$primarymenu = $OUTPUT->primarymenu();
if ($primarymenu == '') {
    $class = "navbar-toggler hidden-lg-up nocontent-navbar";
} else {
    $class = "navbar-toggler hidden-lg-up";
}

$surl = new moodle_url('/course/search.php');
$curl = new moodle_url('/course/index.php');
$logourl = theme_enlight_get_logo_url();
$s_home = get_string('home');
$s_courses = get_string('courses');
$theme_loader = get_theme_loader();
$headerclasses = theme_enlight_header_style();
$headerstyle = theme_enlight_get_setting('headerStyle');
$enablegobalsearch = false;
if ($headerstyle != 3) {
    $enablegobalsearch = true;
}
$searchurl = new moodle_url('/search/index.php');
$contextid = $PAGE->context->id;
$headercontext = [
    "curl" => $curl,
    "logourl" => $logourl,
    "s_home" => $s_home,
    "s_courses" => $s_courses,
    "theme_loader" => $theme_loader,
    'headerstyle_class' => $headerclasses['headerstyle_class'],
    'transparent_class' => $headerclasses['transparent_class'],
    'centersplit' => $headerclasses['centersplit'],
    'topheaderclass' => $headerclasses['topheaderclass'],
    "primaryclass" => $class,
    "primarymenu" => $primarymenu,
    'enablegobalsearch' => $enablegobalsearch,
    'searchurl' => $searchurl,
    'contextid' => $contextid
];

