<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * @package    theme_enlight
 * @copyright  2015 onwards LMSACE Dev Team (http://www.lmsace.com)
 * @author    LMSACE Dev Team
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die;

if ($ADMIN->fulltree) {
    
    global $CFG;

    $settings = new theme_boost_admin_settingspage_tabs('themesettingenlight', get_string('enlight_settings', 'theme_enlight'));

    /* General Settings. */
    include(dirname(__FILE__) . '/settings/general.php' );

    /* Slideshow Settings. */
    include(dirname(__FILE__) . '/settings/homepage_slider.php' );

    /* Site Features. */
    include(dirname(__FILE__) . '/settings/site_features.php' );

    /* Marketing spot Settings. */
     include(dirname(__FILE__) . '/settings/marketing_spot.php' );

    /* Category Image. */
    include(dirname(__FILE__) . '/settings/category_img.php' );

     /* Our Team. */
    include(dirname(__FILE__) . '/settings/our_team.php' );

    /* Testimonials Start. */
    include(dirname(__FILE__) . '/settings/testimonial.php' );

    /* Counter */
    include(dirname(__FILE__) . '/settings/counter.php' );        
        
    /* Our Partners */
    include(dirname(__FILE__) . '/settings/our_partner.php' );

    /* Footer Settings start. */
    include(dirname(__FILE__) . '/settings/footer.php' );


}