<?php

    $temp = new admin_settingpage('theme_enlight_general', get_string('themegeneralsettings', 'theme_enlight'));

    // This is the descriptor for Slide One.
    $name = 'theme_enlight/theme_enlight_generalsub1';
    $heading = get_string('generallogo_menu', 'theme_enlight');
    $information = "";
    $setting = new admin_setting_heading($name, $heading, $information);
    $temp->add($setting);

    $name = 'theme_enlight/patternselect';
    $title = get_string('patternselect' , 'theme_enlight');
    $description = get_string('patternselectdesc', 'theme_enlight');
    $default = 'default';
    $choices = array(
        'default' => get_string("blue", "theme_enlight"),
        '1' => get_string("green", "theme_enlight"),
        '2' => get_string("lavender", "theme_enlight"),
        '3' => get_string("red", "theme_enlight"),
        '4' => get_string("purple", "theme_enlight")
    );

    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    $pimg = array();
    global $CFG;

    $cp = $CFG->wwwroot.'/theme/enlight/pix/color/';
    $pimg = array($cp.'default.jpg', $cp.'pattern-1.jpg', $cp.'pattern-2.jpg',
            $cp.'pattern-3.jpg', $cp.'pattern-4.jpg'
    );

    $themepattern = '<ul class="thumbnails theme-color-schemes">
     <li class="col-md-2">
       <div class="thumbnail">
      <img src="'.$pimg[0].'" alt="default" width="100" height="100" />
        <h6>'.get_string("blue", "theme_enlight").'</h6>
        </div>
    </li>
     <li class="col-md-2">
       <div class="thumbnail">
      <img src="'.$pimg[1].'" alt="pattern1" width="100" height="100" />
       <h6>'.get_string("green", "theme_enlight").'</h6>
        </div>
     </li>
     <li class="col-md-2">
       <div class="thumbnail">
      <img src="'.$pimg[2].'" alt="pattern2" width="100" height="100" />
       <h6>'.get_string("lavender", "theme_enlight").'</h6>
        </div>
    </li>
      <li class="col-md-2">
       <div class="thumbnail">
      <img src="'.$pimg[3].'" alt="pattern3" width="100" height="100" />
      <h6>'.get_string("red", "theme_enlight").'</h6>
        </div>
    </li>
      <li class="col-md-2">
       <div class="thumbnail">
      <img src="'.$pimg[4].'" alt="pattern4" width="100" height="100" />
       <h6>'.get_string("purple", "theme_enlight").'</h6>
        </div>
      </li>
    </ul>';

    $temp->add(new admin_setting_heading('theme_enlight_patternheading', '', $themepattern));

    // Header styles.
    $name = 'theme_enlight/headerStyle';
    $title = get_string('headerStyle', 'theme_enlight');
    $description = get_string('headerStyle_desc', 'theme_enlight');
    $choices = [ 
        // 1. theme-colored-bg
        1 => get_string('header', 'theme_enlight', array('no' => '1')), 
        // 2. white-bg
        2 => get_string('header', 'theme_enlight', array('no' => '2')),
        // 3. bottom-menu
        3 => get_string('header', 'theme_enlight', array('no' => '3')),
        // 4. bottom-center-menu
        4 => get_string('header', 'theme_enlight', array('no' => '4')),
        // 5. center-split
        5 => get_string('header', 'theme_enlight', array('no' => '5')),        
    ];

    $default = 2; // Style 2 is default.    
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    $pstyle = array();
    global $CFG;

    $cp = $CFG->wwwroot.'/theme/enlight/pix/style/';
    $pstyle = array($cp.'header-style-1.png', $cp.'header-style-2.png', $cp.'header-style-3.png',
            $cp.'header-style-4.png', $cp.'header-style-5.png'
    );

    $stylepattern = '<div class="headerstyle-image">

     <div id="styletype-1" class= "colors">
       <div class="thumbnail">
      <img src="'.$pstyle[0].'" alt="default" width="" height="" />
        <h6>'.get_string("style-1", "theme_enlight").'</h6>
        </div>
    </div>
     <div id="styletype-2" class = "colors">
       <div class="thumbnail">
      <img src="'.$pstyle[1].'" alt="pattern1" width="" height="" />
       <h6>'.get_string("style-2", "theme_enlight").'</h6>
        </div>
     </div>
     <div id="styletype-3" class = "colors">
       <div class="thumbnail">
      <img src="'.$pstyle[2].'" alt="pattern2" width="" height="" />
       <h6>'.get_string("style-3", "theme_enlight").'</h6>
        </div>
    </div>
      <div id="styletype-4" class = "colors">
       <div class="thumbnail">
      <img src="'.$pstyle[3].'" alt="pattern3" width="" height="" />
      <h6>'.get_string("style-4", "theme_enlight").'</h6>
        </div>
    </div>

      <div id="styletype-5" class= "colors">
       <div class="thumbnail">
      <img src="'.$pstyle[4].'" alt="pattern4" width="" height=""/>
       <h6>'.get_string("style-5", "theme_enlight").'</h6>
        </div>
      </div>
    </div>';

    $temp->add(new admin_setting_heading('theme_enlight_headerstyleheading', '', $stylepattern));

    // Header styles.
    $name = 'theme_enlight/header_transparent';
    $title = get_string('header_transparent', 'theme_enlight');
    $description = get_string('header_transparentdesc', 'theme_enlight');
    $choices = [ 
        // 1. full transparent background header.
        1 => get_string('transparent', 'theme_enlight'), 
        // 2. semi transparent background header.
        2 => get_string('semitransparent', 'theme_enlight'),
        // NONE.
        0 => get_string('none'),            
    ];

    $default = 0; // Style 2 is default.    
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Course menu.
    $name = 'theme_enlight/topheader_style';
    $title = get_string('topheader_style', 'theme_enlight');
    $description = get_string('topheader_styledesc', 'theme_enlight');
    $default = 1;
    $setting = new admin_setting_configcheckbox($name, $title, $description, $default);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

     // Logo file setting.
    $name = 'theme_enlight/logo';
    $title = get_string('logo', 'theme_enlight');
    $description = get_string('logodesc', 'theme_enlight');
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'logo');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Primary menu position.
    $name = 'theme_enlight/primarymenu';
    $title = get_string('primarymenu', 'theme_enlight');
    $description = get_string('primarymenudesc', 'theme_enlight');
    $default = get_string('primary_menu', 'theme_enlight');
    $setting = new admin_setting_configtextarea($name, $title, $description, $default);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Course menu.
    $name = 'theme_enlight/cmenushow';
    $title = get_string('cmenushow', 'theme_enlight');
    $description = get_string('cmenushowdesc', 'theme_enlight');
    $default = 1;
    $setting = new admin_setting_configcheckbox($name, $title, $description, $default);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Course menu position.
    $name = 'theme_enlight/cmenuPosition';
    $title = get_string('cmenuPosition', 'theme_enlight');
    $description = get_string('cmenuPosition_desc', 'theme_enlight');
    $default = '2';
    $setting = new admin_setting_configtext($name, $title, $description, $default, PARAM_TEXT);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // This is the descriptor for Slide One.
    $name = 'theme_enlight/theme_enlight_managefrontpage';
    $heading = get_string('managefrontpage_items', 'theme_enlight');
    $information = "";// get_string('slidenodesc', 'theme_enlight', array('slide' => $i));
    $setting = new admin_setting_heading($name, $heading, $information);
    $temp->add($setting);

    // Popular Course Display Status.
    $name = 'theme_enlight/popularCourse_status';
    $title = get_string('popularCourse_status', 'theme_enlight');
    $description = get_string('popularCourse_statusdesc', 'theme_enlight');
    $yes = get_string('yes');
    $no = get_string('no');
    $default = 1;
    $choices = array(1 => $yes , 0 => $no);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);
    // Popular Course Display Status.

    $name = 'theme_enlight/popularCourse_type';
    $title = get_string('popularCourses_type', 'theme_enlight');
    $description = get_string('popularCourse_typedesc', 'theme_enlight');
    $enrolBase = get_string('no_enrol', 'theme_enlight');
    $idBase = get_string('id_base', 'theme_enlight');
    $default = 1;
    $choices = array(1 => $enrolBase , 2 => $idBase);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    $name = 'theme_enlight/popularCourse_id';
    $title = get_string('popularCourses_id', 'theme_enlight');
    $description = get_string('popularCourse_iddesc', 'theme_enlight');
    $default = "";
    $setting = new admin_setting_configtext($name, $title, $description, $default);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Available Course Display Status.
    $name = 'theme_enlight/availablecourse_displaytype';
    $title = get_string('acourse_displaytype' , 'theme_enlight');
    $description = get_string('acourse_displaytypedesc', 'theme_enlight');
    $default = '1';
    $choices = array(
        '0' => get_string('default_type', 'theme_enlight'),
        '1' => get_string('slider_type', 'theme_enlight'),

    );
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    
    

    $name = 'theme_enlight/avilablecourseinfo_displaytype';
    $title = get_string('availablecourse_info','theme_enlight');
    $description = get_string('availablecourse_infodesc','theme_enlight');
    $default = 1;
    $setting = new admin_setting_configcheckbox($name,$title,$description,$default);
    $temp->add($setting);

     //enable teacher 
    $name = 'theme_enlight/avilablecourse_teacherinfo';
    $title = get_string('showteacher_info','theme_enlight');
    $description = get_string('showteacherinfo_desc','theme_enlight');
    $default = 1;
    $setting = new admin_setting_configcheckbox($name,$title,$description,$default);
    $temp->add($setting);

    $name = 'theme_enlight/categories_displaytype';
    $title = get_string('categories_displaytype' , 'theme_enlight');
    $description = get_string('categories_displaytypedesc', 'theme_enlight');
    $default = '1';
    $choices = array(
        '0' => get_string('default_type', 'theme_enlight'),
        '1' => get_string('slider_type', 'theme_enlight'),

    );
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Mycourse Course Display Type.
    $name = 'theme_enlight/mycourse_displaytype';
    $title = get_string('mycourse_displaytype' , 'theme_enlight');
    $description = get_string('mycourse_displaytypedesc', 'theme_enlight');
    $default = '1';
    $choices = array(
        '0' => get_string('default_type', 'theme_enlight'),
        '1' => get_string('slider_type', 'theme_enlight'),
    );

    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Site news type
    $name = 'theme_enlight/sitenewsType';
    $title = get_string('sitenewsType', 'theme_enlight');
    $description = get_string('sitenewsType_desc', 'theme_enlight');
    $yes = get_string('enlight_type', 'theme_enlight');
    $no = get_string('default_type', 'theme_enlight');
    $default = 1;
    $choices = array( 0 => $no , 1 => $yes );
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // combo list box type
    $name = 'theme_enlight/comboListboxType';
    $title = get_string('comboListboxType', 'theme_enlight');
    $description = get_string('comboListboxType_desc', 'theme_enlight');
    $expand = get_string('expand', 'theme_enlight');
    $collapse = get_string('collapse', 'theme_enlight');
    $default = 1;
    $choices = array(0 => $expand, 1 => $collapse);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // This is the descriptor for Slide One.
    $name = 'theme_enlight/theme_enlight_managebgimages';
    $heading = get_string('managebgimages', 'theme_enlight');
    $information = "";// get_string('slidenodesc', 'theme_enlight', array('slide' => $i));
    $setting = new admin_setting_heading($name, $heading, $information);
    $temp->add($setting);

    $name = 'theme_enlight/popularcoursesbg';
    $title = get_string('popularcoursesbg', 'theme_enlight');
    $description = get_string('popularcoursesbg_desc', 'theme_enlight');
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'popularcoursesbg');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    $name = 'theme_enlight/popularcoursesbg_type';
    $title = get_string('popularcoursebg_type', 'theme_enlight');
    $description = get_string('popularcoursebg_typedesc', 'theme_enlight');
    $overlay = get_string('overlay', 'theme_enlight');
    $imgcolor = get_string('imagecolor', 'theme_enlight');
    $default = 2;
    $choices = array( 1 => $overlay, 2 => $imgcolor);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Available courses setting bgimages.
    $name = 'theme_enlight/availablecoursesbg';
    $title = get_string('availablecoursesbg', 'theme_enlight');
    $description = get_string('availablecoursesbg_desc', 'theme_enlight');
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'availablecoursesbg');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    $name = 'theme_enlight/availablecoursesbg_type';
    $title = get_string('availablecoursebg_type', 'theme_enlight');
    $description = get_string('availablecoursebg_typedesc', 'theme_enlight');
    $overlay = get_string('overlay', 'theme_enlight');
    $imgcolor = get_string('imagecolor', 'theme_enlight');
    $none = get_string('bgnone', 'theme_enlight');
    $default = 1;
    $choices = array( 1 => $overlay, 2 => $imgcolor, "NONE" => $none);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Enrolled courses setting bgimages.
    $name = 'theme_enlight/categoriesbg';
    $title = get_string('categoriescoursesbg', 'theme_enlight');
    $description = get_string('categoriesbg_desc', 'theme_enlight');
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'categoriesbg');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    $name = 'theme_enlight/categoriesbg_type';
    $title = get_string('categoriesbg_type', 'theme_enlight');
    $description = get_string('categoriesbg_typedesc', 'theme_enlight');
    $overlay = get_string('overlay', 'theme_enlight');
    $imgcolor = get_string('imagecolor', 'theme_enlight');
    $none = get_string('bgnone', 'theme_enlight');
    $default = "NONE";
    $choices = array( 1 => $overlay, 2 => $imgcolor, "NONE" => $none);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Enrolled courses setting bgimages.
    $name = 'theme_enlight/enrolledcoursesbg';
    $title = get_string('enrolledcoursesbg', 'theme_enlight');
    $description = get_string('enrolledcoursesbg_desc', 'theme_enlight');
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'enrolledcoursesbg');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Enrolled courses backgrond type
    $name = 'theme_enlight/enrolledcoursesbg_type';
    $title = get_string('enrolledcoursebg_type', 'theme_enlight');
    $description = get_string('enrolledcoursebg_typedesc', 'theme_enlight');
    $overlay = get_string('overlay', 'theme_enlight');
    $imgcolor = get_string('imagecolor', 'theme_enlight');
    $none = get_string('bgnone', 'theme_enlight');
    $default = 1;
    $choices = array( 1 => $overlay, 2 => $imgcolor, "NONE" => $none);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

     // Enrolled courses setting bgimages.
    $name = 'theme_enlight/searchcoursesbg';
    $title = get_string('searchcoursesbg', 'theme_enlight');
    $description = get_string('searchcoursesbg_desc', 'theme_enlight');
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'searchcoursesbg');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Enrolled courses backgrond type
    $name = 'theme_enlight/searchcoursesbg_type';
    $title = get_string('searchcoursebg_type', 'theme_enlight');
    $description = get_string('searchcoursebg_typedesc', 'theme_enlight');
    $overlay = get_string('overlay', 'theme_enlight');
    $imgcolor = get_string('imagecolor', 'theme_enlight');
    $default = 2;
    $choices = array( 1 => $overlay, 2 => $imgcolor);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    /* Login BG Image file setting */
    $name = 'theme_enlight/testimonialsbg';
    $title = get_string('testimonialsbg', 'theme_enlight');
    $description = get_string('testimonialsbg_desc', 'theme_enlight');
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'testimonialsbg');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Testimanials Backgrond image
    $name = 'theme_enlight/testimonialsbg_type';
    $title = get_string('testimonialsbg_type', 'theme_enlight');
    $description = get_string('testimonialsbg_typedesc', 'theme_enlight');
    $overlay = get_string('overlay', 'theme_enlight');
    $imgcolor = get_string('imagecolor', 'theme_enlight');

    $default = 2;
    $choices = array( 1 => $overlay, 2 => $imgcolor);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Footer background images
    $name = 'theme_enlight/footbgimg';
    $title = get_string('footbgimg', 'theme_enlight');
    $description = get_string('footbgimg_desc', 'theme_enlight');
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'footbgimg');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Footer Background Images.
    $name = 'theme_enlight/footbgimg_type';
    $title = get_string('footbgimg_type', 'theme_enlight');
    $description = get_string('footbgimg_type_desc', 'theme_enlight');
    $overlay = get_string('overlay', 'theme_enlight');
    $imgcolor = get_string('imagecolor', 'theme_enlight');
    $default = 2;
    $choices = array( 1 => $overlay, 2 => $imgcolor);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

     // Loginpage Type.
    $name = 'theme_enlight/loginpageType';
    $title = get_string('loginpageType', 'theme_enlight');
    $description = get_string('loginpageType_desc', 'theme_enlight');
    $no = get_string('default_type', 'theme_enlight')." " .get_string('style', 'theme_enlight');
    $yes = get_string('logintheme', 'theme_enlight');
    $default = 1;
    $choices = array( 0 => $no , 1 => $yes );
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    /* Login BG Image file setting */
    $name = 'theme_enlight/loginbg';
    $title = get_string('loginbg', 'theme_enlight');
    $description = get_string('loginbgdesc', 'theme_enlight');
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'loginbg', 0, ['maxfiles' => 4]);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // This is the descriptor for Slide One.
    $name = 'theme_enlight/theme_enlight_miscellaneous';
    $heading = get_string('miscellaneous', 'theme_enlight');
    $information = "";// get_string('slidenodesc', 'theme_enlight', array('slide' => $i));
    $setting = new admin_setting_heading($name, $heading, $information);
    $temp->add($setting);

    /* Course Layout */
    $name = 'theme_enlight/courselayout';
    $title = get_string('courselayout' , 'theme_enlight');
    $description = get_string('courselayoutdesc', 'theme_enlight');
    $default = 'layout1';
    $choices = array(
        'default' => get_string('default_layout', 'theme_enlight'),
        'layout1' => get_string('custom_layout', 'theme_enlight').'-1',
        'layout2' => get_string('custom_layout', 'theme_enlight').'-2'
    );
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    // $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);
    /* Course Layout */

   

    // Preloader Status.
    $name = 'theme_enlight/preloader_status';
    $title = get_string('preloader_status', 'theme_enlight');
    $description = get_string('preloader_statusdesc', 'theme_enlight');
    $yes = get_string('yes');
    $no = get_string('no');
    $default = 1;
    $choices = array( 1 => $yes, 0 => $no);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $temp->add($setting);

    // Preloader Color.
    $name = 'theme_enlight/preloaderbg_color';
    $title = get_string('preloaderbg_color', 'theme_enlight');
    $description = get_string('preloaderbg_colordesc', 'theme_enlight');
    $default = "#f4f4f4";
    $previewconfig = null;
    $setting = new admin_setting_configcolourpicker($name, $title, $description, $default, $previewconfig);
    $temp->add($setting);

    // Preloader Image.
    $name = 'theme_enlight/preloader';
    $title = get_string('preloader', 'theme_enlight');
    $description = get_string('preloader_desc', 'theme_enlight');
    $setting = new admin_setting_configstoredfile($name, $title, $description, 'preloader');
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Back to top button
    $name = 'theme_enlight/backToTop_status';
    $title = get_string('backToTop_status', 'theme_enlight');
    $description = get_string('backToTop_statusdesc', 'theme_enlight');
    $yes = get_string('yes');
    $no = get_string('no');
    $default = 1;
    $choices = array(1 => $yes , 0 => $no);
    $setting = new admin_setting_configselect($name, $title, $description, $default, $choices);
    $temp->add($setting);

    // Custom CSS file.
    $name = 'theme_enlight/customcss';
    $title = get_string('customcss', 'theme_enlight');
    $description = get_string('customcssdesc', 'theme_enlight');
    $default = '';
    $setting = new admin_setting_configtextarea($name, $title, $description, $default);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    // Import Demo Content
    $name = 'theme_enlight/importDemo';
    $title = get_string('importDemo', 'theme_enlight');
    $description = get_string('importDemo_desc', 'theme_enlight');
    $default = 0;
    $setting = new admin_setting_configcheckbox($name, $title, $description, $default);
    $setting->set_updatedcallback('theme_reset_all_caches');
    $temp->add($setting);

    $settings->add($temp);