<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Version file for ludemy theme.
 *
 * @package   theme_ludemy
 * @copyright  2023 LMSACE Dev Team <lmsace.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
defined('MOODLE_INTERNAL') || die;

// The current module version (Date: YYYYMMDDXX).
$plugin->version   = 2023030104;

// Requires this Moodle version
$plugin->requires  = 2022041900;

// Plugin release version.
$plugin->release = 'v4.0';

// Full name of the plugin (used for diagnostics).
$plugin->component = 'theme_ludemy';

// Plugin dependencies and dependencies version.
$plugin->dependencies = [
    'theme_boost' => 2022041900
];


/*
    Features list for theme.

    #1. Blocks and regions.
        1. Create custom blocks and pages include it in multiple places using shortcode method.
    #2. User can create pages and able to add to the course editor contents using shortcode method.
    #3. Filter plugin to filter the shortcodes.
    #4. Course creator suite with minimum features.
    #5. Header and footer regions and supported blocks like menu and logo and more.

*/
