define("format_multitopic/courseformat/tabtree",["exports","core/reactive","core_courseformat/courseeditor","core/templates"],(function(_exports,_reactive,_courseeditor,_templates){var obj;
/**
   * Course section tabs updater.
   *
   * @module     format_multitopic/courseformat/tabtree
   * @class      format_multitopic/courseformat/tabtree
   * @copyright  2022 Jeremy FitzPatrick and Te Wānanga o Aotearoa
   * @copyright  based on work by 2021 Ferran Recio <ferran@moodle.com>
   * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0,_templates=(obj=_templates)&&obj.__esModule?obj:{default:obj};class Component extends _reactive.BaseComponent{create(){this.name="coursetabs",this.selectors={TAB:"ul:first-of-type li",CHILDTAB:"ul:nth-child(2) li"},this.classes={ACTIVETAB:"active"},this.tabs={},this.childtabs={},this.activetab=[null,null]}getWatchers(){return[{watch:"course.sectionlist:updated",handler:this._refreshCourseSectionTabs}]}static init(target){return new Component({element:document.getElementById(target),reactive:(0,_courseeditor.getCurrentCourseEditor)()})}stateReady(){const tabs=this.getElements(this.selectors.TAB);for(let i=0;i<tabs.length-1;i++){let tab=tabs.item(i),id=tab.querySelector("a div").dataset.itemid,classes=tab.querySelector("a").classList.value;this.tabs[id]=tab,-1!==classes.indexOf(this.classes.ACTIVETAB)&&(this.activetab[0]=id,this.activetab[1]=id)}const childtabs=this.getElements(this.selectors.CHILDTAB);for(let i=0;i<childtabs.length-1;i++){let tab=childtabs.item(i),id=tab.querySelector("a div").dataset.itemid,classes=tab.querySelector("a").classList.value;this.childtabs[id]=tab,-1!==classes.indexOf(this.classes.ACTIVETAB)&&(this.activetab[1]=id)}}_refreshCourseSectionTabs(_ref){var _element$firstsection,_element$secondsectio;let{element:element}=_ref;const activeTab1=this.reactive.get("section",this.activetab[1]);let newActiveTab0id=activeTab1.levelsan>=1?activeTab1.parentid:activeTab1.id;if(newActiveTab0id!=this.activetab[0]){let section=this.reactive.get("section",this.activetab[0]),anchor=this.element.querySelector('ul:first-of-type div[data-itemid="'+this.activetab[0]+'"]').parentElement;anchor.classList.remove("active"),anchor.href=section.sectionurl.replace("&amp;","&"),this.activetab[0]=newActiveTab0id,anchor=this.element.querySelector('ul:first-of-type div[data-itemid="'+this.activetab[0]+'"]').parentElement,anchor.classList.add("active"),anchor.removeAttribute("href");const addAnchor=this.element.querySelector("ul:nth-of-type(2) li:last-of-type a"),addLink=addAnchor.href.replace(/&insertparentid=\d+/,"&insertparentid="+this.activetab[0]);addAnchor.setAttribute("href",addLink)}const toptabslist=null!==(_element$firstsection=element.firstsectionlist)&&void 0!==_element$firstsection?_element$firstsection:[],childtabslist=null!==(_element$secondsectio=element.secondsectionlist)&&void 0!==_element$secondsectio?_element$secondsectio:[];let toptabs=this.element.querySelector("ul:first-of-type");this._fixOrder(toptabs,toptabslist,this.tabs,childtabslist[this.activetab[0]].length>1);let childtabs=this.element.querySelector("ul:nth-of-type(2)");childtabs&&this._fixOrder(childtabs,childtabslist[this.activetab[0]],this.childtabs,!1)}_fixOrder(container,neworder,allitems,hassubtree){if(!neworder.length)return container.classList.add("hidden"),void(container.innerHTML="");for(container.classList.remove("hidden"),neworder.forEach(((itemid,index)=>{const section=this.reactive.get("section",itemid),visible=(section.visible&&section.available||0==section.section)&&(neworder.length>1||hassubtree);if(void 0===allitems[itemid]){let selecta="[data-id='"+itemid+"']",ciLink=document.querySelector(selecta).querySelector(" a.courseindex-link"),data={active:0,inactive:0,link:[{link:ciLink.getAttribute("href")}],title:ciLink.innerHTML,text:'<div class="tab_content'+(visible?"":" dimmed")+'" data-itemid="'+section.id+'">'+section.title+"</div>"},tab=document.createElement("li");allitems[itemid]=tab,container.insertBefore(tab,container.lastElementChild),_templates.default.render("format_multitopic/courseformat/tab",data).done((function(html){allitems[itemid]=_templates.default.replaceNode(tab,html,"")[0]}))}const item=allitems[itemid],content=item.querySelector("div.tab_content");content&&content.classList.contains("dimmed")==visible&&(visible?content.classList.remove("dimmed"):content.classList.add("dimmed"));const currentitem=container.children[index];void 0!==currentitem?currentitem!==item&&container.insertBefore(item,currentitem):container.append(item)}));container.children.length>neworder.length+1;)container.removeChild(container.lastElementChild.previousSibling)}}return _exports.default=Component,_exports.default}));

//# sourceMappingURL=tabtree.min.js.map