/**
 * Contain the bulk action for the instance management.
 *
 * @module  mod_pulse/bulkaction
 * @copyright 2023, bdecent gmbh bdecent.de
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
define("mod_pulse/bulkaction",["jquery","core/fragment","core/modal_factory","core/modal_events","core/notification","core/str","core/ajax","core/templates"],(function($,Fragment,ModalFactory,ModalEvents,notification,String,Ajax,Templates){const Selectors_table="#manage-instance-table",Selectors_selectAll="#manage-instance-tab .selectall-pulse-bulkaction",Selectors_deselectAll="#manage-instance-tab .deselectall-pulse-bulkaction",Selectors_selectwithoutinsbtn="#manage-instance-tab #selectwithoutins-btn",Selectors_CheckBoxes="input[name='bc[]']",Selectors_DeleteBtn="#manage-instance-tab  #bulkdelete-btn",Selectors_AddBtn="#manage-instance-tab  #bulkadd-btn",Selectors_EnableBtn="#manage-instance-tab  #bulkenable-btn",Selectors_DisableBtn="#manage-instance-tab  #bulkdisable-btn",Selectors_CheckedBoxes="input[name='bc[]']:checked",Selectors_checkboxgroups="#manage-instance-tab .bulkaction-group",Selectors_tabUL="#automation-tabs",Selectors_tabPane="#pulsetemplates-tab-content .tab-pane",Selectors_tabContent="#pulsetemplates-tab-content",Selectors_manageInstanceTab="#manage-instance-tab",Selectors_templateForm=".mform#pulse-automation-template",Selectors_activeNav="#automation-tabs .nav-link.active";function bulkaction(){const select=document.querySelector(Selectors_selectAll),deselect=document.querySelector(Selectors_deselectAll),checkboxelm=()=>document.querySelector(Selectors_table).querySelectorAll(Selectors_CheckBoxes),selectwithoutins=document.querySelector(Selectors_selectwithoutinsbtn),checkboxgroup=document.querySelector(Selectors_checkboxgroups);select.addEventListener("click",(()=>{checkboxelm().forEach((checkbox=>{checkbox.checked=!0,checkboxgroup.classList.remove("hide")}))})),deselect.addEventListener("click",(()=>{checkboxelm().forEach((checkbox=>{checkbox.checked=!1,checkboxgroup.classList.add("hide")}))})),selectwithoutins.addEventListener("click",(()=>{checkboxelm().forEach((checkbox=>{checkbox.classList.contains("emptyinstance")&&(checkbox.checked=!0,checkboxgroup.classList.remove("hide"))}))})),document.addEventListener("change",(function(e){e.target.matches(Selectors_CheckBoxes)&&(Array.from(checkboxelm()).some((function(checkbox){return checkbox.checked}))?checkboxgroup.classList.remove("hide"):checkboxgroup.classList.add("hide"))}))}function getcourseids(){var courseids=[];return document.querySelectorAll(Selectors_CheckedBoxes).forEach((checkedbox=>{courseids.push(checkedbox.value)})),courseids}function getInstanceModal(courseids,params,action){var args={templateid:params,courseids:courseids,action:action};ModalFactory.create({type:ModalFactory.types.SAVE_CANCEL,title:String.get_string("confirmation","pulse"),body:String.get_string("confirm"+action+"instance","pulse"),large:!1}).then((function(modal){return modal.setButtonText("save",String.get_string("yes")),modal.getRoot().on(ModalEvents.save,(e=>{e.preventDefault(),function(params){Ajax.call([{methodname:"mod_pulse_manage_instances",args:params,done:function(response){window.location.reload(),response.message&&notification.addNotification({message:response.message,type:"success"})}}])}(args),function(params){var table=document.querySelector(Selectors_table);Fragment.loadFragment("mod_pulse","get_manageinstance_table",1,params).done(((html,js)=>{Templates.replaceNode(table,html,js)}))}(args),modal.getRoot().find("form").submit(),modal.hide()})),modal.getRoot().on(ModalEvents.hidden,(function(){modal.destroy()})),modal.show(),modal})).catch(notification.exception)}return{init:function(params){bulkaction(),function(params){const deletebtn=document.querySelector(Selectors_DeleteBtn),addbtn=document.querySelector(Selectors_AddBtn),disableBtn=document.querySelector(Selectors_DisableBtn),enableBtn=document.querySelector(Selectors_EnableBtn);deletebtn.addEventListener("click",(function(){getInstanceModal(getcourseids(),params,"delete")})),addbtn.addEventListener("click",(function(){getInstanceModal(getcourseids(),params,"add")})),disableBtn.addEventListener("click",(function(){getInstanceModal(getcourseids(),params,"disable")})),enableBtn.addEventListener("click",(function(){getInstanceModal(getcourseids(),params,"enable")})),document.querySelector(Selectors_tabUL).addEventListener("click",(function(e){templateInstanceFilter(e)}));const templateInstanceFilter=e=>{document.querySelectorAll(Selectors_tabPane).forEach((e=>{e.classList.remove("active"),e.classList.remove("show")}));var href=null!==e&&e.target.matches("#automation-tabs .nav-link")?e.target.getAttribute("href"):activeTabHref();document.querySelector(Selectors_tabContent+" "+href).classList.add("active"),document.querySelector(Selectors_tabContent+" "+href).classList.add("show"),document.querySelector(Selectors_templateForm).style.display=href==Selectors_manageInstanceTab?"none":"block"},activeTabHref=()=>!document.querySelector(Selectors_activeNav)||document.querySelector(Selectors_activeNav).getAttribute("href");templateInstanceFilter(null)}(params)}}}));

//# sourceMappingURL=bulkaction.min.js.map